2011-01-06 09:06  alan

	* unk/profiles/default/types/BLOrderAccount.xml,
	  unk/skins/bastionledger/blaccount_view.cpt.metadata,
	  unk/skins/bastionledger/blorderaccount_orders.pt.metadata,
	  unk/skins/bastionledger/blperiod_end.cpy: dynamic orderaccount
	  views

2010-11-13 06:38  alan

	* unk/profiles/default/actions.xml,
	  unk/skins/bastionledger/bltransaction_add_entries.cpy,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/skins/bastionledger/validate_txn_entries.vpy: fix error
	  adding/editing txns because of entry list clash

2010-11-13 03:52  alan

	* unk/__init__.py,
	  unk/skins/bastionledger/blaccount_email_statement.cpy,
	  unk/skins/bastionledger/blaccount_email_statement.cpy.metadata,
	  unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blorder_email_invoice.cpy,
	  unk/skins/bastionledger/blorder_email_invoice.cpy.metadata,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/skins/bastionledger/blorders_view.pt,
	  unk/skins/bastionledger/blquote_email.cpy,
	  unk/skins/bastionledger/blquote_view.cpt,
	  unk/skins/bastionledger/blshareholder_actions.cpy,
	  unk/skins/bastionledger/bltransaction_view.pt: multi-email
	  sending implementation

2010-11-01 09:38  alan

	* unk/BLAttachmentSupport.py: fix attachment strings getting
	  written as blobs

2010-10-28 11:39  alan

	* unk/BLOrderBook.py, unk/Ledger.py,
	  unk/profiles/default/metadata.xml,
	  unk/skins/bastionledger/blaccount_view.cpt.metadata,
	  unk/skins/bastionledger/blattachments_edit.cpy.metadata,
	  unk/skins/bastionledger/blcompany_info.pt,
	  unk/skins/bastionledger/blorder_shipping_edit.cpy,
	  unk/skins/bastionledger/blorder_shipping_edit.cpy.metadata,
	  unk/skins/bastionledger/blorder_shipping_form.cpt,
	  unk/skins/bastionledger/blorder_shipping_form.cpt.metadata,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blorder_view.cpt.metadata,
	  unk/skins/bastionledger/validate_shipping.vpy: shipping fixes,
	  attachments into order view, member into director/secretary

2010-10-10 23:14  alan

	* unk/BLAttachmentSupport.py: only text-encode text content-types

2010-10-10 10:29  alan

	* unk/BLAssetRegister.py, unk/profiles/default/metadata.xml,
	  unk/skins/bastionledger/blprocess_view.pt: more smarts into
	  depreciation calculations

2010-10-09 11:07  alan

	* unk/skins/bastionledger/blchart_actions.cpy,
	  unk/skins/bastionledger/blchart_actions.cpy.metadata,
	  unk/skins/bastionledger/blchart_view.cpt,
	  unk/skins/bastionledger/blchart_view.cpt.metadata,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/bltransactions_view.pt: delete accounts
	  into chart view

2010-10-06 11:34  alan

	* unk/skins/bastionledger/blasset_edit_form.cpt,
	  unk/skins/bastionledger/bltransaction_add_entries.cpy,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt.metadata:
	  more transaction editing enhancements

2010-10-05 12:42  alan

	* unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/bltransaction_add_entries.cpy,
	  unk/skins/bastionledger/bltransaction_delete_entries.cpy.metadata,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt.metadata:
	  more transaction editing enhancements

2010-09-27 01:46  alan

	* unk/BLOrderBook.py, unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/skins/bastionledger/blorders_view.pt, unk/utils.py: searching
	  into order account orders

2010-09-26 07:16  alan

	* unk/BLAttachmentSupport.py, unk/BLLedger.py, unk/Ledger.py,
	  unk/skins/bastionledger_emails/blaccount_template.pt,
	  unk/skins/bastionledger_emails/blbalancesheet_template.pt,
	  unk/skins/bastionledger_emails/blcashflow_template.pt,
	  unk/skins/bastionledger_emails/blinvoice_template.pt,
	  unk/skins/bastionledger_emails/blquote_template.pt,
	  unk/skins/bastionledger_emails/blrevenuestmt_template.pt,
	  unk/skins/bastionledger_emails/blsharecert_template.pt,
	  unk/tests/data, unk/tests/data/Scan001.PDF,
	  unk/tests/testAttachments.py: email message attachment encoding
	  fix

2010-09-26 00:52  alan

	* unk/BLAttachmentSupport.py,
	  unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blledger_edit_form.cpt,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/skins/bastionledger/blorders_view.pt,
	  unk/skins/bastionledger/bltransactions_view.pt: trombone
	  indicator into attachments

2010-09-14 12:19  alan

	* unk/BLAccount.py, unk/BLLedger.py, unk/LedgerTool.py,
	  unk/profiles/default/metadata.xml, unk/tests/testAccount.py:
	  updateTags function - fixes non-updates of indexes

2010-09-05 00:58  alan

	* unk/BLLedger.py, unk/BLOrderBook.py, unk/BLPayroll.py,
	  unk/Ledger.py, unk/skins/bastionledger/blemployee_edit.cpy,
	  unk/skins/bastionledger/blledger_edit.cpy,
	  unk/skins/bastionledger/blledger_edit_form.cpt,
	  unk/skins/bastionledger/blledger_props_form.cpt: add SIC code,
	  fixed dob

2010-08-28 07:18  alan

	* unk/BLAccount.py, unk/skins/bastionledger/blreport_view.pt:
	  remove title, links from report view for cleaner printing

2010-08-24 14:19  alan

	* unk/BLAttachmentSupport.py,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger_emails/blinvoice_template.pt,
	  unk/zpt/view_order.zpt: attachments into orders and their emails

2010-08-23 14:32  alan

	* unk/BLAccount.py, unk/BLGlobals.py, unk/BLLedger.py,
	  unk/BLPeriodInfo.py, unk/BLTransaction.py, unk/PeriodEndTool.py,
	  unk/profiles/default/metadata.xml,
	  unk/profiles/default/types/BLPeriodInfo.xml,
	  unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blperiod_end_form.cpt,
	  unk/skins/bastionledger/blperiodinfo_actions.cpy,
	  unk/skins/bastionledger/blperiodinfo_actions.cpy.metadata,
	  unk/skins/bastionledger/blperiodinfo_transactions.cpt,
	  unk/skins/bastionledger/blperiodinfo_transactions.cpt.metadata,
	  unk/skins/bastionledger/blperiodinfo_view.cpt,
	  unk/skins/bastionledger/blperiodinfo_view.cpt.metadata,
	  unk/skins/bastionledger/blperiodinfo_view.pt,
	  unk/skins/bastionledger/bltransaction_add_entries.cpy,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/tests/testAccount.py, unk/tests/testControllerTool.py,
	  unk/tests/testShareholderLedger.py, unk/utils.py,
	  unk/zpt/period_chart.zpt, unk/zpt/periods_ledgers.zpt: period
	  info into skins, transaction batches etc

2010-08-15 07:47  alan

	* unk/BLPeriodInfo.py, unk/profiles/default/types.xml,
	  unk/profiles/default/types/BLPeriodInfo.xml,
	  unk/profiles/default/types/BLPeriodInfos.xml,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blperiod_end_form.cpt,
	  unk/skins/bastionledger/blperiodinfo_view.pt,
	  unk/skins/bastionledger/blperiodinfos_view.pt,
	  unk/skins/bastionledger_images/blperiods.gif,
	  unk/skins/bastionledger_images/blperiods.gif.metadata: period-end
	  information Plone skins

2010-08-14 19:53  alan

	* unk/BLOrderBook.py,
	  unk/skins/bastionledger/blattachments_edit_form.cpt,
	  unk/skins/bastionledger/blledger_props_form.cpt,
	  unk/skins/bastionledger/bltaxtablerec_edit_form.cpt,
	  unk/skins/bastionledger/validate_attachments_edit.vpy,
	  unk/skins/bastionledger_emails/blinvoice_template.pt: bug fixes

2010-08-14 19:51  alan

	* unk/BLTransaction.py,
	  unk/skins/bastionledger/bltransaction_add_entries.cpy,
	  unk/skins/bastionledger/bltransaction_delete_entries.cpy,
	  unk/skins/bastionledger/bltransaction_delete_entries.cpy.metadata,
	  unk/skins/bastionledger/bltransaction_toggle_entries.cpy: Give
	  Manager full txn edit

2010-08-14 19:08  alan

	* unk/BLAssetRegister.py, unk/skins/bastionledger/blasset_view.pt,
	  unk/skins/bastionledger/blassetregister_depreciation.cpy.metadata,
	  unk/skins/bastionledger/blassetregister_depreciation_form.cpt,
	  unk/skins/bastionledger/blassetregister_view.pt: book value bug
	  and UI enhancements

2010-08-14 14:28  alan

	* unk/profiles/default/metadata.xml,
	  unk/skins/bastionledger/blbalance_sheet.cpt,
	  unk/skins/bastionledger/blcashflow_statement.cpt,
	  unk/skins/bastionledger/blemployee_payslip.pt,
	  unk/skins/bastionledger/blreports_view.pt,
	  unk/skins/bastionledger/blrevenue_statement.cpt: reporting
	  enhancements

2010-08-14 14:25  alan

	* unk/skins/bastionledger/bltransaction_view.pt,
	  unk/skins/bastionledger/bltransactions_bulkload_form.cpt,
	  unk/skins/bastionledger/bltransactions_view.pt: UI improvements

2010-08-14 14:23  alan

	* unk/profiles/default/types/BLAccount.xml,
	  unk/profiles/default/types/BLAsset.xml,
	  unk/profiles/default/types/BLCashAccount.xml,
	  unk/profiles/default/types/BLCashOrder.xml,
	  unk/profiles/default/types/BLEmployee.xml,
	  unk/profiles/default/types/BLOrder.xml,
	  unk/profiles/default/types/BLOrderAccount.xml,
	  unk/profiles/default/types/BLQuote.xml,
	  unk/profiles/default/types/BLShareholder.xml,
	  unk/profiles/default/types/BLSubsidiaryTransaction.xml,
	  unk/profiles/default/types/BLTransaction.xml,
	  unk/skins/bastionledger/blattachments_edit.cpy,
	  unk/skins/bastionledger/blattachments_edit.cpy.metadata,
	  unk/skins/bastionledger/blattachments_edit_form.cpt,
	  unk/skins/bastionledger/blattachments_edit_form.cpt.metadata,
	  unk/skins/bastionledger/validate_attachments_edit.vpy: attachment
	  enhancements

2010-08-14 14:21  alan

	* unk/BLReport.py, unk/skins/bastionledger/blreporting_macros.pt,
	  unk/skins/bastionledger/blreports_actions.cpy,
	  unk/skins/bastionledger/blreports_actions.cpy.metadata,
	  unk/skins/bastionledger/blreports_view.cpt,
	  unk/skins/bastionledger/blreports_view.cpt.metadata:
	  delete/copy/paste reports

2010-08-09 12:54  alan

	* unk/BLOrderBook.py, unk/BLQuoteManager.py,
	  unk/BLSubsidiaryAccount.py, unk/Ledger.py,
	  unk/skins/bastionledger/blemail_statement.cpy.metadata,
	  unk/skins/bastionledger/blquote_view.cpt,
	  unk/tests/testShareholderLedger.py, unk/zpt/view_quote.zpt: quote
	  bug fixes etc

2010-08-08 14:18  alan

	* unk/BLAccount.py, unk/BLLedger.py: transaction bulk loading

2010-08-08 12:14  alan

	* unk/skins/bastionledger/bltransactions_bulkload.cpy,
	  unk/skins/bastionledger/bltransactions_bulkload.cpy.metadata,
	  unk/skins/bastionledger/bltransactions_bulkload_form.cpt,
	  unk/skins/bastionledger/bltransactions_bulkload_form.cpt.metadata,
	  unk/skins/bastionledger/bltransactions_view.pt: transaction bulk
	  loading

2010-07-28 17:18  alan

	* unk/BLAccount.py, unk/BLBase.py, unk/BLEntry.py,
	  unk/BLEntryTemplate.py, unk/BLLedger.py, unk/BLOrderBook.py,
	  unk/BLPayroll.py, unk/BLProcess.py, unk/BLSubsidiaryAccount.py,
	  unk/BLSubsidiaryEntry.py, unk/BLSubsidiaryLedger.py,
	  unk/BLTransaction.py, unk/BLTransactionTemplate.py,
	  unk/CMFAccount.py, unk/FSBLProcess.py, unk/Ledger.py,
	  unk/LedgerControllerTool.py, unk/LedgerTool.py,
	  unk/PeriodEndTool.py, unk/profiles/default/metadata.xml,
	  unk/skins/bastionledger_emails/blbalancesheet_template.pt,
	  unk/skins/bastionledger_emails/blcashflow_template.pt,
	  unk/skins/bastionledger_emails/blrevenuestmt_template.pt,
	  unk/tests/testControllerTool.py,
	  unk/tests/testShareholderLedger.py: publishTraverse, zLOG removal

2010-07-10 14:25  alan

	* unk/BLAccount.py, unk/BLAssetRegister.py, unk/BLBase.py,
	  unk/BLControlEntry.py, unk/BLEntry.py, unk/BLEntryTemplate.py,
	  unk/BLInventory.py, unk/BLLedger.py, unk/BLOrderBook.py,
	  unk/BLPayroll.py, unk/BLShareholderLedger.py,
	  unk/BLSubsidiaryAccount.py, unk/BLSubsidiaryEntry.py,
	  unk/BLSubsidiaryLedger.py, unk/BLSubsidiaryTransaction.py,
	  unk/BLTransaction.py, unk/DepreciationTool.py, unk/Exceptions.py,
	  unk/Ledger.py, unk/LedgerControllerTool.py,
	  unk/defaults/view_payslip.zpt, unk/profiles/default/metadata.xml,
	  unk/skins/bastionledger/blaccount_edit_form.cpt,
	  unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blassetregister_depreciation_form.cpt,
	  unk/skins/bastionledger/blassetregister_view.pt,
	  unk/skins/bastionledger/blbalance_sheet.cpt,
	  unk/skins/bastionledger/blbalance_sheet.cpt.metadata,
	  unk/skins/bastionledger/blbalance_sheet.pt,
	  unk/skins/bastionledger/blcashflow_statement.cpt,
	  unk/skins/bastionledger/blcashflow_statement.cpt.metadata,
	  unk/skins/bastionledger/blcashflow_statement.pt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blemail_statement.cpy,
	  unk/skins/bastionledger/blemail_statement.cpy.metadata,
	  unk/skins/bastionledger/blemployee_payslip.pt,
	  unk/skins/bastionledger/blforecaster_update_form.cpt,
	  unk/skins/bastionledger/blforecaster_view.pt,
	  unk/skins/bastionledger/blledger_change_control_account.cpy,
	  unk/skins/bastionledger/blledger_props_form.cpt,
	  unk/skins/bastionledger/blledger_props_form.cpt.metadata,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/skins/bastionledger/blorders_view.pt,
	  unk/skins/bastionledger/blrevenue_statement.cpt,
	  unk/skins/bastionledger/blrevenue_statement.cpt.metadata,
	  unk/skins/bastionledger/blrevenue_statement.pt,
	  unk/skins/bastionledger/blstatement_view.pt,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/skins/bastionledger/validate_currencies.vpy,
	  unk/skins/bastionledger_emails/blbalancesheet_template.pt,
	  unk/skins/bastionledger_emails/blcashflow_template.pt,
	  unk/skins/bastionledger_emails/blrevenuestmt_template.pt,
	  unk/tests/testAssetRegister.py, unk/tests/testLedger.py,
	  unk/tests/testOrderBook.py, unk/tests/testPeriodEnd.py,
	  unk/tests/testSubsidiaryLedger.py, unk/tests/testTransaction.py,
	  unk/zpt/add_cashbook.zpt, unk/zpt/add_orderbook.zpt,
	  unk/zpt/add_payroll.zpt, unk/zpt/add_sharedefinition.zpt,
	  unk/zpt/add_shareholderledger.zpt,
	  unk/zpt/add_subsidiaryledger.zpt,
	  unk/zpt/assets_depreciation.zpt, unk/zpt/assets_main.zpt,
	  unk/zpt/edit_entry.zpt, unk/zpt/edit_ledger.zpt,
	  unk/zpt/edit_orderaccount.zpt, unk/zpt/orderaccount_index.zpt,
	  unk/zpt/orderbook_props.zpt, unk/zpt/payroll_props.zpt,
	  unk/zpt/shareholderaccount_index.zpt,
	  unk/zpt/test_transaction.zpt, unk/zpt/view_account.zpt,
	  unk/zpt/view_chart.zpt, unk/zpt/view_entry.zpt,
	  unk/zpt/view_orderaccount.zpt, unk/zpt/view_transaction.zpt: API
	  tidy-up and new fx regime

2010-07-06 06:18  alan

	* unk/BLOrderBook.py, unk/zpt/view_order.zpt: order discount bug
	  fixes

2010-07-06 05:40  alan

	* unk/BLOrderBook.py, unk/skins/bastionledger/blorder_additems.cpy,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_freight.py,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blorders_view.pt,
	  unk/skins/bastionledger/blp_order.txn/Account.ent,
	  unk/skins/bastionledger/blp_order.txn/COGS.ent,
	  unk/skins/bastionledger/blp_order.txn/Inventory.ent,
	  unk/skins/bastionledger/blp_order.txn/Sales.ent,
	  unk/skins/bastionledger/blp_order.txn/Tax.ent,
	  unk/tests/setup.py, unk/tests/testOrderBook.py,
	  unk/zpt/view_order.zpt: order discount bug fixes

2010-07-01 19:07  alan

	* unk/BLAccount.py, unk/BLAssociations.py, unk/BLControlEntry.py,
	  unk/BLEntry.py, unk/BLLedger.py, unk/BLOrderBook.py,
	  unk/BLSubsidiaryAccount.py, unk/BLSubsidiaryLedger.py,
	  unk/BLTransaction.py, unk/Ledger.py, unk/LedgerControllerTool.py,
	  unk/__init__.py, unk/profiles/default/factorytool.xml,
	  unk/profiles/default/metadata.xml,
	  unk/profiles/default/types/BLAssociation.xml,
	  unk/profiles/default/types/BLAssociationFolder.xml,
	  unk/profiles/default/types/propertiestool.xml,
	  unk/skins/bastionledger/blassociation_edit_form.cpt,
	  unk/skins/bastionledger/blassociation_view.pt,
	  unk/skins/bastionledger/blassociations_view.pt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blentry_view.pt,
	  unk/skins/bastionledger/blorders_view.pt,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/skins/bastionledger_images/blassociations.gif,
	  unk/skins/bastionledger_images/blassociations.gif.metadata,
	  unk/tests/testPeriodEnd.py, unk/zpt/view_entry.zpt: add
	  associations via plone, fix zero amount control entries

2010-06-29 20:12  alan

	* unk/BLAccount.py, unk/BLControlEntry.py, unk/BLLedger.py,
	  unk/BLOrderBook.py, unk/BLShareholderLedger.py,
	  unk/BLSubsidiaryLedger.py, unk/BLTransaction.py,
	  unk/LedgerControllerTool.py,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blentry_view.pt,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/tests/setup.py, unk/tests/testControllerTool.py,
	  unk/tests/testPeriodEnd.py, unk/tests/testShareholderLedger.py,
	  unk/utils.py: transaction entries view + currency conversion
	  consolidation

2010-06-24 18:45  alan

	* unk/BLAccount.py, unk/BLLedger.py, unk/BLTransaction.py,
	  unk/LedgerControllerTool.py,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/skins/bastionledger/validate_txn_entries.vpy: journal entries
	  view

2010-06-23 19:39  alan

	* unk/BLControlEntry.py, unk/BLEntry.py, unk/BLOrderBook.py,
	  unk/BLShareholderLedger.py, unk/BLTransaction.py,
	  unk/LedgerControllerTool.py, unk/configure.zcml,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/skins/bastionledger/blorders_view.pt,
	  unk/skins/bastionledger/blquote_edit_form.cpt,
	  unk/skins/bastionledger/blquote_view.cpt,
	  unk/skins/bastionledger/blshoppingcart_view.cpt,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt.metadata,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/tests/testControllerTool.py, unk/tests/testOrderBook.py:
	  currency conversion fixes

2010-04-17 18:43  alan

	* unk/BLEntry.py, unk/BLSubsidiaryTransaction.py,
	  unk/BLTaxTables.py, unk/BLTransaction.py,
	  unk/profiles/default/metadata.xml,
	  unk/skins/bastionledger/bltaxtable_view.pt,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt: createEntry
	  into BLTransaction

2010-04-14 07:01  alan

	* unk/BLBase.py, unk/skins/bastionledger/blquote_view.cpt: bug
	  fixes

2010-04-07 18:32  alan

	* unk/BLAccount.py, unk/BLOrderBook.py, unk/configure.zcml,
	  unk/profiles/default/metadata.xml,
	  unk/profiles/default/types/BLAccount.xml,
	  unk/profiles/default/types/BLCashAccount.xml,
	  unk/profiles/default/types/BLOrderAccount.xml,
	  unk/profiles/default/types/BLShareholder.xml,
	  unk/skins/bastionledger/blaccount_pay.cpy,
	  unk/skins/bastionledger/blaccount_pay_form.cpt,
	  unk/skins/bastionledger/blorder_additems.cpy, unk/utils.py,
	  unk/zpt/view_order.zpt, unk/zpt/view_orderaccount.zpt: Bastion
	  Merchant overhaul

2010-04-03 17:31  alan

	* unk/BLAccount.py, unk/BLControlEntry.py, unk/BLEntry.py,
	  unk/BLOrderBook.py, unk/BLSubsidiaryAccount.py,
	  unk/BLTransaction.py, unk/profiles/default/metadata.xml,
	  unk/profiles/default/types/BLOrderAccount.xml,
	  unk/skins/bastionledger/blaccount_edit.cpy,
	  unk/skins/bastionledger/blaccount_edit_form.cpt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blledger_props_form.cpt,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blorderaccount_details_form.cpt,
	  unk/skins/bastionledger/blorderaccount_settings.cpy.metadata,
	  unk/skins/bastionledger/blorderaccount_settings_form.cpt,
	  unk/skins/bastionledger/blorders_view.pt,
	  unk/tests/testAccount.py, unk/tests/testOrderBook.py,
	  unk/tests/testPayroll.py, unk/tests/testShareholderLedger.py:
	  multi-currency into UI

2010-03-16 07:18  alan

	* unk/BLForecaster.py,
	  unk/profiles/default/workflows/blcashorder_workflow/definition.xml,
	  unk/profiles/default/workflows/blcashorder_workflow/pay.py: more
	  function name standardisations

2010-03-16 06:47  alan

	* unk/BLAccount.py, unk/BLInventory.py, unk/BLOrderBook.py,
	  unk/BLQuoteManager.py, unk/BLTransaction.py,
	  unk/profiles/default/workflows/blcashorder_workflow/pay.py,
	  unk/skins/bastionledger/blaccount_email_statement.cpy,
	  unk/skins/bastionledger/blorder_email_invoice.cpy,
	  unk/skins/bastionledger/blorderaccount_details.cpy,
	  unk/skins/bastionledger/blorderaccount_settings.cpy,
	  unk/skins/bastionledger/blp_order.txn/COGS.ent,
	  unk/skins/bastionledger/blp_order.txn/Inventory.ent,
	  unk/skins/bastionledger/blp_order.txn/Sales.ent,
	  unk/zpt/view_account.zpt, unk/zpt/view_order.zpt,
	  unk/zpt/view_orderaccount.zpt, unk/zpt/view_quote.zpt,
	  unk/zpt/view_transaction.zpt: more function name standardisations

2010-03-14 06:40  alan

	* unk/BLBase.py, unk/BLForecaster.py,
	  unk/skins/bastionledger/blforecaster_update.cpy,
	  unk/tests/testForecaster.py: forecasting bug fixes

2010-03-13 04:03  alan

	* unk/BLAccount.py, unk/BLLedger.py, unk/BLSubsidiaryLedger.py,
	  unk/Ledger.py, unk/LedgerControllerTool.py, unk/__init__.py,
	  unk/interfaces/ledger.py,
	  unk/skins/bastionledger/blledger_props_form.cpt,
	  unk/zpt/add_blledger.zpt: LedgerBase class refactoring

2010-03-11 16:59  alan

	* unk/BLTaxTables.py,
	  unk/skins/bastionledger/blassetregister_depreciation_form.cpt,
	  unk/skins/bastionledger/blassetregister_view.pt,
	  unk/skins/bastionledger/blattachments_edit_form.cpt,
	  unk/skins/bastionledger/blinventory_dispatch_form.cpt,
	  unk/skins/bastionledger/blinventory_parts.pt,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/skins/bastionledger/blorders_view.pt,
	  unk/skins/bastionledger/blpayroll_view.cpt,
	  unk/skins/bastionledger/blprocess_view.pt,
	  unk/skins/bastionledger/blquotemgr_view.pt,
	  unk/skins/bastionledger/blreporting_macros.pt,
	  unk/skins/bastionledger/blreports_view.pt,
	  unk/skins/bastionledger/bltaxtable_view.pt,
	  unk/skins/bastionledger/bltransactions_view.pt: tax table
	  permissions for viewing

2010-03-10 23:49  alan

	* unk/BLAccount.py, unk/BLEntry.py, unk/BLLedger.py,
	  unk/BLOrderBook.py, unk/BLSubsidiaryAccount.py,
	  unk/BLTransaction.py, unk/configure.zcml,
	  unk/profiles/default/metadata.xml, unk/tests/setup.py,
	  unk/tests/testOrderBook.py: BastionCurrencyTool rollout

2010-03-10 03:01  alan

	* unk/Ledger.py: ensure top-level ledgers get into plone navigation

2010-03-08 10:50  alan

	* unk/BLControlEntry.py, unk/BLOrderBook.py,
	  unk/browser/portlets/shoppingcart.py,
	  unk/profiles/default/metadata.xml,
	  unk/profiles/default/types/BLCashBook.xml,
	  unk/profiles/default/types/BLOrderBook.xml,
	  unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blcashorder_edit.cpy,
	  unk/skins/bastionledger/blcashorder_edit_form.cpt,
	  unk/skins/bastionledger/blcashorder_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blemployee_payslip.pt,
	  unk/skins/bastionledger/blentry_view.pt,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blorders_view.pt,
	  unk/skins/bastionledger/blp_order.txn/Account.ent,
	  unk/skins/bastionledger/blp_order.txn/COGS.ent,
	  unk/skins/bastionledger/blp_order.txn/Inventory.ent,
	  unk/skins/bastionledger/blp_order.txn/Sales.ent,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/skins/bastionledger/bltransaction_view.pt: orders view tab in
	  orderbooks, cash order upgrade to orderbook account

2010-02-12 14:43  alan

	* unk/BLAccount.py, unk/BLEntry.py, unk/BLEntryTemplate.py,
	  unk/BLOpeningEntry.py, unk/BLOrderBook.py, unk/BLPayroll.py,
	  unk/BLPeriodInfo.py, unk/BLProcess.py, unk/BLQuoteManager.py,
	  unk/BLShareholderLedger.py, unk/BLSubsidiaryAccount.py,
	  unk/BLSubsidiaryTransaction.py, unk/BLTransaction.py,
	  unk/BLTransactionTemplate.py, unk/CMFAccount.py,
	  unk/PeriodEndTool.py, unk/profiles/default/metadata.xml,
	  unk/skins/bastionledger/blallocation_edit.cpy,
	  unk/skins/bastionledger/blallocation_edit_form.cpt,
	  unk/skins/bastionledger/blorder_dispatch.cpy,
	  unk/skins/bastionledger/blp_dividend_payable.txn/shareholder.ent,
	  unk/skins/bastionledger/blshoppingcart_add_item.cpy,
	  unk/tests/testAccount.py, unk/tests/testOrderBook.py,
	  unk/tests/testPeriodEnd.py, unk/tests/testShareholderLedger.py,
	  unk/tests/testSubsidiaryLedger.py, unk/tests/testTransaction.py,
	  unk/utils.py, unk/zpt/period_txns.zpt, unk/zpt/verify_ledger.zpt,
	  unk/zpt/view_account.zpt, unk/zpt/view_entry.zpt,
	  unk/zpt/view_order.zpt, unk/zpt/view_transaction.zpt: major
	  renaming of get\* accessors to bl\*

2010-02-12 04:51  alan

	* unk/BLShareholderLedger.py,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger_emails/blsharecert_template.pt: address
	  field tidy-ups

2010-02-12 02:59  alan

	* unk/BLShareholderLedger.py, unk/profiles/default/metadata.xml,
	  unk/skins/bastionledger/blshareholder_actions.cpy,
	  unk/skins/bastionledger/blshareholder_actions.cpy.metadata,
	  unk/skins/bastionledger/blshareholder_allocations.cpt,
	  unk/skins/bastionledger/blshareholder_allocations.cpt.metadata,
	  unk/skins/bastionledger/blshareholder_allocations.pt,
	  unk/skins/bastionledger_emails/blsharecert_template.pt:
	  generation and mailing of share certificates

2010-02-10 15:14  alan

	* unk/setup.py: eggification

2010-02-08 17:48  alan

	* unk/setup.py: eggification

2010-02-08 17:40  alan

	* unk/setup.py: eggification

2010-02-08 17:29  alan

	* unk/setup.py: eggification

2010-02-08 17:14  alan

	* unk/BLAccount.py, unk/BLOrderBook.py, unk/FSBLProcess.py,
	  unk/config.py, unk/profiles/default/metadata.xml,
	  unk/profiles/default/skins.xml, unk/setup.cfg, unk/setup.py,
	  unk/skins/bastionledger/blledger_edit_form.cpt,
	  unk/tests/setup.py, unk/tests/testLedger.py: eggification

2010-02-06 05:52  alan

	* unk/skins/bastionledger/blaccount_template.pt,
	  unk/skins/bastionledger/blinvoice_template.pt,
	  unk/skins/bastionledger/blquote_template.pt,
	  unk/skins/bastionledger_emails,
	  unk/skins/bastionledger_emails/blaccount_template.pt,
	  unk/skins/bastionledger_emails/blinvoice_template.pt,
	  unk/skins/bastionledger_emails/blquote_template.pt: move all
	  email templates into separate skin folder

2010-02-06 05:50  alan

	* unk/BLAccount.py, unk/BLOrderBook.py, unk/BLQuoteManager.py,
	  unk/Ledger.py, unk/skins/bastionledger/blaccount_template.pt,
	  unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blinvoice_template.pt,
	  unk/skins/bastionledger/blorder_email_invoice.cpy,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/skins/bastionledger/blquote_template.pt,
	  unk/skins/bastionledger/blquote_view.cpt: fix mail template/send
	  bugs

2010-02-06 02:52  alan

	* unk/BLOrderBook.py, unk/profiles/default/types/BLCashAccount.xml,
	  unk/skins/bastionledger/blaccount_taxgroups_form.cpt,
	  unk/skins/bastionledger/blcashorder_additems.cpy.metadata,
	  unk/skins/bastionledger/blcashorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_additems.cpy,
	  unk/skins/bastionledger/blorder_additems.cpy.metadata,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/skins/bastionledger/blorderaccount_settings.cpy,
	  unk/skins/bastionledger/blorderaccount_settings.cpy.metadata,
	  unk/skins/bastionledger/blorderaccount_settings_form.cpt,
	  unk/skins/bastionledger/blorderaccount_settings_form.cpt.metadata,
	  unk/tests/testOrderBook.py: need sales tax into cashbook tax
	  groups

2010-02-05 21:58  alan

	* unk/BLAccount.py, unk/BLBase.py, unk/BLDatedFolder.py,
	  unk/BLInventory.py, unk/BLLedger.py, unk/BLOrderBook.py,
	  unk/BLPayroll.py, unk/BLPricePolicy.py,
	  unk/BLShareholderLedger.py, unk/BLSubsidiaryAccount.py,
	  unk/BLSubsidiaryLedger.py, unk/BLSubsidiaryTransaction.py,
	  unk/BLTransaction.py, unk/BLTransactionTemplate.py,
	  unk/Ledger.py, unk/configure.zcml,
	  unk/profiles/default/metadata.xml,
	  unk/profiles/default/types/BLCashOrder.xml,
	  unk/profiles/default/workflows/blcashorder_workflow/cancel.py,
	  unk/profiles/default/workflows/blcashorder_workflow/definition.xml,
	  unk/profiles/default/workflows/blcashorder_workflow/dispatch.py,
	  unk/profiles/default/workflows/blcashorder_workflow/finish.py,
	  unk/skins/bastionledger/blaccount_edit.cpy,
	  unk/skins/bastionledger/blaccount_edit_form.cpt,
	  unk/skins/bastionledger/blasset_edit_form.cpt,
	  unk/skins/bastionledger/blassociation_edit_form.cpt,
	  unk/skins/bastionledger/blcashorder_additems.cpy,
	  unk/skins/bastionledger/blcashorder_additems.cpy.metadata,
	  unk/skins/bastionledger/blcashorder_edit.cpy,
	  unk/skins/bastionledger/blcashorder_edit.cpy.metadata,
	  unk/skins/bastionledger/blcashorder_edit_form.cpt,
	  unk/skins/bastionledger/blcashorder_edit_form.cpt.metadata,
	  unk/skins/bastionledger/bldividend_advice_view.pt,
	  unk/skins/bastionledger/bldublincore_edit_form.cpt,
	  unk/skins/bastionledger/blentrytemplate_edit_form.cpt,
	  unk/skins/bastionledger/blledger_listing.pt,
	  unk/skins/bastionledger/blledger_props.cpy,
	  unk/skins/bastionledger/blledger_props.cpy.metadata,
	  unk/skins/bastionledger/blledger_props_form.cpt,
	  unk/skins/bastionledger/blorder_additems.cpy,
	  unk/skins/bastionledger/blorder_additems.cpy.metadata,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_shipping_form.cpt,
	  unk/skins/bastionledger/blp_dividend_form.cpt,
	  unk/skins/bastionledger/blpart_edit_form.cpt,
	  unk/skins/bastionledger/blquote_edit_form.cpt,
	  unk/skins/bastionledger/blshoppingcart_view.cpt,
	  unk/skins/bastionledger/bltaxtablerec_edit_form.cpt,
	  unk/skins/bastionledger_images/bastionledger.gif.metadata,
	  unk/skins/bastionledger_images/blaccount.gif.metadata,
	  unk/skins/bastionledger_images/blasset.gif.metadata,
	  unk/skins/bastionledger_images/blassetregister.gif.metadata,
	  unk/skins/bastionledger_images/blassociation.gif.metadata,
	  unk/skins/bastionledger_images/blcart.gif.metadata,
	  unk/skins/bastionledger_images/blcontroller.gif.metadata,
	  unk/skins/bastionledger_images/blcsv.gif.metadata,
	  unk/skins/bastionledger_images/bldividendadvice.gif.metadata,
	  unk/skins/bastionledger_images/blemployee.gif.metadata,
	  unk/skins/bastionledger_images/blentry.gif.metadata,
	  unk/skins/bastionledger_images/blentry_tpl.gif.metadata,
	  unk/skins/bastionledger_images/blforecaster.gif.metadata,
	  unk/skins/bastionledger_images/blinventory.gif.metadata,
	  unk/skins/bastionledger_images/blledger.gif.metadata,
	  unk/skins/bastionledger_images/blorder.gif.metadata,
	  unk/skins/bastionledger_images/blorderaccount.gif.metadata,
	  unk/skins/bastionledger_images/blorderbook.gif.metadata,
	  unk/skins/bastionledger_images/blpart.gif.metadata,
	  unk/skins/bastionledger_images/blpayroll.gif.metadata,
	  unk/skins/bastionledger_images/blpayslip.gif.metadata,
	  unk/skins/bastionledger_images/blprocess.gif.metadata,
	  unk/skins/bastionledger_images/blquote.gif.metadata,
	  unk/skins/bastionledger_images/blquotemgr.gif.metadata,
	  unk/skins/bastionledger_images/blreport.gif.metadata,
	  unk/skins/bastionledger_images/blshare.gif.metadata,
	  unk/skins/bastionledger_images/blshareholder.gif.metadata,
	  unk/skins/bastionledger_images/blshareholderledger.gif.metadata,
	  unk/skins/bastionledger_images/blsubsidiaryledger.gif.metadata,
	  unk/skins/bastionledger_images/bltaxtable.gif.metadata,
	  unk/skins/bastionledger_images/bltaxtablerec.gif.metadata,
	  unk/skins/bastionledger_images/bltimesheet.gif.metadata,
	  unk/skins/bastionledger_images/bltimesheetslot.gif.metadata,
	  unk/skins/bastionledger_images/bltransaction.gif.metadata,
	  unk/skins/bastionledger_images/bltransaction_tpl.gif.metadata,
	  unk/skins/bastionledger_images/fsblentry_tpl.gif.metadata,
	  unk/skins/bastionledger_images/fsblprocess.gif.metadata,
	  unk/skins/bastionledger_images/fsbltransaction_tpl.gif.metadata,
	  unk/skins/bastionledger_images/fsscript.gif.metadata,
	  unk/skins/bastionledger_images/trombone.gif.metadata,
	  unk/tests/LedgerTestCase.py, unk/tests/testAccount.py,
	  unk/tests/testOrderBook.py, unk/utils.py, unk/zpt/view_chart.zpt:
	  buy or sell cashbook implementation

2010-01-27 14:17  alan

	* unk/profiles/default/metadata.xml: Plone 3.3 test framework tidy
	  up

2010-01-27 08:08  alan

	* unk/BLPayroll.py, unk/profiles/default/metadata.xml,
	  unk/skins/bastionledger/blassetregister_view.pt,
	  unk/skins/bastionledger/blbalance_sheet.pt,
	  unk/skins/bastionledger/blcashflow_statement.pt,
	  unk/skins/bastionledger/blpayroll_view.cpt,
	  unk/skins/bastionledger/blrevenue_statement.pt,
	  unk/tests/LedgerTestCase.py, unk/tests/framework.py,
	  unk/tests/setup.py, unk/tests/testPayroll.py: Plone 3.3 test
	  framework tidy up

2009-11-25 16:11  alan

	* unk/tests/testForecaster.py, unk/tests/testPayroll.py: fix some
	  tests

2009-11-25 15:57  alan

	* unk/BLBase.py, unk/BLLedger.py, unk/BLOrderBook.py,
	  unk/BLTaxTables.py, unk/profiles/default/metadata.xml,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/skins/bastionledger/bltransaction_toggle_entries.cpy.metadata,
	  unk/skins/bastionledger/bltransaction_view.pt: dublin core into
	  ZMI, tax tables auth fix

2009-11-11 15:13  alan

	* unk/BLAccount.py, unk/BLOrderBook.py, unk/BLPayroll.py,
	  unk/BLQuoteManager.py, unk/BLTaxCodeSupport.py,
	  unk/BLTransaction.py, unk/Ledger.py, unk/Permissions.py,
	  unk/profiles/default/metadata.xml,
	  unk/profiles/default/types/BLCashBook.xml,
	  unk/profiles/default/types/BLOrderBook.xml,
	  unk/profiles/default/types/BLPayroll.xml,
	  unk/profiles/default/types/BLQuoteManager.xml,
	  unk/profiles/default/types/BLShareholderLedger.xml,
	  unk/profiles/default/types/BLSubsidiaryLedger.xml,
	  unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blemployee_payslip.pt,
	  unk/skins/bastionledger/blemployee_payslips.pt,
	  unk/skins/bastionledger/blinventory_dispatch_form.cpt,
	  unk/skins/bastionledger/blinventory_parts.pt,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blpayroll_superannuation_summary.pt,
	  unk/skins/bastionledger/blquote_edit_form.cpt,
	  unk/skins/bastionledger/blquote_view.cpt,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/tests/testForecaster.py, unk/tests/testOrderBook.py,
	  unk/tests/testPayroll.py: tweaks for expansism

2009-11-05 04:52  alan

	* unk/profiles/default/metadata.xml: tax-inclusive tax table
	  computations

2009-11-05 04:51  alan

	* unk/BLTaxTables.py, unk/LedgerControllerTool.py: tax-inclusive
	  tax table computations

2009-10-28 14:12  alan

	* unk/BLAssetRegister.py, unk/PeriodEndTool.py,
	  unk/tests/testAssetRegister.py, unk/tests/testPeriodEnd.py:
	  depreciation into period end fix

2009-10-28 07:30  alan

	* unk/BLPeriodInfo.py, unk/zpt/period_chart.zpt: mass-change of
	  reporting balances

2009-10-28 05:54  alan

	* unk/BLAccount.py, unk/BLAssociations.py, unk/BLGlobals.py,
	  unk/BLLedger.py, unk/BLPeriodInfo.py, unk/Exceptions.py,
	  unk/Ledger.py, unk/PeriodEndTool.py, unk/configure.zcml,
	  unk/skins/bastionledger/blledger_change_control_account.cpy,
	  unk/skins/bastionledger/blperiod_end.cpy,
	  unk/skins/bastionledger/blperiod_end_form.cpt,
	  unk/skins/bastionledger/blperiod_end_form.cpt.metadata,
	  unk/skins/bastionledger/blreporting_macros.pt,
	  unk/skins/bastionledger/blreports_view.pt,
	  unk/skins/bastionledger/blshare_view.pt,
	  unk/tests/testAccount.py, unk/tests/testPeriodEnd.py,
	  unk/utils.py: reporting only implementation in period-end

2009-10-19 03:57  alan

	* unk/BLAccount.py, unk/BLAssociations.py, unk/BLEntry.py,
	  unk/BLLedger.py, unk/BLShareholderLedger.py, unk/BLTaxTables.py,
	  unk/Ledger.py, unk/LedgerControllerTool.py, unk/PeriodEndTool.py,
	  unk/__init__.py, unk/setuphandlers.py,
	  unk/skins/bastionledger/blshare_view.pt,
	  unk/skins/bastionledger/validate_accno.vpy,
	  unk/tests/testAssociations.py, unk/tests/testControllerTool.py,
	  unk/tests/testLedger.py, unk/tests/testTaxTables.py: associations
	  and taxtable workover

2009-10-15 07:21  alan

	* unk/BLAccount.py, unk/BLAssetRegister.py, unk/BLAssociations.py,
	  unk/BLControlEntry.py, unk/BLDatedFolder.py, unk/BLEntry.py,
	  unk/BLForecaster.py, unk/BLGlobals.py, unk/BLInventory.py,
	  unk/BLLedger.py, unk/BLOpeningEntry.py, unk/BLOrderBook.py,
	  unk/BLPayroll.py, unk/BLPeriodInfo.py,
	  unk/BLShareholderLedger.py, unk/BLSubsidiaryAccount.py,
	  unk/BLSubsidiaryLedger.py, unk/BLTaxTables.py,
	  unk/DepreciationTool.py, unk/Ledger.py,
	  unk/LedgerControllerTool.py, unk/PeriodEndTool.py,
	  unk/Permissions.py, unk/__init__.py, unk/charts/General.z,
	  unk/configure.zcml, unk/interfaces/process.py,
	  unk/interfaces/tools.py, unk/profiles/default/cssregistry.xml,
	  unk/profiles/default/metadata.xml,
	  unk/profiles/default/types/BLAccount.xml,
	  unk/profiles/default/types/BLAllocation.xml,
	  unk/profiles/default/types/BLAsset.xml,
	  unk/profiles/default/types/BLAssetRegister.xml,
	  unk/profiles/default/types/BLAssociation.xml,
	  unk/profiles/default/types/BLAssociationFolder.xml,
	  unk/profiles/default/types/BLCall.xml,
	  unk/profiles/default/types/BLCashAccount.xml,
	  unk/profiles/default/types/BLCashBook.xml,
	  unk/profiles/default/types/BLCashOrder.xml,
	  unk/profiles/default/types/BLDispatchable.xml,
	  unk/profiles/default/types/BLDividendAdvice.xml,
	  unk/profiles/default/types/BLDividendProcess.xml,
	  unk/profiles/default/types/BLEmployee.xml,
	  unk/profiles/default/types/BLEntry.xml,
	  unk/profiles/default/types/BLEntryTemplate.xml,
	  unk/profiles/default/types/BLForecaster.xml,
	  unk/profiles/default/types/BLInventory.xml,
	  unk/profiles/default/types/BLLedger.xml,
	  unk/profiles/default/types/BLOrder.xml,
	  unk/profiles/default/types/BLOrderAccount.xml,
	  unk/profiles/default/types/BLOrderBook.xml,
	  unk/profiles/default/types/BLPart.xml,
	  unk/profiles/default/types/BLPartFolder.xml,
	  unk/profiles/default/types/BLPaySlip.xml,
	  unk/profiles/default/types/BLPayroll.xml,
	  unk/profiles/default/types/BLProcess.xml,
	  unk/profiles/default/types/BLProcesses.xml,
	  unk/profiles/default/types/BLQuote.xml,
	  unk/profiles/default/types/BLQuoteManager.xml,
	  unk/profiles/default/types/BLReport.xml,
	  unk/profiles/default/types/BLReportFolder.xml,
	  unk/profiles/default/types/BLShareDefinition.xml,
	  unk/profiles/default/types/BLShareholder.xml,
	  unk/profiles/default/types/BLShareholderLedger.xml,
	  unk/profiles/default/types/BLSubsidiaryLedger.xml,
	  unk/profiles/default/types/BLSubsidiaryTransaction.xml,
	  unk/profiles/default/types/BLTaxTable.xml,
	  unk/profiles/default/types/BLTaxTableRecord.xml,
	  unk/profiles/default/types/BLTimesheet.xml,
	  unk/profiles/default/types/BLTimesheetSlot.xml,
	  unk/profiles/default/types/BLTool.xml,
	  unk/profiles/default/types/BLTransaction.xml,
	  unk/profiles/default/types/BLTransactionTemplate.xml,
	  unk/profiles/default/types/CMFAccount.xml,
	  unk/profiles/default/types/FSBLEntryTemplate.xml,
	  unk/profiles/default/types/FSBLTransactionTemplate.xml,
	  unk/profiles/default/types/Ledger.xml,
	  unk/profiles/default/types/LedgerControllerTool.xml,
	  unk/skins/bastionledger/bastionledger.css.dtml,
	  unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blallocation_edit.cpy,
	  unk/skins/bastionledger/blassetregister_depreciation.cpy,
	  unk/skins/bastionledger/blassetregister_depreciation_form.cpt,
	  unk/skins/bastionledger/blassetregister_depreciation_form.cpt.metadata,
	  unk/skins/bastionledger/blassetregister_view.pt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blcompany_info.pt,
	  unk/skins/bastionledger/blemployee_payslips.pt,
	  unk/skins/bastionledger/blp_dividend_form.cpt.metadata,
	  unk/skins/bastionledger/blpayroll_superannuation_summary.pt,
	  unk/skins/bastionledger/blpayroll_view.cpt,
	  unk/skins/bastionledger/blperiod_end.cpy,
	  unk/skins/bastionledger/blperiod_end.cpy.metadata,
	  unk/skins/bastionledger/blperiod_end_form.cpt,
	  unk/skins/bastionledger/blperiod_end_form.cpt.metadata,
	  unk/skins/bastionledger/blprocess_run.cpy,
	  unk/skins/bastionledger/blprocess_run.cpy.metadata,
	  unk/skins/bastionledger/blprocess_run_form.cpt.metadata,
	  unk/skins/bastionledger/blreporting_macros.pt,
	  unk/skins/bastionledger/blreports_view.pt,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/tests/testAccount.py, unk/tests/testControllerTool.py,
	  unk/tests/testLedger.py, unk/tests/testOrderBook.py,
	  unk/tests/testPeriodEnd.py, unk/tests/testShareholderLedger.py,
	  unk/tests/testSubsidiaryLedger.py, unk/tests/testTransaction.py,
	  unk/www/period.gif, unk/zpt/assets_main.zpt,
	  unk/zpt/balance_sheet_multi.zpt, unk/zpt/edit_ledger.zpt,
	  unk/zpt/payroll_props.zpt, unk/zpt/period_chart.zpt,
	  unk/zpt/period_txns.zpt, unk/zpt/periods_trialbalance.zpt,
	  unk/zpt/revenue_statement_multi.zpt, unk/zpt/view_account.zpt,
	  unk/zpt/view_transactions.zpt: period-end workover

2009-09-02 23:46  alan

	* unk/BLAccount.py, unk/BLBase.py, unk/BLLedger.py,
	  unk/BLTaxTables.py, unk/LedgerControllerTool.py,
	  unk/skins/bastionledger/bltransaction_view.pt: fixes for tax
	  table indexes

2009-09-02 15:59  alan

	* unk/profiles/default/cssregistry.xml,
	  unk/skins/bastionledger/blattachments_edit.cpy.metadata,
	  unk/skins/bastionledger/bltransaction_add_entries.cpy,
	  unk/skins/bastionledger/bltransaction_add_entries.cpy.metadata:
	  css for calendars

2009-08-11 16:34  alan

	* unk/BLShareholderLedger.py, unk/Ledger.py,
	  unk/profiles/default/cssregistry.xml,
	  unk/profiles/default/jsregistry.xml,
	  unk/skins/bastionledger/blallocation_edit.cpy,
	  unk/skins/bastionledger/blshare_edit.cpy,
	  unk/skins/bastionledger/calendar_formfield.js: added basic
	  calendaring js/css

2009-08-10 18:39  alan

	* unk/BLLedger.py, unk/BLOrderBook.py, unk/BLTransaction.py,
	  unk/Ledger.py, unk/profiles/default/metadata.xml,
	  unk/profiles/default/workflows.xml,
	  unk/skins/bastionledger/blallocation_edit_form.cpt,
	  unk/skins/bastionledger/blledger_edit_form.cpt,
	  unk/skins/bastionledger/blorder_edit.cpy,
	  unk/skins/bastionledger/blorder_edit.cpy.metadata,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blpart_edit.cpy.metadata,
	  unk/skins/bastionledger/blpart_edit_form.cpt,
	  unk/skins/bastionledger/blpart_view.pt,
	  unk/skins/bastionledger/bltransaction_edit.cpy,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/skins/bastionledger/calendar_macros.pt,
	  unk/tests/testOrderBook.py, unk/zpt/add_transaction.zpt,
	  unk/zpt/edit_ledger.zpt, unk/zpt/orderbook_props.zpt,
	  unk/zpt/view_order.zpt, unk/zpt/view_orders.zpt: more links into
	  order management skins plus lots of little bug fixes

2009-08-07 03:12  alan

	* unk/BLEntry.py, unk/BLSubsidiaryEntry.py,
	  unk/skins/bastionledger/blaccount_pay.cpy,
	  unk/skins/bastionledger/blaccount_pay.cpy.metadata,
	  unk/skins/bastionledger/blaccount_pay_form.cpt: merchant fixes to
	  account payments

2009-07-30 01:28  alan

	* unk/BLShareholderLedger.py,
	  unk/skins/bastionledger/blledger_listing.pt,
	  unk/skins/bastionledger/blp_dividend_payment.txn/shareholder.ent:
	  bug in dividend payment

2009-07-22 16:35  alan

	* unk/skins/bastionledger/blaccounts_tags.pt: skins for
	  associations

2009-07-22 16:17  alan

	* unk/BLAssociations.py, unk/__init__.py,
	  unk/profiles/default/metadata.xml,
	  unk/profiles/default/types.xml,
	  unk/profiles/default/types/BLAssociation.xml,
	  unk/profiles/default/types/BLAssociationFolder.xml,
	  unk/skins/bastionledger/blassociation_edit.cpy,
	  unk/skins/bastionledger/blassociation_edit.cpy.metadata,
	  unk/skins/bastionledger/blassociation_edit_form.cpt,
	  unk/skins/bastionledger/blassociation_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blassociation_view.pt,
	  unk/skins/bastionledger/blassociations_view.pt,
	  unk/skins/bastionledger_images/blassociation.gif: skins for
	  associations

2009-07-22 14:36  alan

	* unk/Ledger.py, unk/LedgerControllerTool.py, unk/configure.zcml,
	  unk/setuphandlers.py, unk/tests/testLedgerTestCase.py:
	  LedgerControllerTool setup moved into event listener for local
	  controller setups

2009-07-19 17:35  alan

	* unk/BLAccount.py, unk/BLAssetRegister.py, unk/BLForecaster.py,
	  unk/BLInventory.py, unk/BLOrderBook.py, unk/BLQuoteManager.py,
	  unk/BLSubsidiaryLedger.py, unk/Ledger.py, unk/configure.zcml,
	  unk/interfaces/tools.py, unk/profiles/default/metadata.xml,
	  unk/zpt/view_order.zpt: fully interfaced pluugged Ledger
	  containables

2009-06-26 04:34  alan

	* unk/DepreciationTool.py, unk/Ledger.py, unk/interfaces/tools.py,
	  unk/profiles/default/metadata.xml,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt: marker
	  interface to add meta types into Ledger

2009-06-25 04:17  alan

	* unk/BLShareholderLedger.py, unk/__init__.py,
	  unk/profiles/default/types/BLShareholderLedger.xml,
	  unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blledger_props_form.cpt: fixes to allow
	  View permission

2009-06-25 04:16  alan

	* unk/LedgerControllerTool.py: allow blank default currency

2009-06-25 04:15  alan

	* unk/BLAccount.py, unk/BLTaxTables.py,
	  unk/skins/bastionledger/blaccount_taxgroups_form.cpt,
	  unk/zpt/tax_codes.zpt: Title into tax tables

2009-06-19 05:00  alan

	* unk/profiles/default/skins.xml,
	  unk/skins/bastionledger/bastionledger.gif,
	  unk/skins/bastionledger/blaccount.gif,
	  unk/skins/bastionledger/blasset.gif,
	  unk/skins/bastionledger/blassetregister.gif,
	  unk/skins/bastionledger/blcart.gif,
	  unk/skins/bastionledger/blcontroller.gif,
	  unk/skins/bastionledger/blcsv.gif,
	  unk/skins/bastionledger/bldividendadvice.gif,
	  unk/skins/bastionledger/blemployee.gif,
	  unk/skins/bastionledger/blentry.gif,
	  unk/skins/bastionledger/blentry_tpl.gif,
	  unk/skins/bastionledger/blforecaster.gif,
	  unk/skins/bastionledger/blinventory.gif,
	  unk/skins/bastionledger/blledger.gif,
	  unk/skins/bastionledger/blorder.gif,
	  unk/skins/bastionledger/blorderaccount.gif,
	  unk/skins/bastionledger/blorderbook.gif,
	  unk/skins/bastionledger/blpart.gif,
	  unk/skins/bastionledger/blpayroll.gif,
	  unk/skins/bastionledger/blpayslip.gif,
	  unk/skins/bastionledger/blprocess.gif,
	  unk/skins/bastionledger/blquote.gif,
	  unk/skins/bastionledger/blquotemgr.gif,
	  unk/skins/bastionledger/blreport.gif,
	  unk/skins/bastionledger/blshare.gif,
	  unk/skins/bastionledger/blshareholder.gif,
	  unk/skins/bastionledger/blshareholderledger.gif,
	  unk/skins/bastionledger/blsubsidiaryledger.gif,
	  unk/skins/bastionledger/bltaxtable.gif,
	  unk/skins/bastionledger/bltaxtablerec.gif,
	  unk/skins/bastionledger/bltimesheet.gif,
	  unk/skins/bastionledger/bltimesheetslot.gif,
	  unk/skins/bastionledger/bltransaction.gif,
	  unk/skins/bastionledger/bltransaction_tpl.gif,
	  unk/skins/bastionledger/fsblentry_tpl.gif,
	  unk/skins/bastionledger/fsblprocess.gif,
	  unk/skins/bastionledger/fsbltransaction_tpl.gif,
	  unk/skins/bastionledger/fsscript.gif,
	  unk/skins/bastionledger/trombone.gif,
	  unk/skins/bastionledger_images,
	  unk/skins/bastionledger_images/bastionledger.gif,
	  unk/skins/bastionledger_images/blaccount.gif,
	  unk/skins/bastionledger_images/blasset.gif,
	  unk/skins/bastionledger_images/blassetregister.gif,
	  unk/skins/bastionledger_images/blcart.gif,
	  unk/skins/bastionledger_images/blcontroller.gif,
	  unk/skins/bastionledger_images/blcsv.gif,
	  unk/skins/bastionledger_images/bldividendadvice.gif,
	  unk/skins/bastionledger_images/blemployee.gif,
	  unk/skins/bastionledger_images/blentry.gif,
	  unk/skins/bastionledger_images/blentry_tpl.gif,
	  unk/skins/bastionledger_images/blforecaster.gif,
	  unk/skins/bastionledger_images/blinventory.gif,
	  unk/skins/bastionledger_images/blledger.gif,
	  unk/skins/bastionledger_images/blorder.gif,
	  unk/skins/bastionledger_images/blorderaccount.gif,
	  unk/skins/bastionledger_images/blorderbook.gif,
	  unk/skins/bastionledger_images/blpart.gif,
	  unk/skins/bastionledger_images/blpayroll.gif,
	  unk/skins/bastionledger_images/blpayslip.gif,
	  unk/skins/bastionledger_images/blprocess.gif,
	  unk/skins/bastionledger_images/blquote.gif,
	  unk/skins/bastionledger_images/blquotemgr.gif,
	  unk/skins/bastionledger_images/blreport.gif,
	  unk/skins/bastionledger_images/blshare.gif,
	  unk/skins/bastionledger_images/blshareholder.gif,
	  unk/skins/bastionledger_images/blshareholderledger.gif,
	  unk/skins/bastionledger_images/blsubsidiaryledger.gif,
	  unk/skins/bastionledger_images/bltaxtable.gif,
	  unk/skins/bastionledger_images/bltaxtablerec.gif,
	  unk/skins/bastionledger_images/bltimesheet.gif,
	  unk/skins/bastionledger_images/bltimesheetslot.gif,
	  unk/skins/bastionledger_images/bltransaction.gif,
	  unk/skins/bastionledger_images/bltransaction_tpl.gif,
	  unk/skins/bastionledger_images/fsblentry_tpl.gif,
	  unk/skins/bastionledger_images/fsblprocess.gif,
	  unk/skins/bastionledger_images/fsbltransaction_tpl.gif,
	  unk/skins/bastionledger_images/fsscript.gif,
	  unk/skins/bastionledger_images/trombone.gif: bastionledger_images
	  implementation

2009-06-19 04:49  alan

	* unk/BLBase.py, unk/BLPayroll.py, unk/BLShareholderLedger.py,
	  unk/Ledger.py, unk/__init__.py, unk/configure.zcml,
	  unk/profiles/default/factorytool.xml,
	  unk/profiles/default/metadata.xml,
	  unk/profiles/default/propertiestool.xml,
	  unk/profiles/default/types.xml,
	  unk/profiles/default/types/BLCall.xml,
	  unk/profiles/default/types/BLPayroll.xml,
	  unk/profiles/default/types/BLShareholderLedger.xml,
	  unk/profiles/default/types/BLTimesheetSlot.xml,
	  unk/profiles/default/types/Ledger.xml,
	  unk/skins/bastionledger/blpayroll_timesheeting.cpy,
	  unk/skins/bastionledger/blpayroll_timesheeting.cpy.metadata,
	  unk/skins/bastionledger/blpayroll_timesheeting_form.cpt,
	  unk/skins/bastionledger/blpayroll_timesheeting_form.cpt.metadata,
	  unk/skins/bastionledger/bltimesheetperiod_edit.cpy,
	  unk/skins/bastionledger/bltimesheetperiod_edit.cpy.metadata,
	  unk/skins/bastionledger/bltimesheetperiod_edit_form.cpt,
	  unk/skins/bastionledger/bltimesheetperiod_edit_form.cpt.metadata,
	  unk/skins/bastionledger/bltimesheetperiod_view.pt,
	  unk/skins/bastionledger/bltimesheetslot.gif,
	  unk/skins/bastionledger/validate_timeperiods.vpy,
	  unk/tests/testPayroll.py, unk/tests/testShareholderLedger.py,
	  unk/zpt/add_shareholderledger.zpt: timesheet slots tab and other
	  changes

2009-06-18 03:28  alan

	* unk/BLAccount.py, unk/BLAssetRegister.py, unk/BLBase.py,
	  unk/BLControlEntry.py, unk/BLLedger.py, unk/BLOpeningEntry.py,
	  unk/BLOrderBook.py, unk/BLPayroll.py, unk/BLReport.py,
	  unk/BLShareholderLedger.py, unk/BLSubsidiaryAccount.py,
	  unk/BLSubsidiaryLedger.py, unk/BLSubsidiaryTransaction.py,
	  unk/BLTaxTables.py, unk/BLTransaction.py,
	  unk/BLTransactionTemplate.py, unk/CMFAccount.py,
	  unk/Extensions/Install.py, unk/Ledger.py,
	  unk/LedgerControllerTool.py, unk/profiles/default/metadata.xml,
	  unk/profiles/default/types/BLShareDefinition.xml,
	  unk/setuphandlers.py, unk/skins/bastionledger/blaccount_edit.cpy,
	  unk/skins/bastionledger/blaccount_edit_form.cpt,
	  unk/skins/bastionledger/blaccount_email_statement.cpy,
	  unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blallocation_edit.cpy,
	  unk/skins/bastionledger/blallocation_edit_form.cpt,
	  unk/skins/bastionledger/blallocation_view.pt,
	  unk/skins/bastionledger/blledger_change_control_account.cpy,
	  unk/skins/bastionledger/blledger_props_form.cpt,
	  unk/skins/bastionledger/blshare_calls.cpy,
	  unk/skins/bastionledger/blshare_calls.cpy.metadata,
	  unk/skins/bastionledger/blshare_calls_form.cpt,
	  unk/skins/bastionledger/blshare_calls_form.cpt.metadata,
	  unk/skins/bastionledger/blshare_edit.cpy,
	  unk/skins/bastionledger/blshare_edit_form.cpt,
	  unk/skins/bastionledger/blshare_view.pt,
	  unk/skins/bastionledger/blshareholder_advices.pt,
	  unk/skins/bastionledger/blshareholder_allocations.pt,
	  unk/skins/bastionledger/blshareholder_share_defns.pt,
	  unk/skins/bastionledger/prefs_bastionledger.cpt,
	  unk/tests/testFSBLProcess.py, unk/tests/testLedgerTool.py,
	  unk/tests/testShareholderLedger.py, unk/tests/testTaxTables.py,
	  unk/zpt/controller_ledger.zpt, unk/zpt/edit_ledger.zpt: first-cut
	  shareholders ledger reworking for calls

2009-05-14 02:03  alan

	* unk/skins/bastionledger/blassetregister_view.pt,
	  unk/skins/bastionledger/blentry_view.pt,
	  unk/skins/bastionledger/blprocesses_view.pt: typos in
	  object_title into title

2009-05-14 01:12  alan

	* unk/BLForecaster.py, unk/BLTaxTables.py,
	  unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blaccounts_tags.pt,
	  unk/skins/bastionledger/blallocation_edit_form.cpt,
	  unk/skins/bastionledger/blallocation_view.pt,
	  unk/skins/bastionledger/blasset_edit_form.cpt,
	  unk/skins/bastionledger/blasset_view.pt,
	  unk/skins/bastionledger/blassetregister_view.pt,
	  unk/skins/bastionledger/blassociations_view.pt,
	  unk/skins/bastionledger/blattachments_edit_form.cpt,
	  unk/skins/bastionledger/blbalance_sheet.pt,
	  unk/skins/bastionledger/blcashflow_statement.pt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blcompany_info.pt,
	  unk/skins/bastionledger/bldispatchable_view.pt,
	  unk/skins/bastionledger/bldividend_advice_view.pt,
	  unk/skins/bastionledger/bldublincore_edit_form.cpt,
	  unk/skins/bastionledger/blemployee_deductions.pt,
	  unk/skins/bastionledger/blemployee_payslips.pt,
	  unk/skins/bastionledger/blemployee_timesheets.cpt,
	  unk/skins/bastionledger/blentry_view.pt,
	  unk/skins/bastionledger/blentrytemplate_edit_form.cpt,
	  unk/skins/bastionledger/blentrytemplate_view.pt,
	  unk/skins/bastionledger/blforecaster_edit_form.cpt,
	  unk/skins/bastionledger/blforecaster_update_form.cpt,
	  unk/skins/bastionledger/blforecaster_view.pt,
	  unk/skins/bastionledger/blinventory_dispatch_form.cpt,
	  unk/skins/bastionledger/blinventory_parts.pt,
	  unk/skins/bastionledger/blledger_edit_form.cpt,
	  unk/skins/bastionledger/blledger_listing.pt,
	  unk/skins/bastionledger/blledger_props_form.cpt,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_shipping_form.cpt,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/skins/bastionledger/blp_dividend_form.cpt,
	  unk/skins/bastionledger/blpart_edit_form.cpt,
	  unk/skins/bastionledger/blpart_view.pt,
	  unk/skins/bastionledger/blpayroll_superannuation_summary.pt,
	  unk/skins/bastionledger/blpayroll_view.cpt,
	  unk/skins/bastionledger/blperiod_end_form.cpt,
	  unk/skins/bastionledger/blprocess_reports.pt,
	  unk/skins/bastionledger/blprocess_run_form.cpt,
	  unk/skins/bastionledger/blprocess_script.pt,
	  unk/skins/bastionledger/blprocess_view.pt,
	  unk/skins/bastionledger/blprocesses_view.pt,
	  unk/skins/bastionledger/blquote_edit_form.cpt,
	  unk/skins/bastionledger/blquote_view.cpt,
	  unk/skins/bastionledger/blquotemgr_edit_form.cpt,
	  unk/skins/bastionledger/blquotemgr_view.pt,
	  unk/skins/bastionledger/blreport_view.pt,
	  unk/skins/bastionledger/blreports_view.pt,
	  unk/skins/bastionledger/blrevenue_statement.pt,
	  unk/skins/bastionledger/blshare_allocations.cpt,
	  unk/skins/bastionledger/blshare_edit_form.cpt,
	  unk/skins/bastionledger/blshare_view.pt,
	  unk/skins/bastionledger/blshareholder_advices.pt,
	  unk/skins/bastionledger/blshareholder_allocations.pt,
	  unk/skins/bastionledger/blshareholder_share_defns.pt,
	  unk/skins/bastionledger/blshoppingcart_view.cpt,
	  unk/skins/bastionledger/blstatement_view.pt,
	  unk/skins/bastionledger/bltaxtable_view.pt,
	  unk/skins/bastionledger/bltaxtablerec_edit_form.cpt,
	  unk/skins/bastionledger/bltaxtablerec_view.pt,
	  unk/skins/bastionledger/bltimesheet_view.pt,
	  unk/skins/bastionledger/bltool_view.pt,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/skins/bastionledger/bltransactiontemplate_view.pt,
	  unk/zpt/view_taxtablerec.zpt: move document_actions and
	  forecaster tidy up

2009-04-15 19:31  alan

	* unk/BLQuoteManager.py, unk/FSBLProcess.py,
	  unk/skins/bastionledger/blshare_allocations.cpt: quotemgr fixes

2009-03-12 05:46  alan

	* unk/__init__.py, unk/profiles/default/metadata.xml,
	  unk/profiles/default/types/BLSubsidiaryTransaction.xml,
	  unk/profiles/default/types/BLTransaction.xml,
	  unk/profiles/default/workflows/blaccount_workflow/definition.xml,
	  unk/profiles/default/workflows/blcashorder_workflow/definition.xml,
	  unk/profiles/default/workflows/bldispatchable_workflow/definition.xml,
	  unk/profiles/default/workflows/blorder_workflow/definition.xml,
	  unk/profiles/default/workflows/blorderaccount_workflow/definition.xml,
	  unk/profiles/default/workflows/blquote_workflow/definition.xml,
	  unk/profiles/default/workflows/bltimesheet_workflow/definition.xml,
	  unk/profiles/default/workflows/bltransaction_workflow/definition.xml,
	  unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blallocation_view.pt,
	  unk/skins/bastionledger/blasset_view.pt,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blpart_view.pt,
	  unk/skins/bastionledger/blquote_view.cpt,
	  unk/skins/bastionledger/blreport_view.pt,
	  unk/skins/bastionledger/blshare_view.pt,
	  unk/skins/bastionledger/bltaxtable_view.pt,
	  unk/skins/bastionledger/bltimesheet_view.pt,
	  unk/skins/bastionledger/bltransaction_view.pt: review history
	  into workflows

2009-03-03 04:35  alan

	* unk/Ledger.py, unk/__init__.py,
	  unk/profiles/default/metadata.xml,
	  unk/profiles/default/types/Ledger.xml,
	  unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blinventory_parts.pt,
	  unk/skins/bastionledger/blledger_edit.cpy,
	  unk/skins/bastionledger/blorder_email_invoice.cpy,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/skins/bastionledger/bltransaction_edit.cpy,
	  unk/tests/testFSBLProcess.py, unk/tests/testLedger.py,
	  unk/zpt/edit_part.zpt: Ledger factory construction fixes

2008-12-14 09:20  alan

	* unk/profiles/default/metadata.xml, unk/version.txt: version into
	  metadata.xml

2008-12-11 18:01  alan

	* unk/skins/bastionledger/blorder_email_invoice.cpy,
	  unk/skins/bastionledger/blorderaccount_orders.pt: emailing of
	  orders

2008-12-06 09:59  alan

	* unk/Extensions/Install.py, unk/profiles/default/import_steps.xml,
	  unk/profiles/default/metadata.xml,
	  unk/profiles/default/propertiestool.xml,
	  unk/profiles/default/toolset.xml, unk/setuphandlers.py,
	  unk/version.txt: 100% generic setup installer

2008-11-24 04:25  alan

	* unk/BLShareholderLedger.py,
	  unk/skins/bastionledger/blshare_allocations.cpt,
	  unk/skins/bastionledger/blshareholder_advices.pt,
	  unk/skins/bastionledger/blshareholder_allocations.pt: Shareholder
	  ledger bugs

2008-11-23 14:05  alan

	* unk/BLAssociations.py, unk/BLControlEntry.py, unk/BLOrderBook.py,
	  unk/BLPayroll.py, unk/BLProcess.py, unk/BLReport.py,
	  unk/BLTaxTables.py, unk/DepreciationTool.py,
	  unk/LedgerControllerTool.py, unk/PeriodEndTool.py,
	  unk/__init__.py, unk/profiles/default/types.xml,
	  unk/profiles/default/types/BLAccount.xml,
	  unk/profiles/default/types/BLAssetRegister.xml,
	  unk/profiles/default/types/BLAssociationFolder.xml,
	  unk/profiles/default/types/BLEmployee.xml,
	  unk/profiles/default/types/BLForecaster.xml,
	  unk/profiles/default/types/BLInventory.xml,
	  unk/profiles/default/types/BLLedger.xml,
	  unk/profiles/default/types/BLOrderAccount.xml,
	  unk/profiles/default/types/BLQuoteManager.xml,
	  unk/profiles/default/types/BLShareDefinition.xml,
	  unk/profiles/default/types/BLShareholder.xml,
	  unk/profiles/default/types/BLShareholderLedger.xml,
	  unk/profiles/default/types/BLTaxTable.xml,
	  unk/profiles/default/types/BLTaxTableRecord.xml,
	  unk/profiles/default/types/BLTool.xml,
	  unk/profiles/default/types/Ledger.xml,
	  unk/profiles/default/types/LedgerControllerTool.xml,
	  unk/skins/bastionledger/blasset_edit_form.cpt,
	  unk/skins/bastionledger/blassociations_view.pt,
	  unk/skins/bastionledger/bldispatchable_view.pt,
	  unk/skins/bastionledger/blinvoice_template.pt,
	  unk/skins/bastionledger/blledger_props.cpy,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blpayroll_view.cpt,
	  unk/skins/bastionledger/blprocess_run.cpy.metadata,
	  unk/skins/bastionledger/blprocess_view.pt,
	  unk/skins/bastionledger/bltaxtable_view.pt,
	  unk/skins/bastionledger/bltaxtablerec_edit.cpy,
	  unk/skins/bastionledger/bltaxtablerec_edit.cpy.metadata,
	  unk/skins/bastionledger/bltaxtablerec_edit_form.cpt,
	  unk/skins/bastionledger/bltaxtablerec_edit_form.cpt.metadata,
	  unk/skins/bastionledger/bltaxtablerec_view.pt,
	  unk/skins/bastionledger/bltool_view.pt,
	  unk/skins/bastionledger/prefs_bastionledger.cpt,
	  unk/tests/testFSBLProcess.py, unk/version.txt,
	  unk/zpt/edit_orderaccount.zpt, unk/zpt/verify_ledger.zpt: ledger
	  controller tool skins

2008-11-04 11:06  alan

	* unk/BLAccount.py, unk/tests/testAccount.py: tax code editing
	  fixes

2008-11-04 11:05  alan

	* unk/BLOrderBook.py, unk/LedgerControllerTool.py: Ledger
	  Controller Tool tax calculation implementation

2008-11-03 21:30  alan

	* unk/BLAccount.py: another method to add single tax codes

2008-11-03 20:16  alan

	* unk/BLAccount.py, unk/BLOrderBook.py, unk/BLPayroll.py,
	  unk/BLTaxTables.py, unk/LedgerControllerTool.py,
	  unk/profiles/default/types/BLAccount.xml,
	  unk/profiles/default/types/BLEmployee.xml,
	  unk/profiles/default/types/BLOrderAccount.xml,
	  unk/profiles/default/types/BLShareholder.xml,
	  unk/skins/bastionledger/blaccount_taxgroups_edit.cpy,
	  unk/skins/bastionledger/blaccount_taxgroups_edit.cpy.metadata,
	  unk/skins/bastionledger/blaccount_taxgroups_form.cpt,
	  unk/skins/bastionledger/blaccount_taxgroups_form.cpt.metadata,
	  unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/bltransaction_edit.cpy.metadata,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/tests/testTaxTables.py, unk/version.txt,
	  unk/zpt/tax_codes.zpt, unk/zpt/view_taxtablerec.zpt: Tax groups
	  implementation

2008-10-29 20:37  alan

	* unk/BLPricePolicy.py: removed OrderedFolder dependency

2008-10-29 20:12  alan

	* unk/BLAccount.py, unk/BLBase.py, unk/BLLedger.py,
	  unk/BLOrderBook.py, unk/BLProcess.py, unk/BLQuoteManager.py,
	  unk/BLShareholderLedger.py, unk/interfaces/process.py,
	  unk/profiles/default/types.xml,
	  unk/profiles/default/types/BLAccount.xml,
	  unk/profiles/default/types/BLAllocation.xml,
	  unk/profiles/default/types/BLAsset.xml,
	  unk/profiles/default/types/BLAssetRegister.xml,
	  unk/profiles/default/types/BLCashAccount.xml,
	  unk/profiles/default/types/BLCashBook.xml,
	  unk/profiles/default/types/BLCashOrder.xml,
	  unk/profiles/default/types/BLDispatchable.xml,
	  unk/profiles/default/types/BLDividendProcess.xml,
	  unk/profiles/default/types/BLEmployee.xml,
	  unk/profiles/default/types/BLEntry.xml,
	  unk/profiles/default/types/BLEntryTemplate.xml,
	  unk/profiles/default/types/BLForecaster.xml,
	  unk/profiles/default/types/BLHistoricalEvent.xml,
	  unk/profiles/default/types/BLHistoricalLedger.xml,
	  unk/profiles/default/types/BLHistoricalLedgers.xml,
	  unk/profiles/default/types/BLInventory.xml,
	  unk/profiles/default/types/BLLedger.xml,
	  unk/profiles/default/types/BLOrder.xml,
	  unk/profiles/default/types/BLOrderAccount.xml,
	  unk/profiles/default/types/BLOrderBook.xml,
	  unk/profiles/default/types/BLPart.xml,
	  unk/profiles/default/types/BLPartFolder.xml,
	  unk/profiles/default/types/BLPaySlip.xml,
	  unk/profiles/default/types/BLPayroll.xml,
	  unk/profiles/default/types/BLProcess.xml,
	  unk/profiles/default/types/BLProcesses.xml,
	  unk/profiles/default/types/BLQuote.xml,
	  unk/profiles/default/types/BLQuoteManager.xml,
	  unk/profiles/default/types/BLReport.xml,
	  unk/profiles/default/types/BLReportFolder.xml,
	  unk/profiles/default/types/BLShareDefinition.xml,
	  unk/profiles/default/types/BLShareholder.xml,
	  unk/profiles/default/types/BLShareholderLedger.xml,
	  unk/profiles/default/types/BLSubsidiaryLedger.xml,
	  unk/profiles/default/types/BLSubsidiaryTransaction.xml,
	  unk/profiles/default/types/BLTimesheet.xml,
	  unk/profiles/default/types/BLTransaction.xml,
	  unk/profiles/default/types/BLTransactionTemplate.xml,
	  unk/profiles/default/types/FSBLEntryTemplate.xml,
	  unk/profiles/default/types/FSBLTransactionTemplate.xml,
	  unk/profiles/default/types/Ledger.xml,
	  unk/profiles/default/workflows/blaccount_workflow/definition.xml,
	  unk/profiles/default/workflows/blcashorder_workflow/definition.xml,
	  unk/profiles/default/workflows/bldispatchable_workflow/definition.xml,
	  unk/profiles/default/workflows/blorder_workflow/definition.xml,
	  unk/profiles/default/workflows/blorderaccount_workflow/definition.xml,
	  unk/profiles/default/workflows/blquote_workflow/definition.xml,
	  unk/profiles/default/workflows/bltimesheet_workflow/definition.xml,
	  unk/profiles/default/workflows/bltransaction_workflow/definition.xml,
	  unk/skins/bastionledger/blaccount_edit.cpy,
	  unk/skins/bastionledger/blaccount_edit.cpy.metadata,
	  unk/skins/bastionledger/blaccount_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blaccount_email_statement.cpy,
	  unk/skins/bastionledger/blaccount_email_statement.cpy.metadata,
	  unk/skins/bastionledger/blaccount_pay.cpy,
	  unk/skins/bastionledger/blaccount_pay.cpy.metadata,
	  unk/skins/bastionledger/blaccount_view.cpt.metadata,
	  unk/skins/bastionledger/blallocation_edit.cpy,
	  unk/skins/bastionledger/blallocation_edit.cpy.metadata,
	  unk/skins/bastionledger/blallocation_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blasset_edit.cpy,
	  unk/skins/bastionledger/blasset_edit.cpy.metadata,
	  unk/skins/bastionledger/blasset_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blassetregister_depreciation.cpy,
	  unk/skins/bastionledger/blassetregister_depreciation.cpy.metadata,
	  unk/skins/bastionledger/blassetregister_depreciation_form.cpt.metadata,
	  unk/skins/bastionledger/blassetregister_edit.cpy,
	  unk/skins/bastionledger/blassetregister_edit.cpy.metadata,
	  unk/skins/bastionledger/blassetregister_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blattachments_edit.cpy,
	  unk/skins/bastionledger/blattachments_edit.cpy.metadata,
	  unk/skins/bastionledger/blattachments_edit_form.cpt.metadata,
	  unk/skins/bastionledger/bldublincore_edit.cpy,
	  unk/skins/bastionledger/blemployee_add_timesheet.cpy,
	  unk/skins/bastionledger/blemployee_add_timesheet.cpy.metadata,
	  unk/skins/bastionledger/blemployee_edit.cpy,
	  unk/skins/bastionledger/blemployee_edit.cpy.metadata,
	  unk/skins/bastionledger/blemployee_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blemployee_settings.cpy,
	  unk/skins/bastionledger/blemployee_timesheets.cpt.metadata,
	  unk/skins/bastionledger/blentry_edit.cpy,
	  unk/skins/bastionledger/blentry_edit.cpy.metadata,
	  unk/skins/bastionledger/blentry_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blentrytemplate_edit.cpy,
	  unk/skins/bastionledger/blentrytemplate_edit.cpy.metadata,
	  unk/skins/bastionledger/blentrytemplate_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blforecaster_edit.cpy,
	  unk/skins/bastionledger/blforecaster_edit.cpy.metadata,
	  unk/skins/bastionledger/blforecaster_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blforecaster_update.cpy,
	  unk/skins/bastionledger/blforecaster_update.cpy.metadata,
	  unk/skins/bastionledger/blinventory_dispatch.cpy,
	  unk/skins/bastionledger/blinventory_dispatch_form.cpt,
	  unk/skins/bastionledger/blledger_change_control_account.cpy,
	  unk/skins/bastionledger/blledger_change_control_account.cpy.metadata,
	  unk/skins/bastionledger/blledger_change_control_recalculate.cpy,
	  unk/skins/bastionledger/blledger_change_control_recalculate.cpy.metadata,
	  unk/skins/bastionledger/blledger_edit.cpy,
	  unk/skins/bastionledger/blledger_edit.cpy.metadata,
	  unk/skins/bastionledger/blledger_edit_form.cpt,
	  unk/skins/bastionledger/blledger_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blledger_props.cpy,
	  unk/skins/bastionledger/blledger_props.cpy.metadata,
	  unk/skins/bastionledger/blledger_props_form.cpt,
	  unk/skins/bastionledger/blledger_props_form.cpt.metadata,
	  unk/skins/bastionledger/blorder_additems.cpy,
	  unk/skins/bastionledger/blorder_additems.cpy.metadata,
	  unk/skins/bastionledger/blorder_dispatch.cpy.metadata,
	  unk/skins/bastionledger/blorder_edit.cpy,
	  unk/skins/bastionledger/blorder_edit.cpy.metadata,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blorder_email_invoice.cpy,
	  unk/skins/bastionledger/blorder_email_invoice.cpy.metadata,
	  unk/skins/bastionledger/blorder_invoice.cpy.metadata,
	  unk/skins/bastionledger/blorder_shipping_edit.cpy.metadata,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blorder_view.cpt.metadata,
	  unk/skins/bastionledger/blorderaccount_details.cpy,
	  unk/skins/bastionledger/blorderaccount_details.cpy.metadata,
	  unk/skins/bastionledger/blorderaccount_settings.cpy,
	  unk/skins/bastionledger/blp_order.txn/Tax.ent,
	  unk/skins/bastionledger/blpart_edit.cpy,
	  unk/skins/bastionledger/blpart_edit.cpy.metadata,
	  unk/skins/bastionledger/blpart_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blpayroll_run.cpy,
	  unk/skins/bastionledger/blpayroll_run.cpy.metadata,
	  unk/skins/bastionledger/blpayroll_view.cpt.metadata,
	  unk/skins/bastionledger/blperiod_end.cpy,
	  unk/skins/bastionledger/blperiod_end.cpy.metadata,
	  unk/skins/bastionledger/blprocess_run.cpy,
	  unk/skins/bastionledger/blprocess_run.cpy.metadata,
	  unk/skins/bastionledger/blprocess_view.pt,
	  unk/skins/bastionledger/blprocesses_view.pt,
	  unk/skins/bastionledger/blquote_create_account.cpy,
	  unk/skins/bastionledger/blquote_create_account.cpy.metadata,
	  unk/skins/bastionledger/blquote_edit.cpy,
	  unk/skins/bastionledger/blquote_edit.cpy.metadata,
	  unk/skins/bastionledger/blquote_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blquote_email.cpy,
	  unk/skins/bastionledger/blquote_email.cpy.metadata,
	  unk/skins/bastionledger/blquote_raise_order.cpy,
	  unk/skins/bastionledger/blquote_raise_order.cpy.metadata,
	  unk/skins/bastionledger/blquote_view.cpt.metadata,
	  unk/skins/bastionledger/blquotemgr_edit.cpy,
	  unk/skins/bastionledger/blquotemgr_edit.cpy.metadata,
	  unk/skins/bastionledger/blquotemgr_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blshare_edit.cpy,
	  unk/skins/bastionledger/blshare_edit.cpy.metadata,
	  unk/skins/bastionledger/blshare_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blshoppingcart_add_item.cpy.metadata,
	  unk/skins/bastionledger/blshoppingcart_edit.cpy.metadata,
	  unk/skins/bastionledger/blshoppingcart_remove_items.cpy.metadata,
	  unk/skins/bastionledger/bltransaction_add_entries.cpy,
	  unk/skins/bastionledger/bltransaction_add_entries.cpy.metadata,
	  unk/skins/bastionledger/bltransaction_delete_entries.cpy,
	  unk/skins/bastionledger/bltransaction_delete_entries.cpy.metadata,
	  unk/skins/bastionledger/bltransaction_edit.cpy,
	  unk/skins/bastionledger/bltransaction_edit.cpy.metadata,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt.metadata,
	  unk/skins/bastionledger/bltransaction_toggle_entries.cpy,
	  unk/skins/bastionledger/bltransaction_toggle_entries.cpy.metadata,
	  unk/skins/bastionledger/validate_accno.vpy,
	  unk/skins/bastionledger/validate_asset_register.vpy,
	  unk/skins/bastionledger/validate_currencies.vpy,
	  unk/skins/bastionledger/validate_effective_date.vpy,
	  unk/skins/bastionledger/validate_expense_accno.vpy,
	  unk/skins/bastionledger/validate_income_accno.vpy,
	  unk/skins/bastionledger/validate_inventory_accno.vpy,
	  unk/skins/bastionledger/validate_next_accno.vpy,
	  unk/skins/bastionledger/validate_next_txnno.vpy,
	  unk/skins/bastionledger/validate_payroll_date.vpy,
	  unk/skins/bastionledger/validate_shipping.vpy,
	  unk/skins/bastionledger/validate_txn_entries.vpy,
	  unk/tests/testControllerTool.py, unk/tests/testOrderBook.py,
	  unk/tests/testShareholderLedger.py, unk/version.txt,
	  unk/zpt/processes.zpt: remove portal_status_message, FTI
	  enhancements

2008-10-22 16:28  alan

	* unk/BLAccount.py, unk/BLEntry.py, unk/BLLedger.py,
	  unk/BLSubsidiaryLedger.py, unk/BLTransaction.py,
	  unk/zpt/verify_ledger.zpt: improvements to verify

2008-10-22 16:27  alan

	* unk/skins/bastionledger/pretty_title_or_id.py,
	  unk/skins/bastionledger/pretty_title_or_id.py.metadata: typo

2008-10-15 16:02  alan

	* unk/BLAccount.py, unk/BLBase.py, unk/BLControlEntry.py,
	  unk/BLHistoricals.py, unk/BLLedger.py, unk/BLOpeningEntry.py,
	  unk/BLOrderBook.py, unk/BLPayroll.py, unk/BLSubsidiaryAccount.py,
	  unk/BLSubsidiaryTransaction.py, unk/BLTransaction.py,
	  unk/DepreciationTool.py, unk/FSPayroll.py, unk/Ledger.py,
	  unk/LedgerControllerTool.py, unk/PeriodEndTool.py,
	  unk/__init__.py, unk/configure.zcml,
	  unk/interfaces/BLAccountListener.py,
	  unk/profiles/default/types/Ledger.xml,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blledger_expert_mode.py,
	  unk/skins/bastionledger/calendar_formfield.js,
	  unk/tests/testProduct.py, unk/version.txt,
	  unk/zpt/view_account.zpt, unk/zpt/view_chart.zpt,
	  unk/zpt/view_transaction.zpt, unk/zpt/view_transactions.zpt:
	  subscriber events, removal of FSPayroll, BLHistoricals

2008-10-13 11:59  alan

	* unk/BLAccount.py, unk/BLAssociations.py, unk/BLBase.py,
	  unk/BLControlEntry.py, unk/BLDatedFolder.py, unk/BLEntry.py,
	  unk/BLForecaster.py, unk/BLInventory.py, unk/BLLedger.py,
	  unk/BLOrderBook.py, unk/BLPayroll.py, unk/BLPricePolicy.py,
	  unk/BLQuoteManager.py, unk/BLShareholderLedger.py,
	  unk/BLSubsidiaryAccount.py, unk/BLSubsidiaryEntry.py,
	  unk/BLSubsidiaryLedger.py, unk/BLTaxTables.py,
	  unk/BLTransaction.py, unk/FSPayroll.py, unk/Ledger.py,
	  unk/PeriodEndTool.py, unk/configure.zcml,
	  unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/tests/LedgerTestCase.py, unk/tests/testLedger.py,
	  unk/tests/testSubsidiaryLedger.py, unk/zpt/merge_accounts.zpt,
	  unk/zpt/view_account.zpt, unk/zpt/view_chart.zpt: subscriber
	  events implmentation

2008-10-07 01:48  alan

	* unk/skins/bastionledger/portlet_shoppingcart.pt: CMFCatalogAware
	  fixes

2008-10-07 01:47  alan

	* unk/BLAccount.py, unk/BLBase.py, unk/BLLedger.py,
	  unk/BLObserverSupport.py, unk/BLOrderBook.py, unk/BLPayroll.py,
	  unk/BLSubsidiaryAccount.py, unk/BLTransaction.py,
	  unk/__init__.py, unk/browser, unk/browser/__init__.py,
	  unk/browser/configure.zcml, unk/browser/portlets,
	  unk/browser/portlets/__init__.py,
	  unk/browser/portlets/configure.zcml,
	  unk/browser/portlets/shoppingcart.pt,
	  unk/browser/portlets/shoppingcart.py, unk/configure.zcml,
	  unk/profiles/default/portlets.xml,
	  unk/skins/bastionledger/blaccount_edit_form.cpt,
	  unk/skins/bastionledger/blemployee_edit_form.cpt,
	  unk/skins/bastionledger/blemployee_settings_form.cpt,
	  unk/skins/bastionledger/blforecaster_edit_form.cpt,
	  unk/skins/bastionledger/blforecaster_update_form.cpt,
	  unk/skins/bastionledger/blorderaccount_details_form.cpt,
	  unk/skins/bastionledger/blorderaccount_settings_form.cpt,
	  unk/skins/bastionledger/blshare_edit_form.cpt,
	  unk/skins/bastionledger/blshoppingcart_getId.py,
	  unk/skins/bastionledger/blshoppingcart_setId.py,
	  unk/tests/LedgerTestCase.py, unk/tests/setup.py,
	  unk/tests/testControllerTool.py, unk/tests/testOrderBook.py,
	  unk/www/observer.gif, unk/zpt/add_observer.zpt,
	  unk/zpt/add_observerfolder.zpt, unk/zpt/view_account.zpt,
	  unk/zpt/view_emptimesheet.zpt, unk/zpt/view_main.zpt,
	  unk/zpt/view_order.zpt, unk/zpt/view_orderaccount.zpt,
	  unk/zpt/view_quote.zpt, unk/zpt/view_transaction.zpt:
	  CMFCatalogAware fixes

2008-10-05 02:08  alan

	* unk/BLAssetRegister.py, unk/BLBase.py, unk/BLLedger.py,
	  unk/BLOrderBook.py, unk/BLPayroll.py, unk/BLShareholderLedger.py,
	  unk/Extensions/Install.py, unk/FSBLProcess.py, unk/FSPayroll.py,
	  unk/Ledger.py, unk/__init__.py, unk/profiles/default/types.xml,
	  unk/profiles/default/types/BLAccount.xml,
	  unk/profiles/default/types/BLAllocation.xml,
	  unk/profiles/default/types/BLAsset.xml,
	  unk/profiles/default/types/BLAssetRegister.xml,
	  unk/profiles/default/types/BLCashAccount.xml,
	  unk/profiles/default/types/BLCashBook.xml,
	  unk/profiles/default/types/BLCashOrder.xml,
	  unk/profiles/default/types/BLDispatchable.xml,
	  unk/profiles/default/types/BLDividendAdvice.xml,
	  unk/profiles/default/types/BLDividendProcess.xml,
	  unk/profiles/default/types/BLEmployee.xml,
	  unk/profiles/default/types/BLEntry.xml,
	  unk/profiles/default/types/BLEntryTemplate.xml,
	  unk/profiles/default/types/BLForecaster.xml,
	  unk/profiles/default/types/BLHistoricalEvent.xml,
	  unk/profiles/default/types/BLHistoricalLedger.xml,
	  unk/profiles/default/types/BLHistoricalLedgers.xml,
	  unk/profiles/default/types/BLInventory.xml,
	  unk/profiles/default/types/BLLedger.xml,
	  unk/profiles/default/types/BLOrder.xml,
	  unk/profiles/default/types/BLOrderAccount.xml,
	  unk/profiles/default/types/BLOrderBook.xml,
	  unk/profiles/default/types/BLPart.xml,
	  unk/profiles/default/types/BLPartFolder.xml,
	  unk/profiles/default/types/BLPaySlip.xml,
	  unk/profiles/default/types/BLPayroll.xml,
	  unk/profiles/default/types/BLProcess.xml,
	  unk/profiles/default/types/BLProcesses.xml,
	  unk/profiles/default/types/BLQuote.xml,
	  unk/profiles/default/types/BLQuoteManager.xml,
	  unk/profiles/default/types/BLReport.xml,
	  unk/profiles/default/types/BLReportFolder.xml,
	  unk/profiles/default/types/BLShareDefinition.xml,
	  unk/profiles/default/types/BLShareholder.xml,
	  unk/profiles/default/types/BLShareholderLedger.xml,
	  unk/profiles/default/types/BLSubsidiaryLedger.xml,
	  unk/profiles/default/types/BLSubsidiaryTransaction.xml,
	  unk/profiles/default/types/BLTimesheet.xml,
	  unk/profiles/default/types/BLTransaction.xml,
	  unk/profiles/default/types/BLTransactionTemplate.xml,
	  unk/profiles/default/types/CMFAccount.xml,
	  unk/profiles/default/types/FSBLEntryTemplate.xml,
	  unk/profiles/default/types/FSBLTransactionTemplate.xml,
	  unk/profiles/default/types/Ledger.xml,
	  unk/profiles/default/workflows/blcashorder_workflow/definition.xml,
	  unk/profiles/default/workflows/blorder_workflow/definition.xml,
	  unk/profiles/default/workflows/bltransaction_workflow/definition.xml,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/tests/testSubsidiaryLedger.py, unk/utils.py, unk/version.txt,
	  unk/zpt/view_main.zpt: Plone 3.x upgrade

2008-09-25 08:18  alan

	* unk/Extensions/Install.py, unk/profiles, unk/profiles/default,
	  unk/profiles/default/actionicons.xml,
	  unk/profiles/default/actions.xml,
	  unk/profiles/default/controlpanel.xml,
	  unk/profiles/default/factorytool.xml,
	  unk/profiles/default/skins.xml, unk/profiles/default/types,
	  unk/profiles/default/types.xml,
	  unk/profiles/default/types/BLAccount.xml,
	  unk/profiles/default/types/BLAllocation.xml,
	  unk/profiles/default/types/BLAsset.xml,
	  unk/profiles/default/types/BLAssetRegister.xml,
	  unk/profiles/default/types/BLCashAccount.xml,
	  unk/profiles/default/types/BLCashBook.xml,
	  unk/profiles/default/types/BLCashOrder.xml,
	  unk/profiles/default/types/BLDispatchable.xml,
	  unk/profiles/default/types/BLDividendAdvice.xml,
	  unk/profiles/default/types/BLDividendProcess.xml,
	  unk/profiles/default/types/BLEmployee.xml,
	  unk/profiles/default/types/BLEntry.xml,
	  unk/profiles/default/types/BLEntryTemplate.xml,
	  unk/profiles/default/types/BLForecaster.xml,
	  unk/profiles/default/types/BLHistoricalEvent.xml,
	  unk/profiles/default/types/BLHistoricalLedger.xml,
	  unk/profiles/default/types/BLHistoricalLedgers.xml,
	  unk/profiles/default/types/BLInventory.xml,
	  unk/profiles/default/types/BLLedger.xml,
	  unk/profiles/default/types/BLOrder.xml,
	  unk/profiles/default/types/BLOrderAccount.xml,
	  unk/profiles/default/types/BLOrderBook.xml,
	  unk/profiles/default/types/BLPart.xml,
	  unk/profiles/default/types/BLPartFolder.xml,
	  unk/profiles/default/types/BLPaySlip.xml,
	  unk/profiles/default/types/BLPayroll.xml,
	  unk/profiles/default/types/BLProcess.xml,
	  unk/profiles/default/types/BLProcesses.xml,
	  unk/profiles/default/types/BLQuote.xml,
	  unk/profiles/default/types/BLQuoteManager.xml,
	  unk/profiles/default/types/BLReport.xml,
	  unk/profiles/default/types/BLReportFolder.xml,
	  unk/profiles/default/types/BLShareDefinition.xml,
	  unk/profiles/default/types/BLShareholder.xml,
	  unk/profiles/default/types/BLShareholderLedger.xml,
	  unk/profiles/default/types/BLSubsidiaryLedger.xml,
	  unk/profiles/default/types/BLSubsidiaryTransaction.xml,
	  unk/profiles/default/types/BLTimesheet.xml,
	  unk/profiles/default/types/BLTransaction.xml,
	  unk/profiles/default/types/BLTransactionTemplate.xml,
	  unk/profiles/default/types/CMFAccount.xml,
	  unk/profiles/default/types/FSBLEntryTemplate.xml,
	  unk/profiles/default/types/FSBLTransactionTemplate.xml,
	  unk/profiles/default/types/Ledger.xml,
	  unk/profiles/default/workflows,
	  unk/profiles/default/workflows.xml,
	  unk/profiles/default/workflows/blaccount_workflow,
	  unk/profiles/default/workflows/blaccount_workflow/definition.xml,
	  unk/profiles/default/workflows/blcashorder_workflow,
	  unk/profiles/default/workflows/blcashorder_workflow/cancel.py,
	  unk/profiles/default/workflows/blcashorder_workflow/confirm.py,
	  unk/profiles/default/workflows/blcashorder_workflow/definition.xml,
	  unk/profiles/default/workflows/blcashorder_workflow/dispatch.py,
	  unk/profiles/default/workflows/blcashorder_workflow/finish.py,
	  unk/profiles/default/workflows/blcashorder_workflow/pay.py,
	  unk/profiles/default/workflows/bldispatchable_workflow,
	  unk/profiles/default/workflows/bldispatchable_workflow/definition.xml,
	  unk/profiles/default/workflows/blorder_workflow,
	  unk/profiles/default/workflows/blorder_workflow/cancel.py,
	  unk/profiles/default/workflows/blorder_workflow/definition.xml,
	  unk/profiles/default/workflows/blorder_workflow/dispatch.py,
	  unk/profiles/default/workflows/blorder_workflow/finish.py,
	  unk/profiles/default/workflows/blorder_workflow/invoice.py,
	  unk/profiles/default/workflows/blorderaccount_workflow,
	  unk/profiles/default/workflows/blorderaccount_workflow/definition.xml,
	  unk/profiles/default/workflows/blquote_workflow,
	  unk/profiles/default/workflows/blquote_workflow/definition.xml,
	  unk/profiles/default/workflows/blquote_workflow/send.py,
	  unk/profiles/default/workflows/bltimesheet_workflow,
	  unk/profiles/default/workflows/bltimesheet_workflow/definition.xml,
	  unk/profiles/default/workflows/bltransaction_workflow,
	  unk/profiles/default/workflows/bltransaction_workflow/definition.xml,
	  unk/profiles/default/workflows/bltransaction_workflow/manage_cancel.py,
	  unk/profiles/default/workflows/bltransaction_workflow/manage_post.py,
	  unk/profiles/default/workflows/bltransaction_workflow/manage_reverse.py:
	  GenericSetup implementation

2008-09-24 02:50  alan

	* unk/BLAccount.py, unk/BLAssetRegister.py,
	  unk/BLAttachmentSupport.py, unk/BLEntry.py,
	  unk/BLEntryTemplate.py, unk/BLForecaster.py,
	  unk/BLHistoricals.py, unk/BLInventory.py, unk/BLLedger.py,
	  unk/BLOrderBook.py, unk/BLPayroll.py, unk/BLProcess.py,
	  unk/BLQuoteManager.py, unk/BLReport.py,
	  unk/BLShareholderLedger.py, unk/BLSubsidiaryAccount.py,
	  unk/BLSubsidiaryEntry.py, unk/BLSubsidiaryLedger.py,
	  unk/BLSubsidiaryTransaction.py, unk/BLTransaction.py,
	  unk/BLTransactionTemplate.py, unk/CMFAccount.py,
	  unk/Extensions/Install.py, unk/FSBLProcess.py, unk/FSPayroll.py,
	  unk/Ledger.py, unk/Permissions.py, unk/__init__.py,
	  unk/config.py, unk/configure.zcml, unk/tests/LedgerTestCase.py,
	  unk/tests/testLedgerTestCase.py, unk/version.txt: Generic Setup
	  implementation

2008-09-08 01:24  alan

	* unk/BLProcess.py, unk/BLShareholderLedger.py,
	  unk/skins/bastionledger/blp_dividend_form.cpt,
	  unk/skins/bastionledger/blp_dividend_form.cpt.metadata,
	  unk/skins/bastionledger/blp_dividend_payable.txn,
	  unk/skins/bastionledger/blp_dividend_payable.txn/dividend.ent,
	  unk/skins/bastionledger/blp_dividend_payable.txn/dividend.ent.metadata,
	  unk/skins/bastionledger/blp_dividend_payable.txn/shareholder.ent,
	  unk/skins/bastionledger/blp_dividend_payable.txn/shareholder.ent.metadata,
	  unk/skins/bastionledger/blprocess_run.cpy,
	  unk/tests/testShareholderLedger.py: fix blprocess form dispatch

2008-09-07 20:41  alan

	* unk/BLLedger.py, unk/BLOrderBook.py, unk/BLProcess.py,
	  unk/BLShareholderLedger.py,
	  unk/skins/bastionledger/blprocess_view.pt,
	  unk/tests/testControllerTool.py, unk/zpt/process_run.zpt: fixed
	  BLProcess acquisition context against ledgers

2008-08-31 21:50  alan

	* unk/BLInventory.py, unk/BLOrderBook.py,
	  unk/skins/bastionledger/blorder_freight.py,
	  unk/tests/testInventory.py: freight generalised

2008-08-29 08:57  alan

	* unk/BLPayroll.py, unk/Extensions/Install.py, unk/Ledger.py,
	  unk/__init__.py, unk/config.py, unk/tests/setup.py,
	  unk/tests/testProduct.py, unk/zpt/add_Ledger.zpt: removal of
	  Locales - standard Plone ctors now

2008-08-29 08:55  alan

	* unk/skins/bastionledger/blemployee_tax_certificate.pt,
	  unk/skins/bastionledger/blemployee_tax_certificate.pt.metadata,
	  unk/skins/bastionledger/blpayroll_payg_summary.png.bar,
	  unk/skins/bastionledger/blpayroll_payg_summary.pt: move
	  Australian payroll to BastionLedgerProAU

2008-08-25 09:04  alan

	* unk/BLShareholderLedger.py, unk/Extensions/Install.py,
	  unk/skins/bastionledger/blcontroller.gif,
	  unk/skins/bastionledger/prefs_bastionledger.cpt: control panel
	  preferences

2008-08-24 19:20  alan

	* unk/BLLedger.py, unk/BLOrderBook.py, unk/BLPayroll.py,
	  unk/BLProcess.py, unk/BLShareholderLedger.py,
	  unk/BLSubsidiaryLedger.py, unk/BLTransactionTemplate.py,
	  unk/Exceptions.py, unk/Extensions/Install.py, unk/FSBLProcess.py,
	  unk/FSPayroll.py, unk/Ledger.py, unk/LedgerControllerTool.py,
	  unk/Permissions.py, unk/__init__.py, unk/config.py,
	  unk/interfaces/__init__.py, unk/interfaces/ledger.py,
	  unk/interfaces/process.py, unk/interfaces/transaction.py,
	  unk/ledgers, unk/tests/testFSBLProcess.py,
	  unk/tests/testOrderBook.py, unk/tests/testPayroll.py,
	  unk/tests/testShareholderLedger.py,
	  unk/tests/testSubsidiaryTransaction.py,
	  unk/tests/testTransaction.py, unk/version.txt,
	  unk/www/fsentry_tmpl.gif, unk/www/fstxn_tmpl.gif,
	  unk/www/txn_template.gif, unk/zpt/processes.zpt,
	  unk/zpt/view_account.zpt: removal of Processes

2008-08-24 19:15  alan

	* unk/www/blprocess.gif, unk/www/bltransaction_tpl.gif,
	  unk/www/fsblentry_tpl.gif, unk/www/fsbltransaction_tpl.gif:
	  updating icons

2008-08-24 19:13  alan

	* unk/skins/bastionledger/blprocess.gif,
	  unk/skins/bastionledger/bltransaction_tpl.gif,
	  unk/skins/bastionledger/fsbltransaction_tpl.gif: updating icons

2008-08-24 19:10  alan

	* unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blp_dividend_form.cpt,
	  unk/skins/bastionledger/blp_dividend_payment.txn,
	  unk/skins/bastionledger/blp_dividend_payment.txn/bank.ent,
	  unk/skins/bastionledger/blp_dividend_payment.txn/bank.ent.metadata,
	  unk/skins/bastionledger/blp_dividend_payment.txn/shareholder.ent,
	  unk/skins/bastionledger/blp_dividend_payment.txn/shareholder.ent.metadata,
	  unk/skins/bastionledger/blp_employee_payable.txn,
	  unk/skins/bastionledger/blp_employee_payable.txn/10-gross.ent,
	  unk/skins/bastionledger/blp_employee_payable.txn/10-gross.ent.metadata,
	  unk/skins/bastionledger/blp_employee_payable.txn/15-super.ent.metadata,
	  unk/skins/bastionledger/blp_employee_payable.txn/20-tax.ent,
	  unk/skins/bastionledger/blp_employee_payable.txn/20-tax.ent.metadata,
	  unk/skins/bastionledger/blp_employee_payable.txn/30-deductions.ent,
	  unk/skins/bastionledger/blp_employee_payable.txn/40-net.ent,
	  unk/skins/bastionledger/blp_employee_payment.txn,
	  unk/skins/bastionledger/blp_employee_payment.txn/gross.ent,
	  unk/skins/bastionledger/blp_employee_payment.txn/net.ent,
	  unk/skins/bastionledger/blp_employee_payment.txn/tax.ent,
	  unk/skins/bastionledger/blp_order.txn,
	  unk/skins/bastionledger/blp_order.txn/Account.ent,
	  unk/skins/bastionledger/blp_order.txn/Account.ent.metadata,
	  unk/skins/bastionledger/blp_order.txn/COGS.ent,
	  unk/skins/bastionledger/blp_order.txn/COGS.ent.metadata,
	  unk/skins/bastionledger/blp_order.txn/Freight.ent,
	  unk/skins/bastionledger/blp_order.txn/Freight.ent.metadata,
	  unk/skins/bastionledger/blp_order.txn/Inventory.ent,
	  unk/skins/bastionledger/blp_order.txn/Inventory.ent.metadata,
	  unk/skins/bastionledger/blp_order.txn/Sales.ent,
	  unk/skins/bastionledger/blp_order.txn/Sales.ent.metadata,
	  unk/skins/bastionledger/blp_order.txn/Tax.ent,
	  unk/skins/bastionledger/blp_order.txn/Tax.ent.metadata,
	  unk/skins/bastionledger/blprocess.gif,
	  unk/skins/bastionledger/blprocesses_view.pt,
	  unk/skins/bastionledger/bltransaction_tpl.gif,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/skins/bastionledger/fsbltransaction_tpl.gif: removal of
	  Processes

2008-08-24 19:00  alan

	* unk/skins/bastionledger/fsblentry_tpl.gif: updating icons

2008-08-22 16:10  alan

	* unk/BLAccount.py, unk/BLControlEntry.py, unk/BLEntry.py,
	  unk/BLOrderBook.py, unk/BLPayroll.py, unk/BLSubsidiaryAccount.py,
	  unk/BLSubsidiaryTransaction.py, unk/BLTransaction.py,
	  unk/Ledger.py, unk/skins/bastionledger/blpayroll_payg_summary.pt,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/tests/testTransaction.py: new reversal txn state

2008-08-15 12:53  alan

	* unk/BLAccount.py, unk/BLEntry.py, unk/BLOrderBook.py,
	  unk/skins/bastionledger/blaccount_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blaccount_template.pt,
	  unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blasset_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blassetregister_depreciation_form.cpt.metadata,
	  unk/skins/bastionledger/blassetregister_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blattachments_edit_form.cpt.metadata,
	  unk/skins/bastionledger/bldublincore_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blemployee_deductions.pt,
	  unk/skins/bastionledger/blemployee_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blemployee_settings_form.cpt.metadata,
	  unk/skins/bastionledger/blentry_view.pt,
	  unk/skins/bastionledger/blentrytemplate_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blledger_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blledger_props_form.cpt.metadata,
	  unk/skins/bastionledger/blorder_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blorderaccount_details_form.cpt.metadata,
	  unk/skins/bastionledger/blorderaccount_settings_form.cpt.metadata,
	  unk/skins/bastionledger/blpart_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blperiod_end_form.cpt,
	  unk/skins/bastionledger/blperiod_end_macros.pt,
	  unk/skins/bastionledger/blquote_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blquotemgr_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blstatement_view.pt,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt.metadata,
	  unk/tests/testOrderBook.py, unk/tests/testTransaction.py,
	  unk/zpt/orderaccount_index.zpt,
	  unk/zpt/shareholderaccount_index.zpt, unk/zpt/verify_ledger.zpt,
	  unk/zpt/view_account.zpt, unk/zpt/view_entry.zpt,
	  unk/zpt/view_orderaccount.zpt: effective_date() cannot be
	  function - clashes with DublinCore

2008-08-08 20:45  alan

	* unk/BLAccount.py, unk/BLLedger.py, unk/zpt/associations.zpt,
	  unk/zpt/edit_account.zpt: local association bug fixes

2008-08-08 20:44  alan

	* unk/BLAssetRegister.py: allow empty registers and zero sum
	  depreciations

2008-08-05 01:03  alan

	* unk/BLAccount.py, unk/BLLedger.py, unk/BLReport.py,
	  unk/Extensions/Install.py, unk/Ledger.py, unk/__init__.py,
	  unk/skins/bastionledger/blassetregister_depreciation_form.cpt,
	  unk/skins/bastionledger/blcompany_info.pt,
	  unk/skins/bastionledger/blemployee_payslips.pt,
	  unk/skins/bastionledger/blperiod_end_form.cpt,
	  unk/tests/testUtils.py, unk/utils.py: extraction functions for
	  graphing

2008-08-04 12:08  alan

	* unk/BLAccount.py, unk/BLAssetRegister.py, unk/BLControlEntry.py,
	  unk/BLEntry.py, unk/BLEntryTemplate.py, unk/BLGlobals.py,
	  unk/BLHistoricals.py, unk/BLLedger.py, unk/BLOpeningEntry.py,
	  unk/BLOrderBook.py, unk/BLPayroll.py, unk/BLPeriodInfo.py,
	  unk/BLQuoteManager.py, unk/BLReport.py,
	  unk/BLShareholderLedger.py, unk/BLSubsidiaryAccount.py,
	  unk/BLSubsidiaryLedger.py, unk/BLSubsidiaryTransaction.py,
	  unk/BLTransaction.py, unk/CMFAccount.py, unk/Exceptions.py,
	  unk/Extensions/Install.py, unk/FSPayroll.py, unk/Ledger.py,
	  unk/LedgerControllerTool.py, unk/PeriodEndTool.py,
	  unk/Permissions.py, unk/__init__.py, unk/config.py,
	  unk/skins/bastionledger/blaccount_email_statement.cpy,
	  unk/skins/bastionledger/blaccount_email_statement.cpy.metadata,
	  unk/skins/bastionledger/blaccount_pay.cpy,
	  unk/skins/bastionledger/blaccount_pay_form.cpt.metadata,
	  unk/skins/bastionledger/blaccount_view.cpt.metadata,
	  unk/skins/bastionledger/blasset_view.pt,
	  unk/skins/bastionledger/blassetregister_depreciation_form.cpt,
	  unk/skins/bastionledger/blassetregister_depreciation_form.cpt.metadata,
	  unk/skins/bastionledger/blassetregister_view.pt,
	  unk/skins/bastionledger/blattachments_edit.cpy.metadata,
	  unk/skins/bastionledger/blbalance_sheet.pt,
	  unk/skins/bastionledger/blcashflow_statement.pt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blcompany_info.pt,
	  unk/skins/bastionledger/blemployee_deductions.pt,
	  unk/skins/bastionledger/blemployee_tax_certificate.pt,
	  unk/skins/bastionledger/blentry_tpl.gif,
	  unk/skins/bastionledger/blentrytemplate_edit.cpy,
	  unk/skins/bastionledger/blentrytemplate_edit.cpy.metadata,
	  unk/skins/bastionledger/blentrytemplate_edit_form.cpt,
	  unk/skins/bastionledger/blentrytemplate_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blinventory_dispatch_form.cpt.metadata,
	  unk/skins/bastionledger/blledger_change_control_account.cpy,
	  unk/skins/bastionledger/blledger_edit.cpy,
	  unk/skins/bastionledger/blledger_edit_form.cpt,
	  unk/skins/bastionledger/blledger_listing.pt,
	  unk/skins/bastionledger/blledger_props_form.cpt.metadata,
	  unk/skins/bastionledger/blorder_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blorder_view.cpt.metadata,
	  unk/skins/bastionledger/blpayroll_payg_summary.pt,
	  unk/skins/bastionledger/blpayroll_view.cpt,
	  unk/skins/bastionledger/blpayroll_view.cpt.metadata,
	  unk/skins/bastionledger/blperiod_end.cpy,
	  unk/skins/bastionledger/blperiod_end_form.cpt,
	  unk/skins/bastionledger/blprocess_run_form.cpt,
	  unk/skins/bastionledger/blquote_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blquote_view.cpt.metadata,
	  unk/skins/bastionledger/blreport_view.pt,
	  unk/skins/bastionledger/blreporting_macros.pt,
	  unk/skins/bastionledger/blrevenue_statement.pt,
	  unk/skins/bastionledger/blshoppingcart_view.cpt.metadata,
	  unk/skins/bastionledger/bltransaction_add_entries.cpy,
	  unk/skins/bastionledger/bltransaction_edit.cpy,
	  unk/skins/bastionledger/bltransaction_edit.cpy.metadata,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt.metadata,
	  unk/skins/bastionledger/validate_effective_date.vpy,
	  unk/tests/testAccount.py, unk/tests/testHistoricals.py,
	  unk/tests/testOrderBook.py, unk/tests/testPayroll.py,
	  unk/tests/testShareholderLedger.py, unk/tests/testTransaction.py,
	  unk/utils.py, unk/version.txt, unk/zpt/add_report.zpt,
	  unk/zpt/adjustments.zpt, unk/zpt/assets_depreciation.zpt,
	  unk/zpt/mail.zpt, unk/zpt/rollover.zpt,
	  unk/zpt/verify_ledger.zpt, unk/zpt/view_account.zpt,
	  unk/zpt/view_payslips.zpt, unk/zpt/view_report.zpt: one-click
	  period end processing

2008-08-03 14:33  alan

	* unk/DepreciationTool.py, unk/tests/testPeriodEnd.py: period end
	  tools

2008-08-03 14:30  alan

	* unk/BLPeriodInfo.py, unk/PeriodEndTool.py,
	  unk/skins/bastionledger/blperiod_end.cpy,
	  unk/skins/bastionledger/blperiod_end.cpy.metadata,
	  unk/skins/bastionledger/blperiod_end_form.cpt,
	  unk/skins/bastionledger/blperiod_end_form.cpt.metadata,
	  unk/skins/bastionledger/blperiod_end_macros.pt,
	  unk/zpt/period_chart.zpt: period end tools

2008-07-23 22:25  alan

	* unk/BLOrderBook.py, unk/BLPayroll.py, unk/BLQuoteManager.py,
	  unk/Extensions/Install.py, unk/Ledger.py,
	  unk/skins/bastionledger/blaccounts_tags.pt,
	  unk/skins/bastionledger/blassetregister_view.pt,
	  unk/skins/bastionledger/blattachments_edit_form.cpt,
	  unk/skins/bastionledger/blcompany_info.pt,
	  unk/skins/bastionledger/blemployee_deductions.pt,
	  unk/skins/bastionledger/blemployee_payslips.pt,
	  unk/skins/bastionledger/blentrytemplate_view.pt,
	  unk/skins/bastionledger/blpayroll_superannuation_summary.pt,
	  unk/skins/bastionledger/blprocess_view.pt,
	  unk/skins/bastionledger/blquote_edit.cpy,
	  unk/skins/bastionledger/blquote_edit_form.cpt,
	  unk/skins/bastionledger/blquotemgr_view.pt,
	  unk/skins/bastionledger/blreports_view.pt,
	  unk/skins/bastionledger/bltransactiontemplate_view.pt: company
	  info tab

2008-06-26 19:58  alan

	* unk/BLAccount.py, unk/BLControlEntry.py, unk/BLLedger.py,
	  unk/BLOrderBook.py, unk/BLSubsidiaryLedger.py, unk/Ledger.py,
	  unk/skins/bastionledger/blaccount_edit_form.cpt,
	  unk/skins/bastionledger/blaccount_pay_form.cpt,
	  unk/skins/bastionledger/blaccount_template.pt,
	  unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blaccounts_tags.pt,
	  unk/skins/bastionledger/blallocation_edit_form.cpt,
	  unk/skins/bastionledger/blallocation_view.pt,
	  unk/skins/bastionledger/blasset_edit_form.cpt,
	  unk/skins/bastionledger/blasset_view.pt,
	  unk/skins/bastionledger/blassetregister_depreciation_form.cpt,
	  unk/skins/bastionledger/blassetregister_edit_form.cpt,
	  unk/skins/bastionledger/blassetregister_view.pt,
	  unk/skins/bastionledger/blattachments_edit_form.cpt,
	  unk/skins/bastionledger/blbalance_sheet.pt,
	  unk/skins/bastionledger/blcashflow_statement.pt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/bldividend_advice_view.pt,
	  unk/skins/bastionledger/bldublincore_edit_form.cpt,
	  unk/skins/bastionledger/blemployee_deductions.pt,
	  unk/skins/bastionledger/blemployee_edit_form.cpt,
	  unk/skins/bastionledger/blemployee_payslip.pt,
	  unk/skins/bastionledger/blemployee_payslips.pt,
	  unk/skins/bastionledger/blemployee_settings_form.cpt,
	  unk/skins/bastionledger/blemployee_tax_certificate.pt,
	  unk/skins/bastionledger/blemployee_timesheets.cpt,
	  unk/skins/bastionledger/blentry_edit_form.cpt,
	  unk/skins/bastionledger/blentry_view.pt,
	  unk/skins/bastionledger/blentrytemplate_view.pt,
	  unk/skins/bastionledger/blforecaster_edit_form.cpt,
	  unk/skins/bastionledger/blforecaster_update_form.cpt,
	  unk/skins/bastionledger/blforecaster_view.pt,
	  unk/skins/bastionledger/blinventory_dispatch_form.cpt,
	  unk/skins/bastionledger/blinventory_parts.pt,
	  unk/skins/bastionledger/blinvoice_template.pt,
	  unk/skins/bastionledger/blledger_edit_form.cpt,
	  unk/skins/bastionledger/blledger_listing.pt,
	  unk/skins/bastionledger/blledger_props_form.cpt,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_shipping_form.cpt,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blorderaccount_details_form.cpt,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/skins/bastionledger/blorderaccount_settings_form.cpt,
	  unk/skins/bastionledger/blpart_edit_form.cpt,
	  unk/skins/bastionledger/blpart_view.pt,
	  unk/skins/bastionledger/blpayroll_payg_summary.pt,
	  unk/skins/bastionledger/blpayroll_superannuation_summary.pt,
	  unk/skins/bastionledger/blpayroll_view.cpt,
	  unk/skins/bastionledger/blprocess_reports.pt,
	  unk/skins/bastionledger/blprocess_run_form.cpt,
	  unk/skins/bastionledger/blprocess_script.pt,
	  unk/skins/bastionledger/blprocess_view.pt,
	  unk/skins/bastionledger/blprocesses_view.pt,
	  unk/skins/bastionledger/blquote_edit_form.cpt,
	  unk/skins/bastionledger/blquote_template.pt,
	  unk/skins/bastionledger/blquote_view.cpt,
	  unk/skins/bastionledger/blquotemgr_edit_form.cpt,
	  unk/skins/bastionledger/blquotemgr_view.pt,
	  unk/skins/bastionledger/blreport_view.pt,
	  unk/skins/bastionledger/blreports_view.pt,
	  unk/skins/bastionledger/blrevenue_statement.pt,
	  unk/skins/bastionledger/blshare_allocations.cpt,
	  unk/skins/bastionledger/blshare_edit_form.cpt,
	  unk/skins/bastionledger/blshare_view.pt,
	  unk/skins/bastionledger/blshareholder_advices.pt,
	  unk/skins/bastionledger/blshareholder_allocations.pt,
	  unk/skins/bastionledger/blshareholder_share_defns.pt,
	  unk/skins/bastionledger/blshoppingcart_view.cpt,
	  unk/skins/bastionledger/blstatement_view.pt,
	  unk/skins/bastionledger/bltimesheet_view.pt,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/skins/bastionledger/bltransactiontemplate_view.pt,
	  unk/skins/bastionledger/portlet_shoppingcart.pt,
	  unk/tests/testFSBLProcess.py, unk/tests/testLedger.py,
	  unk/zpt/add_transaction.zpt: zcheck resolutions

2008-06-25 18:11  alan

	* unk/BLBase.py, unk/BLForecaster.py, unk/BLLedger.py,
	  unk/BLOrderBook.py, unk/BLPayroll.py, unk/BLSubsidiaryLedger.py,
	  unk/BLTaxTables.py, unk/Extensions/Install.py,
	  unk/FSBLProcess.py, unk/Ledger.py, unk/LedgerControllerTool.py,
	  unk/__init__.py, unk/config.py,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Account.ent,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Inventory.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/20-tax.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payment.txn/tax.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Account.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/COGS.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Inventory.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Sales.ent,
	  unk/skins/bastionledger/blforecaster_edit.cpy,
	  unk/skins/bastionledger/blforecaster_edit_form.cpt,
	  unk/skins/bastionledger/blforecaster_update_form.cpt,
	  unk/skins/bastionledger/blinvoice_template.pt,
	  unk/skins/bastionledger/blledger_props.cpy,
	  unk/skins/bastionledger/blledger_props_form.cpt,
	  unk/skins/bastionledger/blorder_edit.cpy,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_shipping_form.cpt,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blquote_edit_form.cpt,
	  unk/skins/bastionledger/blquote_template.pt,
	  unk/skins/bastionledger/blquote_view.cpt,
	  unk/skins/bastionledger/blshoppingcart_view.cpt,
	  unk/skins/bastionledger/portlet_shoppingcart.pt,
	  unk/tests/testAssetRegister.py, unk/tests/testInventory.py,
	  unk/tests/testOrderBook.py, unk/tests/testPayroll.py,
	  unk/tests/testQuoteManager.py, unk/tests/testTaxTables.py,
	  unk/tests/testTransaction.py, unk/version.txt,
	  unk/zpt/add_taxtablerec.zpt, unk/zpt/edit_account.zpt,
	  unk/zpt/view_account.zpt, unk/zpt/view_order.zpt,
	  unk/zpt/view_quote.zpt: more portal_factory fixes

2008-06-22 17:16  alan

	* unk/BLAccount.py, unk/BLInventory.py, unk/BLLedger.py,
	  unk/BLOrderBook.py, unk/BLPayroll.py, unk/BLQuoteManager.py,
	  unk/BLShareholderLedger.py, unk/BLSubsidiaryAccount.py,
	  unk/BLSubsidiaryTransaction.py, unk/BLTransaction.py,
	  unk/Extensions/Install.py, unk/Ledger.py, unk/__init__.py,
	  unk/config.py,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/20-tax.ent,
	  unk/skins/bastionledger/blallocation_edit.cpy,
	  unk/skins/bastionledger/blallocation_edit_form.cpt,
	  unk/skins/bastionledger/blallocation_view.pt,
	  unk/skins/bastionledger/blemployee_edit.cpy,
	  unk/skins/bastionledger/blemployee_edit_form.cpt,
	  unk/skins/bastionledger/blemployee_payslips.pt,
	  unk/skins/bastionledger/blemployee_settings_form.cpt,
	  unk/skins/bastionledger/blinventory_dispatch_form.cpt,
	  unk/skins/bastionledger/blorder_edit.cpy,
	  unk/skins/bastionledger/blorderaccount_details.cpy,
	  unk/skins/bastionledger/blpart_edit.cpy,
	  unk/skins/bastionledger/blpart_edit_form.cpt,
	  unk/skins/bastionledger/blshare.gif,
	  unk/skins/bastionledger/blshare_edit_form.cpt,
	  unk/skins/bastionledger/blshare_view.pt,
	  unk/skins/bastionledger/blshareholder_allocations.pt,
	  unk/tests/LedgerTestCase.py, unk/tests/testAccount.py,
	  unk/tests/testInventory.py, unk/tests/testLedger.py,
	  unk/tests/testOrderBook.py, unk/tests/testPayroll.py,
	  unk/tests/testShareholderLedger.py, unk/tests/testTaxTables.py,
	  unk/tests/testTransaction.py, unk/version.txt,
	  unk/zpt/add_Ledger.zpt, unk/zpt/add_allocation.zpt,
	  unk/zpt/add_cashorder.zpt, unk/zpt/add_sharedefinition.zpt,
	  unk/zpt/controller_ledger.zpt, unk/zpt/edit_orderaccount.zpt:
	  fixing portal_factory creation

2008-06-18 23:47  alan

	* unk/BLAccount.py, unk/BLAssetRegister.py, unk/BLAssociations.py,
	  unk/BLBase.py, unk/BLControlEntry.py, unk/BLEntry.py,
	  unk/BLInventory.py, unk/BLLedger.py, unk/BLOrderBook.py,
	  unk/BLPayroll.py, unk/BLTaxTables.py, unk/Exceptions.py,
	  unk/Extensions/Install.py, unk/Ledger.py,
	  unk/LedgerControllerTool.py, unk/SyndicationSupport.py,
	  unk/__init__.py, unk/config.py, unk/configure.zcml,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Account.ent,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Freight.ent,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Tax.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/10-gross.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/20-tax.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payment.txn/gross.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Account.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Freight.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Tax.ent,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/Payable.txn/dividend.ent,
	  unk/skins/bastionledger/blaccount_edit_form.cpt,
	  unk/skins/bastionledger/blaccount_pay_form.cpt,
	  unk/skins/bastionledger/blaccount_template.pt,
	  unk/skins/bastionledger/blaccounts_tags.pt,
	  unk/skins/bastionledger/blasset_edit_form.cpt,
	  unk/skins/bastionledger/blassetregister_depreciation_form.cpt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blcsv.gif,
	  unk/skins/bastionledger/blemployee_payslip.pt,
	  unk/skins/bastionledger/blemployee_payslips.pt,
	  unk/skins/bastionledger/blemployee_settings_form.cpt,
	  unk/skins/bastionledger/blemployee_tax_certificate.pt,
	  unk/skins/bastionledger/blforecaster_edit_form.cpt,
	  unk/skins/bastionledger/blinventory_dispatch_form.cpt,
	  unk/skins/bastionledger/blinvoice_template.pt,
	  unk/skins/bastionledger/blledger_props_form.cpt,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blpayroll_payg_summary.pt,
	  unk/skins/bastionledger/blpayroll_superannuation_summary.pt,
	  unk/skins/bastionledger/blquote_edit_form.cpt,
	  unk/skins/bastionledger/blquote_template.pt,
	  unk/skins/bastionledger/blquote_view.cpt,
	  unk/skins/bastionledger/blquotemgr_edit_form.cpt,
	  unk/skins/bastionledger/blreports_view.pt,
	  unk/skins/bastionledger/blshareholder_advices.pt,
	  unk/skins/bastionledger/blshareholder_share_defns.pt,
	  unk/skins/bastionledger/blshoppingcart_view.cpt,
	  unk/skins/bastionledger/bltaxtable.gif,
	  unk/skins/bastionledger/bltaxtablerec.gif,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/skins/bastionledger/bltransactiontemplate_view.pt,
	  unk/tests/LedgerTestCase.py, unk/tests/setup.py,
	  unk/tests/testAccount.py, unk/tests/testAssociations.py,
	  unk/tests/testControllerTool.py, unk/tests/testInventory.py,
	  unk/tests/testLedger.py, unk/tests/testOrderBook.py,
	  unk/tests/testProduct.py, unk/tests/testQuoteManager.py,
	  unk/tests/testTaxTables.py, unk/tests/testTransaction.py,
	  unk/www/bastionledger.gif, unk/www/blcontroller.gif,
	  unk/www/blquill.gif, unk/www/bltaxtable.gif,
	  unk/www/bltaxtablerec.gif, unk/zpt/add_association.zpt,
	  unk/zpt/add_emplentrytmpl.zpt, unk/zpt/add_taxtable.zpt,
	  unk/zpt/add_taxtablerec.zpt, unk/zpt/assets_depreciation.zpt,
	  unk/zpt/associations.zpt, unk/zpt/controller_ledger.zpt,
	  unk/zpt/controllertool_explain.zpt, unk/zpt/view_order.zpt,
	  unk/zpt/view_quote.zpt, unk/zpt/view_taxtablerec.zpt:
	  Syndication, TaxTables, Associations

2008-06-14 02:38  alan

	* unk/BLAccount.py, unk/BLBase.py, unk/BLEntry.py, unk/BLLedger.py,
	  unk/BLOrderBook.py, unk/BLTransaction.py,
	  unk/Extensions/Install.py, unk/FSPayroll.py, unk/Ledger.py,
	  unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blinventory_parts.pt,
	  unk/skins/bastionledger/blledger_listing.pt,
	  unk/skins/bastionledger/blshare_allocations.cpt,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/tests/testFSBLProcess.py, unk/tests/testTransaction.py: CSV
	  functionality

2008-06-14 02:36  alan

	* unk/www/bastionledger.gif: new icons

2008-06-14 02:35  alan

	* unk/www/bastionledger.gif: new icons

2008-06-14 02:34  alan

	* unk/skins/bastionledger/bastionledger.gif: new icons

2008-06-14 02:34  alan

	* unk/skins/bastionledger/bastionledger.gif: new icons

2008-06-13 17:44  alan

	* unk/version.txt: new icons

2008-06-13 17:43  alan

	* unk/skins/bastionledger/bldividendadvice.gif: new icons

2008-06-13 17:42  alan

	* unk/BLAssetRegister.py, unk/BLEntryTemplate.py,
	  unk/BLForecaster.py, unk/BLInventory.py, unk/BLLedger.py,
	  unk/BLOrderBook.py, unk/BLPayroll.py, unk/BLQuoteManager.py,
	  unk/BLReport.py, unk/BLShareholderLedger.py,
	  unk/BLSubsidiaryLedger.py, unk/BLTransaction.py,
	  unk/CMFAccount.py, unk/Ledger.py, unk/__init__.py,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/bldividend_advice_view.pt,
	  unk/skins/bastionledger/bldividendadvice.gif,
	  unk/skins/bastionledger/blshareholder_allocations.pt,
	  unk/tests/testTransaction.py, unk/www/account.gif,
	  unk/www/asset.gif, unk/www/assetregister.gif,
	  unk/www/blaccount.gif, unk/www/blasset.gif,
	  unk/www/blassetregister.gif, unk/www/blcart.gif,
	  unk/www/bldividendadvice.gif, unk/www/blemployee.gif,
	  unk/www/blentry.gif, unk/www/blentry_tpl.gif,
	  unk/www/blforecaster.gif, unk/www/blinventory.gif,
	  unk/www/blledger.gif, unk/www/blorder.gif,
	  unk/www/blorderaccount.gif, unk/www/blorderbook.gif,
	  unk/www/blpart.gif, unk/www/blpayroll.gif, unk/www/blpayslip.gif,
	  unk/www/blprocess.gif, unk/www/blquote.gif,
	  unk/www/blquotemgr.gif, unk/www/blreport.gif,
	  unk/www/blshare.gif, unk/www/blshareholder.gif,
	  unk/www/blshareholderledger.gif, unk/www/blsubsidiaryledger.gif,
	  unk/www/bltimesheet.gif, unk/www/bltransaction.gif,
	  unk/www/bltransaction_tpl.gif, unk/www/dividend.gif,
	  unk/www/employee.gif, unk/www/entry.gif, unk/www/forecaster.gif,
	  unk/www/fspayroll.gif, unk/www/inventory.gif, unk/www/ledger.gif,
	  unk/www/order.gif, unk/www/orderaccount.gif,
	  unk/www/orderbook.gif, unk/www/part.gif, unk/www/partfolder.gif,
	  unk/www/payablesledger.gif, unk/www/payroll.gif,
	  unk/www/payslip.gif, unk/www/process.gif, unk/www/quote.gif,
	  unk/www/quotemgr.gif, unk/www/receivablesledger.gif,
	  unk/www/report.gif, unk/www/shareholder.gif,
	  unk/www/shareholderledger.gif, unk/www/subsidiaryledger.gif,
	  unk/www/timesheet.gif, unk/www/txn.gif, unk/zpt/add_Ledger.zpt,
	  unk/zpt/add_account.zpt, unk/zpt/add_allocation.zpt,
	  unk/zpt/add_asset.zpt, unk/zpt/add_assetregister.zpt,
	  unk/zpt/add_cashbook.zpt, unk/zpt/add_cmfaccount.zpt,
	  unk/zpt/add_emplentrytmpl.zpt, unk/zpt/add_employee.zpt,
	  unk/zpt/add_emptimesheet.zpt, unk/zpt/add_entry.zpt,
	  unk/zpt/add_entrytmpl.zpt, unk/zpt/add_forecast.zpt,
	  unk/zpt/add_group.zpt, unk/zpt/add_inventory.zpt,
	  unk/zpt/add_observer.zpt, unk/zpt/add_observerfolder.zpt,
	  unk/zpt/add_order.zpt, unk/zpt/add_orderaccount.zpt,
	  unk/zpt/add_orderbook.zpt, unk/zpt/add_orderitem.zpt,
	  unk/zpt/add_part.zpt, unk/zpt/add_partfolder.zpt,
	  unk/zpt/add_payroll.zpt, unk/zpt/add_payrollentry.zpt,
	  unk/zpt/add_pricepolicy.zpt, unk/zpt/add_pricepolicyfolder.zpt,
	  unk/zpt/add_process.zpt, unk/zpt/add_quote.zpt,
	  unk/zpt/add_quotemgr.zpt, unk/zpt/add_report.zpt,
	  unk/zpt/add_sharedefinition.zpt, unk/zpt/add_shareholder.zpt,
	  unk/zpt/add_store.zpt, unk/zpt/add_subsidiaryaccount.zpt,
	  unk/zpt/add_subsidiaryentry.zpt,
	  unk/zpt/add_subsidiaryledger.zpt,
	  unk/zpt/add_subsidiarytransaction.zpt,
	  unk/zpt/add_transaction.zpt, unk/zpt/add_transactiontmpl.zpt,
	  unk/zpt/dividend_advice.zpt, unk/zpt/mail.zpt: new icons

2008-06-13 14:57  alan

	* unk/skins/bastionledger/account.gif,
	  unk/skins/bastionledger/orderbook.gif: standardised filenames

2008-06-13 14:54  alan

	* unk/skins/bastionledger/blshoppingcart_parts.py: standardised
	  filenames

2008-06-13 14:53  alan

	* unk/skins/bastionledger/blshoppingcart_add_item.cpy,
	  unk/skins/bastionledger/blshoppingcart_edit.cpy,
	  unk/skins/bastionledger/blshoppingcart_getId.py,
	  unk/skins/bastionledger/blshoppingcart_remove_items.cpy,
	  unk/skins/bastionledger/blshoppingcart_remove_items.cpy.metadata,
	  unk/skins/bastionledger/blshoppingcart_setId.py,
	  unk/skins/bastionledger/blshoppingcart_view.cpt,
	  unk/skins/bastionledger/blstatement_view.pt: standardised
	  filenames

2008-06-13 14:51  alan

	* unk/skins/bastionledger/blshoppingcart_parts.py,
	  unk/skins/bastionledger/portlet_shoppingcart.pt: standardised
	  filenames

2008-06-13 14:24  alan

	* unk/skins/bastionledger/blshoppincart_parts.py,
	  unk/skins/bastionledger/portlet_shoppingcart.pt: standardised
	  filenames

2008-06-13 14:06  alan

	* unk/skins/bastionledger/add_shoppingcart_items.cpy,
	  unk/skins/bastionledger/add_shoppingcart_items.cpy.metadata,
	  unk/skins/bastionledger/balance_sheet.pt,
	  unk/skins/bastionledger/blbalance_sheet.pt,
	  unk/skins/bastionledger/blcashflow_statement.pt,
	  unk/skins/bastionledger/blrevenue_statement.pt,
	  unk/skins/bastionledger/blshoppincart_parts.py,
	  unk/skins/bastionledger/blshoppingcart_add_item.cpy,
	  unk/skins/bastionledger/blshoppingcart_add_item.cpy.metadata,
	  unk/skins/bastionledger/blshoppingcart_deleteitems.cpy,
	  unk/skins/bastionledger/blshoppingcart_deleteitems.cpy.metadata,
	  unk/skins/bastionledger/blshoppingcart_edit.cpy,
	  unk/skins/bastionledger/blshoppingcart_edit.cpy.metadata,
	  unk/skins/bastionledger/blshoppingcart_getId.py,
	  unk/skins/bastionledger/blshoppingcart_parts.py,
	  unk/skins/bastionledger/blshoppingcart_remove_items.cpy,
	  unk/skins/bastionledger/blshoppingcart_remove_items.cpy.metadata,
	  unk/skins/bastionledger/blshoppingcart_setId.py,
	  unk/skins/bastionledger/blshoppingcart_view.cpt,
	  unk/skins/bastionledger/blshoppingcart_view.cpt.metadata,
	  unk/skins/bastionledger/blstatement_view.pt,
	  unk/skins/bastionledger/cashflow_statement.pt,
	  unk/skins/bastionledger/getShoppingCartId.py,
	  unk/skins/bastionledger/remove_shoppingcart_items.cpy,
	  unk/skins/bastionledger/remove_shoppingcart_items.cpy.metadata,
	  unk/skins/bastionledger/revenue_statement.pt,
	  unk/skins/bastionledger/setShoppingCartId.py,
	  unk/skins/bastionledger/shoppingcart_deleteitems.cpy,
	  unk/skins/bastionledger/shoppingcart_deleteitems.cpy.metadata,
	  unk/skins/bastionledger/shoppingcart_edit.cpy,
	  unk/skins/bastionledger/shoppingcart_edit.cpy.metadata,
	  unk/skins/bastionledger/shoppingcart_parts.py,
	  unk/skins/bastionledger/shoppingcart_view.cpt,
	  unk/skins/bastionledger/shoppingcart_view.cpt.metadata,
	  unk/skins/bastionledger/statement_view.pt: standardised filenames

2008-06-13 13:47  alan

	* unk/skins/bastionledger/blaccount_edit_form.cpt,
	  unk/skins/bastionledger/blaccount_pay_form.cpt,
	  unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blaccounts_tags.pt,
	  unk/skins/bastionledger/blallocation_edit_form.cpt,
	  unk/skins/bastionledger/blallocation_view.pt,
	  unk/skins/bastionledger/blasset_edit_form.cpt,
	  unk/skins/bastionledger/blasset_view.pt,
	  unk/skins/bastionledger/blassetregister_depreciation_form.cpt,
	  unk/skins/bastionledger/blassetregister_edit_form.cpt,
	  unk/skins/bastionledger/blattachments_edit_form.cpt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/bldividend_advice_view.pt,
	  unk/skins/bastionledger/bldublincore_edit_form.cpt,
	  unk/skins/bastionledger/blemployee_deductions.pt,
	  unk/skins/bastionledger/blemployee_edit_form.cpt,
	  unk/skins/bastionledger/blemployee_payslips.pt,
	  unk/skins/bastionledger/blemployee_settings_form.cpt,
	  unk/skins/bastionledger/blemployee_timesheets.cpt,
	  unk/skins/bastionledger/blentry_edit_form.cpt,
	  unk/skins/bastionledger/blentry_view.pt,
	  unk/skins/bastionledger/blentrytemplate_view.pt,
	  unk/skins/bastionledger/blforecaster_edit_form.cpt,
	  unk/skins/bastionledger/blforecaster_update_form.cpt,
	  unk/skins/bastionledger/blforecaster_view.pt,
	  unk/skins/bastionledger/blinventory_dispatch_form.cpt,
	  unk/skins/bastionledger/blinventory_parts.pt,
	  unk/skins/bastionledger/blledger_edit_form.cpt,
	  unk/skins/bastionledger/blledger_listing.pt,
	  unk/skins/bastionledger/blledger_props_form.cpt,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_shipping_form.cpt,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blorderaccount_details_form.cpt,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/skins/bastionledger/blorderaccount_settings_form.cpt,
	  unk/skins/bastionledger/blpart_edit_form.cpt,
	  unk/skins/bastionledger/blpart_view.pt,
	  unk/skins/bastionledger/blpayroll_superannuation_summary.pt,
	  unk/skins/bastionledger/blpayroll_view.cpt,
	  unk/skins/bastionledger/blprocess_reports.pt,
	  unk/skins/bastionledger/blprocess_run_form.cpt,
	  unk/skins/bastionledger/blprocess_script.pt,
	  unk/skins/bastionledger/blprocess_view.pt,
	  unk/skins/bastionledger/blprocesses_view.pt,
	  unk/skins/bastionledger/blquote_edit_form.cpt,
	  unk/skins/bastionledger/blquote_view.cpt,
	  unk/skins/bastionledger/blquotemgr_edit_form.cpt,
	  unk/skins/bastionledger/blquotemgr_view.pt,
	  unk/skins/bastionledger/blreport_view.pt,
	  unk/skins/bastionledger/blreports_view.pt,
	  unk/skins/bastionledger/blshare_edit_form.cpt,
	  unk/skins/bastionledger/blshare_view.pt,
	  unk/skins/bastionledger/blshareholder_advices.pt,
	  unk/skins/bastionledger/blshareholder_allocations.pt,
	  unk/skins/bastionledger/blshareholder_share_defns.pt,
	  unk/skins/bastionledger/bltimesheet_view.pt,
	  unk/skins/bastionledger/bltransaction_add_entries.cpy,
	  unk/skins/bastionledger/bltransaction_edit.cpy,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt.metadata,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/skins/bastionledger/bltransactiontemplate_view.pt,
	  unk/skins/bastionledger/calendar_macros.pt,
	  unk/skins/bastionledger/cart.gif,
	  unk/skins/bastionledger/cashflow_statement.pt,
	  unk/skins/bastionledger/inventory.gif,
	  unk/skins/bastionledger/portlet_shoppingcart.pt,
	  unk/skins/bastionledger/shareholderledger.gif,
	  unk/skins/bastionledger/shoppingcart_view.cpt,
	  unk/skins/bastionledger/statement_view.pt,
	  unk/skins/bastionledger/subsidiaryledger.gif,
	  unk/skins/bastionledger/timesheet.gif,
	  unk/skins/bastionledger/validate_effective_date.vpy: new icons

2008-06-13 13:26  alan

	* unk/skins/bastionledger/blemployee.gif: new icons

2008-06-13 13:25  alan

	* unk/skins/bastionledger/blaccount.gif,
	  unk/skins/bastionledger/bltransaction.gif: new icons

2008-06-13 13:24  alan

	* unk/skins/bastionledger/payroll.gif: new icons

2008-06-13 13:21  alan

	* unk/skins/bastionledger/blpayroll.gif: new icons

2008-06-13 13:14  alan

	* unk/skins/bastionledger/blassetregister.gif,
	  unk/skins/bastionledger/blcart.gif,
	  unk/skins/bastionledger/blentry.gif,
	  unk/skins/bastionledger/blforecaster.gif,
	  unk/skins/bastionledger/blinventory.gif,
	  unk/skins/bastionledger/blledger.gif,
	  unk/skins/bastionledger/blorder.gif,
	  unk/skins/bastionledger/blorderaccount.gif,
	  unk/skins/bastionledger/blorderbook.gif,
	  unk/skins/bastionledger/blpart.gif,
	  unk/skins/bastionledger/blpayslip.gif,
	  unk/skins/bastionledger/blshareholder.gif,
	  unk/skins/bastionledger/blshareholderledger.gif,
	  unk/skins/bastionledger/blsubsidiaryledger.gif: new icons

2008-05-29 00:34  alan

	* unk/BLPayroll.py, unk/Extensions/Install.py, unk/configure.zcml,
	  unk/interfaces/BLAccountListener.py, unk/interfaces/ledger.py,
	  unk/interfaces/transaction.py, unk/version.txt,
	  unk/zpt/adjustments.zpt: Z3 implements

2008-02-06 07:18  alan

	* unk/zpt/add_report.zpt: user-addable reports

2008-02-06 06:56  alan

	* unk/BLReport.py, unk/Ledger.py, unk/__init__.py: user-addable
	  reports

2008-02-05 15:23  alan

	* unk/BLAccount.py, unk/BLControlEntry.py, unk/BLEntry.py,
	  unk/BLLedger.py, unk/BLQuoteManager.py,
	  unk/BLSubsidiaryLedger.py, unk/BLTransaction.py,
	  unk/Extensions/Install.py, unk/Ledger.py,
	  unk/skins/bastionledger/balance_sheet.pt,
	  unk/skins/bastionledger/blquote_edit.cpy,
	  unk/skins/bastionledger/blquote_edit_form.cpt,
	  unk/skins/bastionledger/blquote_template.pt, unk/version.txt,
	  unk/zpt/verify_ledger.zpt, unk/zpt/view_entry.zpt: control
	  account recalculation bugs

2007-12-13 00:55  alan

	* unk/BLAssetRegister.py, unk/BLLedger.py, unk/BLOrderBook.py,
	  unk/BLPayroll.py, unk/BLQuoteManager.py, unk/BLReport.py,
	  unk/BLShareholderLedger.py, unk/BLTransaction.py,
	  unk/Extensions/Install.py, unk/Ledger.py, unk/__init__.py,
	  unk/config.py, unk/configure.zcml,
	  unk/skins/bastionledger/blaccount_edit_form.cpt,
	  unk/skins/bastionledger/blaccount_pay_form.cpt,
	  unk/skins/bastionledger/blasset_edit_form.cpt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blemployee_payslip.pt,
	  unk/skins/bastionledger/blemployee_payslips.pt,
	  unk/skins/bastionledger/blemployee_settings_form.cpt,
	  unk/skins/bastionledger/blforecaster_edit_form.cpt,
	  unk/skins/bastionledger/blinventory_dispatch_form.cpt,
	  unk/skins/bastionledger/blledger_edit.cpy,
	  unk/skins/bastionledger/blledger_props_form.cpt,
	  unk/skins/bastionledger/blorder_additems.cpy.metadata,
	  unk/skins/bastionledger/blorder_deleteitems.cpy.metadata,
	  unk/skins/bastionledger/blorder_edit.cpy,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blpayroll_payg_summary.pt,
	  unk/skins/bastionledger/blpayroll_superannuation_summary.pt,
	  unk/skins/bastionledger/blquote.gif,
	  unk/skins/bastionledger/blquote_create_account.cpy,
	  unk/skins/bastionledger/blquote_create_account.cpy.metadata,
	  unk/skins/bastionledger/blquote_edit.cpy,
	  unk/skins/bastionledger/blquote_edit.cpy.metadata,
	  unk/skins/bastionledger/blquote_edit_form.cpt,
	  unk/skins/bastionledger/blquote_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blquote_email.cpy,
	  unk/skins/bastionledger/blquote_email.cpy.metadata,
	  unk/skins/bastionledger/blquote_raise_order.cpy,
	  unk/skins/bastionledger/blquote_raise_order.cpy.metadata,
	  unk/skins/bastionledger/blquote_template.pt,
	  unk/skins/bastionledger/blquote_view.cpt,
	  unk/skins/bastionledger/blquote_view.cpt.metadata,
	  unk/skins/bastionledger/blquotemgr.gif,
	  unk/skins/bastionledger/blquotemgr_edit.cpy,
	  unk/skins/bastionledger/blquotemgr_edit.cpy.metadata,
	  unk/skins/bastionledger/blquotemgr_edit_form.cpt,
	  unk/skins/bastionledger/blquotemgr_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blquotemgr_view.pt,
	  unk/skins/bastionledger/blreports_view.pt,
	  unk/skins/bastionledger/blshareholder_advices.pt,
	  unk/skins/bastionledger/blshareholder_allocations.pt,
	  unk/skins/bastionledger/blshareholder_share_defns.pt,
	  unk/skins/bastionledger/bltransaction_add_entries.cpy,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt.metadata,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/skins/bastionledger/bltransactiontemplate_view.pt,
	  unk/skins/bastionledger/cashflow_statement.pt,
	  unk/skins/bastionledger/shoppingcart_view.cpt,
	  unk/tests/setup.py, unk/tests/testAccount.py,
	  unk/tests/testFSBLProcess.py, unk/tests/testHistoricals.py,
	  unk/tests/testInventory.py, unk/tests/testLedgerTool.py,
	  unk/tests/testOrderBook.py, unk/tests/testPayroll.py,
	  unk/tests/testProduct.py, unk/tests/testQuickInstall.py,
	  unk/tests/testQuoteManager.py,
	  unk/tests/testShareholderLedger.py, unk/tests/testTransaction.py,
	  unk/tests/testUtils.py, unk/utils.py, unk/version.txt,
	  unk/www/quote.gif, unk/www/quotemgr.gif, unk/zpt/add_quote.zpt,
	  unk/zpt/add_quotemgr.zpt, unk/zpt/view_quote.zpt: Quote Manager
	  implementation

2007-10-28 20:59  alan

	* unk/BLAssetRegister.py, unk/BLLedger.py, unk/BLPayroll.py,
	  unk/BLReport.py, unk/BLShareholderLedger.py,
	  unk/BLTransaction.py, unk/Extensions/Install.py,
	  unk/configure.zcml,
	  unk/skins/bastionledger/blaccount_edit_form.cpt,
	  unk/skins/bastionledger/blaccount_pay_form.cpt,
	  unk/skins/bastionledger/blasset_edit_form.cpt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blemployee_payslip.pt,
	  unk/skins/bastionledger/blemployee_payslips.pt,
	  unk/skins/bastionledger/blemployee_settings_form.cpt,
	  unk/skins/bastionledger/blforecaster_edit_form.cpt,
	  unk/skins/bastionledger/blinventory_dispatch_form.cpt,
	  unk/skins/bastionledger/blledger_edit.cpy,
	  unk/skins/bastionledger/blledger_props_form.cpt,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blpayroll_payg_summary.pt,
	  unk/skins/bastionledger/blpayroll_superannuation_summary.pt,
	  unk/skins/bastionledger/blreports_view.pt,
	  unk/skins/bastionledger/blshareholder_advices.pt,
	  unk/skins/bastionledger/blshareholder_allocations.pt,
	  unk/skins/bastionledger/blshareholder_share_defns.pt,
	  unk/skins/bastionledger/bltransaction_add_entries.cpy,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt.metadata,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/skins/bastionledger/bltransactiontemplate_view.pt,
	  unk/skins/bastionledger/cashflow_statement.pt,
	  unk/skins/bastionledger/shoppingcart_view.cpt,
	  unk/tests/testFSBLProcess.py, unk/tests/testLedgerTool.py,
	  unk/utils.py: tidying up html tags

2007-09-19 17:21  alan

	* unk/BLOrderBook.py, unk/BLSubsidiaryLedger.py,
	  unk/Extensions/Install.py, unk/ledgers/Ledger/Processes/BAS,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/15-super.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/20-tax.ent:
	  packaging for BastionLedgerPro

2007-09-15 18:28  alan

	* unk/BLOrderBook.py, unk/Extensions/Install.py,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/bltransaction_edit.cpy,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/zpt/view_chart.zpt: zero amount currency fixes

2007-08-30 16:35  alan

	* unk/BLProcess.py, unk/Extensions/Install.py, unk/FSBLProcess.py,
	  unk/config.py, unk/skins/bastionledger/blprocess_run_form.cpt,
	  unk/skins/bastionledger/blreports_view.pt,
	  unk/tests/LedgerTestCase.py, unk/tests/setup.py,
	  unk/tests/testFSBLProcess.py, unk/tests/testLedgerTestCase.py,
	  unk/zpt/process_run.zpt: pretty process parameters

2007-08-28 23:12  alan

	* unk/BLAccount.py: more migration bugs

2007-08-28 22:54  alan

	* unk/BLAccount.py, unk/BLControlEntry.py, unk/BLEntry.py,
	  unk/BLLedger.py, unk/BLPayroll.py, unk/BLProcess.py,
	  unk/BLReport.py, unk/BLShareholderLedger.py,
	  unk/BLSubsidiaryEntry.py, unk/BLSubsidiaryTransaction.py,
	  unk/BLTransaction.py, unk/FSBLProcess.py, unk/Ledger.py,
	  unk/config.py,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/Payable.txn/shareholder.ent,
	  unk/tests/LedgerTestCase.py, unk/tests/setup.py,
	  unk/tests/testLedgerTestCase.py,
	  unk/tests/testShareholderLedger.py, unk/tests/testTransaction.py,
	  unk/zpt/view_chart.zpt, unk/zpt/view_report.zpt: re-added Reports
	  and conversion bug fixes

2007-08-28 22:50  alan

	* unk/skins/bastionledger/blaccount_edit_form.cpt,
	  unk/skins/bastionledger/blaccount_pay_form.cpt,
	  unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blaccounts_tags.pt,
	  unk/skins/bastionledger/blallocation_edit_form.cpt,
	  unk/skins/bastionledger/blallocation_view.pt,
	  unk/skins/bastionledger/blasset_edit_form.cpt,
	  unk/skins/bastionledger/blasset_view.pt,
	  unk/skins/bastionledger/blassetregister_depreciation_form.cpt,
	  unk/skins/bastionledger/blassetregister_edit_form.cpt,
	  unk/skins/bastionledger/blattachments_edit_form.cpt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/bldividend_advice_view.pt,
	  unk/skins/bastionledger/bldublincore_edit_form.cpt,
	  unk/skins/bastionledger/blemployee_deductions.pt,
	  unk/skins/bastionledger/blemployee_edit_form.cpt,
	  unk/skins/bastionledger/blemployee_payslips.pt,
	  unk/skins/bastionledger/blemployee_settings_form.cpt,
	  unk/skins/bastionledger/blemployee_timesheets.cpt,
	  unk/skins/bastionledger/blentry_edit_form.cpt,
	  unk/skins/bastionledger/blentry_view.pt,
	  unk/skins/bastionledger/blentrytemplate_view.pt,
	  unk/skins/bastionledger/blforecaster_edit_form.cpt,
	  unk/skins/bastionledger/blforecaster_update_form.cpt,
	  unk/skins/bastionledger/blforecaster_view.pt,
	  unk/skins/bastionledger/blinventory_dispatch_form.cpt,
	  unk/skins/bastionledger/blinventory_parts.pt,
	  unk/skins/bastionledger/blledger_edit_form.cpt,
	  unk/skins/bastionledger/blledger_props_form.cpt,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_shipping_form.cpt,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blorderaccount_details_form.cpt,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/skins/bastionledger/blorderaccount_settings_form.cpt,
	  unk/skins/bastionledger/blpart_edit_form.cpt,
	  unk/skins/bastionledger/blpart_view.pt,
	  unk/skins/bastionledger/blpayroll_superannuation_summary.pt,
	  unk/skins/bastionledger/blpayroll_view.cpt,
	  unk/skins/bastionledger/blprocess_reports.pt,
	  unk/skins/bastionledger/blprocess_run.cpy.metadata,
	  unk/skins/bastionledger/blprocess_run_form.cpt,
	  unk/skins/bastionledger/blprocess_script.pt,
	  unk/skins/bastionledger/blprocess_view.pt,
	  unk/skins/bastionledger/blprocesses_view.pt,
	  unk/skins/bastionledger/blreport.gif,
	  unk/skins/bastionledger/blreport_view.pt,
	  unk/skins/bastionledger/blreports_view.pt,
	  unk/skins/bastionledger/blshare_edit_form.cpt,
	  unk/skins/bastionledger/blshare_view.pt,
	  unk/skins/bastionledger/blshareholder_advices.pt,
	  unk/skins/bastionledger/blshareholder_allocations.pt,
	  unk/skins/bastionledger/blshareholder_share_defns.pt,
	  unk/skins/bastionledger/bltimesheet_view.pt,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/skins/bastionledger/bltransactiontemplate_view.pt,
	  unk/skins/bastionledger/portlet_shoppingcart.pt,
	  unk/skins/bastionledger/shoppingcart_view.cpt,
	  unk/skins/bastionledger/statement_view.pt: getIcon implemented

2007-08-28 02:50  alan

	* unk/BLBase.py, unk/BLLedger.py, unk/BLPayroll.py,
	  unk/BLShareholderLedger.py, unk/Exceptions.py, unk/FSPayroll.py,
	  unk/Ledger.py, unk/__init__.py,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/10-gross.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/15-super.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/20-tax.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/30-deductions.ent,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/process.py,
	  unk/skins/bastionledger/blallocation_edit.cpy,
	  unk/skins/bastionledger/blallocation_edit.cpy.metadata,
	  unk/skins/bastionledger/blallocation_edit_form.cpt,
	  unk/skins/bastionledger/blallocation_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blallocation_view.pt,
	  unk/skins/bastionledger/blemployee_add_timesheet.cpy,
	  unk/skins/bastionledger/blemployee_add_timesheet.cpy.metadata,
	  unk/skins/bastionledger/blemployee_payslip.pt,
	  unk/skins/bastionledger/blemployee_payslip.pt.metadata,
	  unk/skins/bastionledger/blemployee_timesheets.cpt,
	  unk/skins/bastionledger/blemployee_timesheets.cpt.metadata,
	  unk/skins/bastionledger/blemployee_timesheets.pt,
	  unk/skins/bastionledger/blpayroll_run.cpy,
	  unk/skins/bastionledger/blpayroll_view.cpt,
	  unk/skins/bastionledger/blpayslip.gif,
	  unk/skins/bastionledger/blshare.gif,
	  unk/skins/bastionledger/blshare_edit.cpy,
	  unk/skins/bastionledger/blshare_edit.cpy.metadata,
	  unk/skins/bastionledger/blshare_edit_form.cpt,
	  unk/skins/bastionledger/blshare_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blshare_view.pt,
	  unk/skins/bastionledger/blshareholder_allocations.pt,
	  unk/skins/bastionledger/blshareholder_share_defns.pt,
	  unk/skins/bastionledger/bltimesheet.gif,
	  unk/skins/bastionledger/bltimesheet_view.pt,
	  unk/tests/testPayroll.py, unk/tests/testShareholderLedger.py,
	  unk/tests/testTransaction.py, unk/version.txt,
	  unk/zpt/add_emptimesheet.zpt, unk/zpt/add_emptimesheetf.zpt,
	  unk/zpt/view_transactions.zpt: shareholder and payroll Plone add
	  features

2007-08-25 22:06  alan

	* unk/BLAccount.py, unk/BLLedger.py, unk/BLPayroll.py,
	  unk/skins/bastionledger/blpayroll_superannuation_summary.pt,
	  unk/tests/testTransaction.py: BLAccount sum() for super summary
	  fix

2007-08-25 19:02  alan

	* unk/BLAttachmentSupport.py, unk/BLLedger.py, unk/BLOrderBook.py,
	  unk/BLPayroll.py, unk/BLShareholderLedger.py,
	  unk/BLSubsidiaryLedger.py, unk/FSPayroll.py, unk/Ledger.py,
	  unk/__init__.py, unk/skins/bastionledger/blinvoice_template.pt,
	  unk/skins/bastionledger/blledger_props.cpy,
	  unk/skins/bastionledger/blledger_props.cpy.metadata,
	  unk/skins/bastionledger/blledger_props_form.cpt,
	  unk/skins/bastionledger/blledger_props_form.cpt.metadata,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_email_invoice.cpy.metadata,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/validate_currencies.vpy,
	  unk/skins/bastionledger/validate_next_accno.vpy,
	  unk/skins/bastionledger/validate_next_txnno.vpy,
	  unk/zpt/orderbook_props.zpt, unk/zpt/view_order.zpt: ledger
	  property edit bugs in Plone/instructions functionality

2007-08-23 19:54  alan

	* unk/BLSubsidiaryEntry.py,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Inventory.ent.metadata:
	  fix flip-flopping txn debit-credit amounts

2007-08-23 19:48  alan

	* unk/BLEntry.py, unk/skins/bastionledger/bltransaction_add.cpy,
	  unk/skins/bastionledger/bltransaction_add.cpy.metadata,
	  unk/skins/bastionledger/bltransaction_add_entries.cpy,
	  unk/skins/bastionledger/bltransaction_add_form.cpt,
	  unk/skins/bastionledger/bltransaction_add_form.cpt.metadata,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/zpt/view_chart.zpt: fix flip-flopping txn debit-credit
	  amounts

2007-08-22 11:22  alan

	* unk/BLAssetRegister.py, unk/BLLedger.py, unk/BLOrderBook.py,
	  unk/BLShareholderLedger.py, unk/BLSubsidiaryLedger.py,
	  unk/BLSubsidiaryTransaction.py, unk/BLTransaction.py,
	  unk/Ledger.py, unk/config.py,
	  unk/skins/bastionledger/blassetregister_edit_form.cpt,
	  unk/skins/bastionledger/blledger_props_form.cpt,
	  unk/skins/bastionledger/blorderaccount_details_form.cpt,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/skins/bastionledger/bltransaction_view.pt: bug fixes

2007-08-21 21:54  alan

	* unk/BLAccount.py, unk/BLHistoricals.py, unk/BLLedger.py,
	  unk/BLOrderBook.py, unk/BLShareholderLedger.py,
	  unk/BLSubsidiaryLedger.py, unk/config.py,
	  unk/skins/bastionledger/blledger_change_control_account.cpy,
	  unk/skins/bastionledger/blledger_change_control_account.cpy.metadata,
	  unk/skins/bastionledger/blledger_change_control_recalculate.cpy,
	  unk/skins/bastionledger/blledger_change_control_recalculate.cpy.metadata,
	  unk/skins/bastionledger/blledger_props.cpy,
	  unk/skins/bastionledger/blledger_props.cpy.metadata,
	  unk/skins/bastionledger/blledger_props_form.cpt,
	  unk/skins/bastionledger/blledger_props_form.cpt.metadata,
	  unk/skins/bastionledger/blshareholder_share_defns.pt,
	  unk/skins/bastionledger/validate_next_accno.vpy,
	  unk/skins/bastionledger/validate_next_txnno.vpy,
	  unk/skins/bastionledger/validate_txn_entries.vpy,
	  unk/tests/Makefile, unk/tests/testLedgerTestCase.py,
	  unk/tests/testOrderBook.py, unk/tests/testShareholderLedger.py,
	  unk/tests/testTransaction.py, unk/tests/zcheck.py: more Accounts
	  and Transactions absorbtion into BLLedger

2007-08-21 20:34  alan

	* unk/BLAccount.py, unk/BLAssetRegister.py, unk/BLControlEntry.py,
	  unk/BLEntry.py, unk/BLEntryTemplate.py, unk/BLForecaster.py,
	  unk/BLHistoricals.py, unk/BLInventory.py, unk/BLLedger.py,
	  unk/BLOpeningEntry.py, unk/BLOrderBook.py, unk/BLPayroll.py,
	  unk/BLProcess.py, unk/BLShareholderLedger.py,
	  unk/BLSubsidiaryAccount.py, unk/BLSubsidiaryEntry.py,
	  unk/BLSubsidiaryLedger.py, unk/BLSubsidiaryTransaction.py,
	  unk/BLTransaction.py, unk/BLTransactionTemplate.py,
	  unk/Extensions/Install.py, unk/FSPayroll.py, unk/Ledger.py,
	  unk/config.py, unk/ledgers/Ledger/Processes/BAS/report.pt,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Account.ent,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Freight.ent,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Inventory.ent,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Tax.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/10-gross.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/15-super.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/20-tax.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/40-net.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payment.txn/gross.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payment.txn/net.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payment.txn/tax.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/process.py,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Account.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/COGS.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Freight.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Inventory.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Sales.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Tax.ent,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/Paid.txn/bank.ent,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/Paid.txn/shareholder.ent,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/Payable.txn/dividend.ent,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/Payable.txn/shareholder.ent,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/process.py,
	  unk/skins/bastionledger/add_shoppingcart_items.cpy,
	  unk/skins/bastionledger/balance_sheet.pt,
	  unk/skins/bastionledger/blaccount_edit.cpy,
	  unk/skins/bastionledger/blaccount_edit.cpy.metadata,
	  unk/skins/bastionledger/blaccount_edit_form.cpt,
	  unk/skins/bastionledger/blaccount_pay.cpy,
	  unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blaccounts_tags.pt,
	  unk/skins/bastionledger/blassetregister_depreciation_form.cpt,
	  unk/skins/bastionledger/blattachments_edit_form.cpt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blemployee_payslip.pt,
	  unk/skins/bastionledger/blemployee_tax_certificate.pt,
	  unk/skins/bastionledger/blentry_view.pt,
	  unk/skins/bastionledger/blinvoice_template.pt,
	  unk/skins/bastionledger/blledger_edit_form.cpt,
	  unk/skins/bastionledger/blorder_additems.cpy,
	  unk/skins/bastionledger/blorder_additems.cpy.metadata,
	  unk/skins/bastionledger/blorder_edit.cpy,
	  unk/skins/bastionledger/blorder_edit.cpy.metadata,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blorder_invoice.cpy,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blorderaccount_details.cpy,
	  unk/skins/bastionledger/blorderaccount_details.cpy.metadata,
	  unk/skins/bastionledger/blorderaccount_details_form.cpt,
	  unk/skins/bastionledger/blpayroll_payg_summary.pt,
	  unk/skins/bastionledger/blpayroll_superannuation_summary.pt,
	  unk/skins/bastionledger/blpayroll_view.cpt,
	  unk/skins/bastionledger/bltransaction_add_entries.cpy,
	  unk/skins/bastionledger/bltransaction_delete_entries.cpy,
	  unk/skins/bastionledger/bltransaction_edit.cpy,
	  unk/skins/bastionledger/bltransaction_edit.cpy.metadata,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt.metadata,
	  unk/skins/bastionledger/bltransaction_toggle_entries.cpy,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/skins/bastionledger/cashflow_statement.pt,
	  unk/skins/bastionledger/createObject.cpy,
	  unk/skins/bastionledger/createObject.cpy.metadata,
	  unk/skins/bastionledger/remove_shoppingcart_items.cpy,
	  unk/skins/bastionledger/revenue_statement.pt,
	  unk/skins/bastionledger/shoppingcart_view.cpt,
	  unk/skins/bastionledger/validate_expense_accno.vpy,
	  unk/skins/bastionledger/validate_income_accno.vpy,
	  unk/skins/bastionledger/validate_inventory_accno.vpy,
	  unk/tests/LedgerTestCase.py, unk/tests/framework.py,
	  unk/tests/testAccount.py, unk/tests/testHistoricals.py,
	  unk/tests/testInventory.py, unk/tests/testOrderBook.py,
	  unk/tests/testProduct.py, unk/tests/testShareholderLedger.py,
	  unk/tests/testTransaction.py, unk/tests/testUtils.py,
	  unk/version.txt, unk/zpt/add_cashbook.zpt,
	  unk/zpt/add_emplentrytmpl.zpt, unk/zpt/add_entry.zpt,
	  unk/zpt/add_entrytmpl.zpt, unk/zpt/add_orderbook.zpt,
	  unk/zpt/add_payroll.zpt, unk/zpt/add_subsidiaryaccount.zpt,
	  unk/zpt/add_subsidiaryentry.zpt,
	  unk/zpt/add_subsidiaryledger.zpt,
	  unk/zpt/add_subsidiarytransaction.zpt,
	  unk/zpt/add_transaction.zpt, unk/zpt/assets_depreciation.zpt,
	  unk/zpt/associations.zpt, unk/zpt/dispatch_labels.zpt,
	  unk/zpt/edit_account.zpt, unk/zpt/edit_group.zpt,
	  unk/zpt/edit_ledger.zpt, unk/zpt/inventory_dispatcher.zpt,
	  unk/zpt/orderbook_props.zpt, unk/zpt/payroll_props.zpt,
	  unk/zpt/view_account.zpt, unk/zpt/view_chart.zpt,
	  unk/zpt/view_entry.zpt, unk/zpt/view_order.zpt,
	  unk/zpt/view_orderaccount.zpt, unk/zpt/view_payrolls.zpt,
	  unk/zpt/view_transaction.zpt, unk/zpt/view_transactions.zpt:
	  Accounts and Transactions absorbtion into BLLedger

2007-08-03 02:48  alan

	* unk/BLHistoricals.py, unk/BLOrderBook.py: bug fixes

2007-08-03 00:26  alan

	* unk/BLHistoricals.py, unk/ledgers/Ledger/Processes/BAS/report.pt:
	  BAS change and bugs

2007-08-02 23:48  alan

	* unk/BLPayroll.py: Attachment support into Plone

2007-08-02 23:07  alan

	* unk/BLAccount.py, unk/BLAttachmentSupport.py,
	  unk/BLControlEntry.py, unk/BLOrderBook.py, unk/BLPayroll.py,
	  unk/BLShareholderLedger.py, unk/BLTransaction.py,
	  unk/skins/bastionledger/blattachments_edit.cpy,
	  unk/skins/bastionledger/blattachments_edit.cpy.metadata,
	  unk/skins/bastionledger/blattachments_edit_form.cpt,
	  unk/skins/bastionledger/blattachments_edit_form.cpt.metadata,
	  unk/utils.py, unk/version.txt, unk/zpt/view_chart.zpt,
	  unk/zpt/view_transaction.zpt: Attachment support into Plone

2007-08-02 15:16  alan

	* unk/BLAccount.py, unk/BLAssetRegister.py, unk/BLControlEntry.py,
	  unk/BLEntry.py, unk/BLForecaster.py, unk/BLHistoricals.py,
	  unk/BLOpeningEntry.py, unk/BLOrderBook.py,
	  unk/BLSubsidiaryAccount.py, unk/BLSubsidiaryLedger.py,
	  unk/BLTransaction.py, unk/FSPayroll.py, unk/Ledger.py,
	  unk/charts/General.z,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/20-tax.ent,
	  unk/skins/bastionledger/balance_sheet.pt,
	  unk/skins/bastionledger/blassetregister_view.pt,
	  unk/skins/bastionledger/revenue_statement.pt, unk/version.txt,
	  unk/zpt/rollover.zpt, unk/zpt/view_orderaccount.zpt: period
	  closing transaction groundwork

2007-07-31 01:45  alan

	* unk/skins/bastionledger/blassetregister_depreciation_form.cpt,
	  unk/skins/bastionledger/blassetregister_depreciation_form.cpt.metadata:
	  Asset Register functionality skin fixes

2007-07-31 01:34  alan

	* unk/BLAssetRegister.py, unk/BLBase.py, unk/BLInventory.py,
	  unk/Ledger.py, unk/__init__.py, unk/charts/General.z,
	  unk/config.py, unk/skins/bastionledger/blasset.gif,
	  unk/skins/bastionledger/blasset_edit.cpy,
	  unk/skins/bastionledger/blasset_edit.cpy.metadata,
	  unk/skins/bastionledger/blasset_edit_form.cpt,
	  unk/skins/bastionledger/blasset_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blasset_view.pt,
	  unk/skins/bastionledger/blassetregister.gif,
	  unk/skins/bastionledger/blassetregister_depreciation.cpy,
	  unk/skins/bastionledger/blassetregister_depreciation.cpy.metadata,
	  unk/skins/bastionledger/blassetregister_depreciation_form.cpt,
	  unk/skins/bastionledger/blassetregister_depreciation_form.cpt.metadata,
	  unk/skins/bastionledger/blassetregister_edit.cpy,
	  unk/skins/bastionledger/blassetregister_edit.cpy.metadata,
	  unk/skins/bastionledger/blassetregister_edit_form.cpt,
	  unk/skins/bastionledger/blassetregister_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blassetregister_view.pt,
	  unk/skins/bastionledger/bldublincore_edit.cpy,
	  unk/skins/bastionledger/bldublincore_edit.cpy.metadata,
	  unk/skins/bastionledger/bldublincore_edit_form.cpt,
	  unk/skins/bastionledger/bldublincore_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blpart_edit_form.cpt,
	  unk/skins/bastionledger/validate_asset_register.vpy,
	  unk/utils.py, unk/version.txt, unk/www/asset.gif,
	  unk/www/assetregister.gif, unk/zpt/add_asset.zpt,
	  unk/zpt/add_assetregister.zpt, unk/zpt/assets_depreciation.zpt,
	  unk/zpt/assets_main.zpt: Asset Register functionality

2007-07-25 04:01  alan

	* unk/BLAccount.py, unk/BLBase.py, unk/BLLedger.py,
	  unk/BLPayroll.py, unk/FSPayroll.py, unk/Ledger.py,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payment.txn/tax.ent,
	  unk/skins/bastionledger/blemployee_tax_certificate.pt,
	  unk/tests/LedgerTestCase.py, unk/tests/testProduct.py,
	  unk/version.txt: payroll/tax table update

2007-05-28 12:52  alan

	* unk/BLAccount.py, unk/BLInventory.py, unk/BLLedger.py,
	  unk/BLOrderBook.py, unk/BLSubsidiaryLedger.py,
	  unk/BLTransaction.py, unk/Exceptions.py,
	  unk/ledgers/Ledger/Processes/BAS/report.pt,
	  unk/skins/bastionledger/blinvoice_template.pt,
	  unk/zpt/view_account.zpt, unk/zpt/view_orderaccount.zpt: BAS
	  fixes

2007-04-27 22:25  alan

	* unk/BLAccount.py, unk/BLBase.py, unk/BLControlEntry.py,
	  unk/BLEntry.py, unk/BLInventory.py, unk/BLOrderBook.py,
	  unk/BLPayroll.py, unk/BLPricePolicy.py,
	  unk/BLShareholderLedger.py, unk/BLSubsidiaryAccount.py,
	  unk/BLSubsidiaryEntry.py, unk/BLSubsidiaryLedger.py,
	  unk/BLSubsidiaryTransaction.py, unk/BLTransaction.py,
	  unk/Ledger.py, unk/__init__.py, unk/dtml/main.dtml,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/process.py,
	  unk/skins/bastionledger/blentry_edit.cpy,
	  unk/skins/bastionledger/blorder_freight.py,
	  unk/skins/bastionledger/bltransaction_add_entries.cpy,
	  unk/utils.py, unk/version.txt, unk/zpt/add_entry.zpt,
	  unk/zpt/add_subsidiaryentry.zpt, unk/zpt/view_account.zpt,
	  unk/zpt/view_entry.zpt: BLControlEntry implementation

2007-04-15 14:10  alan

	* unk/version.txt: new BastionLinx release

2007-04-15 14:09  alan

	* unk/BLEntry.py, unk/BLTransaction.py: more posting
	  checking/exception raising

2007-04-15 14:08  alan

	* unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Sales.ent.metadata:
	  proxy this entry too

2007-04-15 14:07  alan

	* unk/BLAccount.py: rename debug view

2007-04-15 14:06  alan

	* unk/BLOrderBook.py: hackery to fix already posted problems

2007-04-15 14:04  alan

	* unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blorderaccount_orders.pt: add tabs to
	  default views

2007-04-06 23:44  alan

	* unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Inventory.ent.metadata:
	  manager proxy

2007-03-30 15:03  alan

	* unk/BLOrderBook.py: fixing effective dates, editable props for
	  orderdate, reqdate

2007-03-30 15:00  alan

	* unk/zpt/view_order.zpt: tidy wrapping

2007-03-30 14:59  alan

	* unk/skins/bastionledger/blinvoice_template.pt: remove icons, tidy
	  wrapping

2007-03-30 14:58  alan

	* unk/BLReport.py: editable report bug

2007-03-30 14:57  alan

	* unk/BLEntry.py: paranoia about currency types

2007-03-30 14:56  alan

	* unk/FSBLProcess.py: Proxy tab into FSEntry

2007-03-30 14:55  alan

	* unk/ledgers/Payables/Processes/postOrder/transaction.txn/Account.ent,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Inventory.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Account.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/COGS.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/COGS.ent.metadata,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Inventory.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Sales.ent:
	  displaying account title and proxy settings on order

2007-03-04 10:05  alan

	* unk/BLAccount.py, unk/BLBase.py, unk/BLForecaster.py,
	  unk/BLOrderBook.py, unk/BLTransaction.py,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blinvoice_template.pt,
	  unk/skins/bastionledger/blorder_email_invoice.cpy.metadata,
	  unk/zpt/view_chart.zpt: multi-currency adding bugs

2007-02-26 14:20  alan

	* unk/BLForecaster.py,
	  unk/skins/bastionledger/blforecaster_update_form.cpt,
	  unk/skins/bastionledger/blforecaster_view.pt,
	  unk/zpt/forecast_main.zpt: forecasting totals

2007-02-26 07:05  alan

	* unk/skins/bastionledger/blaccount_pay.cpy,
	  unk/skins/bastionledger/blaccount_view.cpt: fixed setting txn ref
	  for card payment

2007-02-26 06:58  alan

	* unk/BLAccount.py, unk/BLForecaster.py, unk/BLLedger.py,
	  unk/BLPayroll.py, unk/Ledger.py, unk/__init__.py, unk/config.py,
	  unk/skins/bastionledger/blaccount_pay.cpy,
	  unk/skins/bastionledger/blaccount_pay_form.cpt,
	  unk/skins/bastionledger/blforecaster.gif,
	  unk/skins/bastionledger/blforecaster_edit.cpy,
	  unk/skins/bastionledger/blforecaster_edit.cpy.metadata,
	  unk/skins/bastionledger/blforecaster_edit_form.cpt,
	  unk/skins/bastionledger/blforecaster_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blforecaster_update.cpy,
	  unk/skins/bastionledger/blforecaster_update.cpy.metadata,
	  unk/skins/bastionledger/blforecaster_update_form.cpt,
	  unk/skins/bastionledger/blforecaster_update_form.cpt.metadata,
	  unk/skins/bastionledger/blforecaster_view.pt, unk/version.txt,
	  unk/www/forecast.gif, unk/www/forecaster.gif,
	  unk/zpt/add_forecast.zpt, unk/zpt/forecast_main.zpt: BLForecaster
	  implementation

2007-02-12 10:00  alan

	* unk/BLSubsidiaryTransaction.py, unk/BLTransaction.py,
	  unk/zpt/verify_ledger.zpt: reversal fixes

2007-02-09 13:17  alan

	* unk/BLProcess.py, unk/skins/bastionledger/blaccount_template.pt,
	  unk/skins/bastionledger/blinvoice_template.pt, unk/version.txt:
	  process_run_form changes

2007-02-09 11:30  alan

	* unk/BLProcess.py, unk/FSBLProcess.py,
	  unk/skins/bastionledger/blprocess_reports.pt,
	  unk/skins/bastionledger/blprocess_run.cpy,
	  unk/skins/bastionledger/blprocess_run_form.cpt,
	  unk/skins/bastionledger/blprocess_run_form.cpt.metadata,
	  unk/zpt/process_run.zpt: almost got Plone BLProcess's running

2007-02-09 10:37  alan

	* unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blaccounts_tags.pt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blentry_edit_form.cpt,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/skins/bastionledger/shoppingcart_view.cpt: fixed odd and even
	  classes

2007-02-09 09:44  alan

	* unk/BLAccount.py, unk/BLSubsidiaryAccount.py,
	  unk/skins/bastionledger/account.gif,
	  unk/skins/bastionledger/blaccount_email_statement.cpy,
	  unk/skins/bastionledger/blaccount_email_statement.cpy.metadata,
	  unk/skins/bastionledger/blaccount_template.pt,
	  unk/skins/bastionledger/blaccount_view.cpt,
	  unk/skins/bastionledger/blaccount_view.cpt.metadata,
	  unk/skins/bastionledger/blaccount_view.pt,
	  unk/skins/bastionledger/blorder_email_invoice.cpy,
	  unk/skins/bastionledger/blorder_email_invoice.cpy.metadata,
	  unk/skins/bastionledger/blorder_view.cpt,
	  unk/skins/bastionledger/blorder_view.cpt.metadata,
	  unk/skins/bastionledger/blorder_view.pt,
	  unk/skins/bastionledger/validate_effective_date.vpy,
	  unk/zpt/view_account.zpt: emailing orders and statements into
	  Plone

2007-02-09 08:21  alan

	* unk/BLEntry.py, unk/skins/bastionledger/blentry_edit.cpy,
	  unk/skins/bastionledger/blentry_edit.cpy.metadata,
	  unk/skins/bastionledger/blentry_edit_form.cpt,
	  unk/skins/bastionledger/blentry_edit_form.cpt.metadata,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt: Plone skin
	  for editing entrys

2007-02-06 14:49  alan

	* unk/BLAccount.py, unk/BLEntry.py, unk/BLOrderBook.py,
	  unk/BLPayroll.py, unk/BLTransaction.py, unk/Ledger.py,
	  unk/skins/bastionledger/blaccount_view.pt,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/zpt/view_account.zpt, unk/zpt/view_orderaccount.zpt: balances
	  alongside all account entries

2007-02-05 16:11  alan

	* unk/BLBase.py, unk/BLEntry.py, unk/BLSubsidiaryAccount.py,
	  unk/zpt/merge_accounts.zpt: merging of subsidiary accounts

2007-02-05 10:39  alan

	* unk/BLOrderBook.py, unk/zpt/view_orders.zpt: manage_finish
	  filesystem function

2007-02-03 14:04  alan

	* unk/BLAccount.py, unk/BLTransaction.py, unk/Exceptions.py,
	  unk/Ledger.py, unk/zpt/verify_ledger.zpt: cancelled transaction
	  cleanup etc

2007-02-03 11:21  alan

	* unk/BLAccount.py, unk/BLEntry.py, unk/BLSubsidiaryEntry.py,
	  unk/BLTransaction.py, unk/Ledger.py: verify - trapping multiple
	  exceptions now

2007-02-03 10:07  alan

	* unk/BLAccount.py, unk/BLEntry.py, unk/BLOrderBook.py,
	  unk/BLSubsidiaryTransaction.py, unk/BLTransaction.py,
	  unk/Exceptions.py, unk/Ledger.py, unk/version.txt,
	  unk/zpt/verify_ledger.zpt: ledger verify functionality

2007-02-02 11:20  alan

	* unk/BLOrderBook.py, unk/zpt/view_entry.zpt: reversed OrderBook
	  entries not showing

2007-02-02 10:40  alan

	* unk/skins/bastionledger/blaccount_edit_form.cpt,
	  unk/skins/bastionledger/blaccount_view.pt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/zpt/add_entry.zpt, unk/zpt/view_account.zpt,
	  unk/zpt/view_chart.zpt, unk/zpt/view_orderaccount.zpt,
	  unk/zpt/view_orders.zpt, unk/zpt/view_transaction.zpt: more skin
	  cleanups

2007-02-02 10:40  alan

	* unk/BLEntry.py, unk/BLSubsidiaryTransaction.py,
	  unk/BLTransaction.py: Transaction reversal fixes

2007-02-01 14:27  alan

	* unk/BLAccount.py, unk/BLOrderBook.py,
	  unk/skins/bastionledger/blaccount_view.pt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/zpt/view_account.zpt, unk/zpt/view_chart.zpt: show submitter

2007-02-01 08:16  alan

	* unk/BLAccount.py, unk/BLEntry.py, unk/BLOrderBook.py,
	  unk/__init__.py, unk/skins/bastionledger/blaccount_view.pt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blentry_view.pt, unk/zpt/view_chart.zpt:
	  control account entries into balances/totals

2007-01-31 09:16  alan

	* unk/BLAccount.py, unk/BLEntry.py, unk/BLSubsidiaryTransaction.py,
	  unk/BLTransaction.py,
	  unk/skins/bastionledger/blorder_shipping_form.cpt,
	  unk/skins/bastionledger/blorder_view.pt,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/zpt/test_transaction.zpt, unk/zpt/view_orderaccount.zpt,
	  unk/zpt/view_transaction.zpt: replaced transaction_entries with
	  entries

2007-01-31 09:15  alan

	* unk/ledgers/Payables/Processes/postOrder/transaction.txn/Freight.ent,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Inventory.ent,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Tax.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/COGS.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Freight.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Inventory.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Sales.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Tax.ent:
	  subsidiary account titles default to Ledger entry desciptions

2007-01-30 14:27  alan

	* unk/BLAccount.py, unk/BLOrderBook.py, unk/BLPayroll.py,
	  unk/BLShareholderLedger.py, unk/BLTransaction.py,
	  unk/Permissions.py, unk/skins/bastionledger/blpayroll_view.cpt,
	  unk/version.txt: Oversee permission

2007-01-29 12:54  alan

	* unk/BLAccount.py, unk/BLAttachmentSupport.py, unk/BLBase.py,
	  unk/BLEntry.py, unk/BLLedger.py, unk/BLSubsidiaryLedger.py,
	  unk/BLTransaction.py, unk/Ledger.py, unk/__init__.py,
	  unk/skins/bastionledger/blaccount_view.pt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blentry_view.pt,
	  unk/skins/bastionledger/blinvoice_template.pt,
	  unk/skins/bastionledger/blledger_edit_form.cpt,
	  unk/skins/bastionledger/blledger_listing.pt,
	  unk/skins/bastionledger/blorder_view.pt,
	  unk/skins/bastionledger/blprocesses_view.pt,
	  unk/skins/bastionledger/blreports_view.pt,
	  unk/skins/bastionledger/blshareholder_advices.pt,
	  unk/skins/bastionledger/blshareholder_allocations.pt,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/zpt/view_account.zpt: Plone skin / permissions fixes

2007-01-25 09:53  alan

	* unk/skins/bastionledger/blledger.gif,
	  unk/skins/bastionledger/blledger_edit_form.cpt.metadata,
	  unk/skins/bastionledger/ledger.gif,
	  unk/skins/bastionledger/ledger_edit_form.cpt.metadata: first-cut
	  Plone cleanup

2007-01-25 09:49  alan

	* unk/BLAccount.py, unk/BLBase.py, unk/BLEntry.py,
	  unk/BLInventory.py, unk/BLLedger.py, unk/BLOrderBook.py,
	  unk/BLPayroll.py, unk/BLSubsidiaryAccount.py,
	  unk/BLSubsidiaryLedger.py, unk/BLSubsidiaryTransaction.py,
	  unk/BLTransaction.py, unk/Ledger.py,
	  unk/skins/bastionledger/blaccount_view.pt,
	  unk/skins/bastionledger/blaccounts_tags.pt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blinventory_dispatch_form.cpt,
	  unk/skins/bastionledger/blinventory_dispatch_form.cpt.metadata,
	  unk/skins/bastionledger/blinventory_parts.pt,
	  unk/skins/bastionledger/blinvoice_template.pt,
	  unk/skins/bastionledger/blledger_edit.cpy,
	  unk/skins/bastionledger/blledger_edit.cpy.metadata,
	  unk/skins/bastionledger/blledger_edit_form.cpt,
	  unk/skins/bastionledger/blledger_listing.pt,
	  unk/skins/bastionledger/blpart.gif,
	  unk/skins/bastionledger/blpart_edit.cpy,
	  unk/skins/bastionledger/blpart_edit.cpy.metadata,
	  unk/skins/bastionledger/blpart_edit_form.cpt,
	  unk/skins/bastionledger/blpart_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blpart_view.pt,
	  unk/skins/bastionledger/blprocesses_view.pt,
	  unk/skins/bastionledger/blreports_view.pt,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt.metadata,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/skins/bastionledger/ledger_edit.cpy,
	  unk/skins/bastionledger/ledger_edit.cpy.metadata,
	  unk/skins/bastionledger/ledger_edit_form.cpt,
	  unk/skins/bastionledger/ledger_listing.pt,
	  unk/skins/bastionledger/part.gif,
	  unk/skins/bastionledger/part_edit.cpy,
	  unk/skins/bastionledger/part_edit.cpy.metadata,
	  unk/skins/bastionledger/part_edit_form.cpt,
	  unk/skins/bastionledger/part_edit_form.cpt.metadata,
	  unk/skins/bastionledger/part_view.pt, unk/version.txt,
	  unk/zpt/edit_ledger.zpt, unk/zpt/edit_part.zpt,
	  unk/zpt/orderbook_props.zpt, unk/zpt/payroll_props.zpt,
	  unk/zpt/view_account.zpt: first-cut Plone cleanup

2007-01-18 03:18  alan

	* unk/BLAccount.py, unk/BLOrderBook.py,
	  unk/skins/bastionledger/blaccount_pay.cpy,
	  unk/skins/bastionledger/blaccount_pay_form.cpt: pay form bugs

2007-01-18 00:28  alan

	* unk/BLOrderBook.py, unk/skins/bastionledger/blaccount_pay.cpy,
	  unk/skins/bastionledger/blaccount_pay.cpy.metadata,
	  unk/skins/bastionledger/blaccount_pay_form.cpt,
	  unk/skins/bastionledger/blaccount_pay_form.cpt.metadata,
	  unk/version.txt, unk/zpt/view_orderaccount.zpt: generic account
	  pay/merchant payment form

2007-01-15 15:39  alan

	* unk/BLOrderBook.py, unk/skins/bastionledger/blorder_view.pt:
	  reqdate into BLOrder ctor

2007-01-14 11:06  alan

	* unk/BLAccount.py, unk/BLOrderBook.py, unk/BLTransaction.py,
	  unk/zpt/view_transactions.zpt: fixup txn posting from
	  Transactions

2007-01-14 09:23  alan

	* unk/BLAccount.py, unk/BLEntry.py, unk/BLOrderBook.py,
	  unk/BLSubsidiaryAccount.py, unk/BLTransaction.py,
	  unk/Exceptions.py: forced delete into account entries

2007-01-12 11:57  alan

	* unk/BLTransaction.py, unk/zpt/view_transactions.zpt: have
	  cancellations reset any underlying reversal

2007-01-09 11:20  alan

	* unk/BLAccount.py, unk/BLOrderBook.py, unk/BLSubsidiaryLedger.py,
	  unk/BLTransaction.py, unk/version.txt,
	  unk/zpt/view_transactions.zpt: guarding workflow transitions

2006-12-16 09:21  alan

	* unk/BLOrderBook.py, unk/version.txt: add processed state to
	  BLOrder

2006-12-16 09:20  alan

	* unk/BLTransaction.py: there is something screwed with subsidiary
	  ledger reversals

2006-12-16 09:18  alan

	* unk/skins/bastionledger/blinvoice_template.pt: stylesheets into
	  template

2006-12-09 14:26  alan

	* unk/BLInventory.py: description field for Plone

2006-12-09 14:25  alan

	* unk/Ledger.py: reset function

2006-12-09 14:25  alan

	* unk/BLLedger.py: reset function

2006-12-09 14:24  alan

	* unk/BLOrderBook.py,
	  unk/skins/bastionledger/blinvoice_template.pt: custom message
	  into invoice template

2006-12-04 12:27  alan

	* unk/BLPayroll.py,
	  unk/skins/bastionledger/validate_payroll_date.vpy: fixed payroll
	  run - is_run function

2006-12-04 12:27  alan

	* unk/BLOrderBook.py: order/effective_date into manage_addOrder

2006-12-02 05:48  alan

	* unk/BLAccount.py, unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blinvoice_template.pt,
	  unk/zpt/view_chart.zpt: fix aq_parent permission problems

2006-11-26 07:14  alan

	* unk/BLOrderBook.py: just send invoice attachment

2006-11-26 07:08  alan

	* unk/BLOrderBook.py, unk/zpt/view_order.zpt: unit price fixes

2006-11-25 16:30  alan

	* unk/BLOrderBook.py, unk/zpt/view_order.zpt: better order add
	  optional parameters

2006-11-25 06:46  alan

	* unk/BLTransactionTemplate.py: fixes

2006-11-25 06:45  alan

	* unk/zpt/view_transactions.zpt: batching results

2006-11-25 06:44  alan

	* unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/bltransactions_view.pt: batching results

2006-11-25 06:43  alan

	* unk/skins/bastionledger/blemployee_tax_certificate.pt: display
	  TFN not ACN

2006-11-25 06:41  alan

	* unk/ledgers/Payables/Processes/postOrder/transaction.txn/Account.ent.metadata,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Freight.ent.metadata,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Tax.ent.metadata,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/10-gross.ent.metadata,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/15-super.ent.metadata,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/20-tax.ent.metadata,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Account.ent.metadata,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Freight.ent.metadata,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Tax.ent.metadata,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/Payable.txn/dividend.ent.metadata:
	  proxy access required for Ledger-using txn ents

2006-10-28 11:54  alan

	* unk/skins/bastionledger/blaccount_view.pt,
	  unk/zpt/view_orderaccount.zpt: forwards into orders

2006-10-21 05:07  alan

	* unk/BLEntry.py, unk/BLProcess.py: argument passing and error
	  string fixes

2006-10-17 13:55  alan

	* unk/BLPayroll.py: fix run already catalog check

2006-10-17 13:54  alan

	* unk/__init__.py, unk/ledgers/Ledger/Processes/BAS/report.pt,
	  unk/tests/testUtils.py, unk/utils.py: quarterly/monthly into BAS

2006-09-28 11:43  alan

	* unk/skins/bastionledger/bltransaction_add_entries.cpy,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt: transaction
	  entry multi-add

2006-09-28 11:35  alan

	* unk/BLAccount.py, unk/BLTransaction.py,
	  unk/skins/bastionledger/blaccount_view.pt,
	  unk/skins/bastionledger/blemployee_edit_form.cpt,
	  unk/skins/bastionledger/blemployee_settings_form.cpt,
	  unk/skins/bastionledger/blorderaccount_details_form.cpt,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/skins/bastionledger/blorderaccount_settings_form.cpt,
	  unk/skins/bastionledger/bltransaction_add.cpy,
	  unk/skins/bastionledger/bltransaction_add.cpy.metadata,
	  unk/skins/bastionledger/bltransaction_add_entries.cpy,
	  unk/skins/bastionledger/bltransaction_add_entries.cpy.metadata,
	  unk/skins/bastionledger/bltransaction_add_form.cpt,
	  unk/skins/bastionledger/bltransaction_add_form.cpt.metadata,
	  unk/skins/bastionledger/bltransaction_delete_entries.cpy,
	  unk/skins/bastionledger/bltransaction_delete_entries.cpy.metadata,
	  unk/skins/bastionledger/bltransaction_edit.cpy,
	  unk/skins/bastionledger/bltransaction_edit.cpy.metadata,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt,
	  unk/skins/bastionledger/bltransaction_edit_form.cpt.metadata,
	  unk/skins/bastionledger/bltransaction_toggle_entries.cpy,
	  unk/skins/bastionledger/bltransaction_toggle_entries.cpy.metadata,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/skins/bastionledger/createObject.cpy: transaction add/edit
	  skins

2006-09-26 09:00  alan

	* unk/skins/bastionledger/blaccount_edit_form.cpt,
	  unk/skins/bastionledger/blemployee_edit_form.cpt,
	  unk/skins/bastionledger/blemployee_settings_form.cpt,
	  unk/skins/bastionledger/blorderaccount_details_form.cpt,
	  unk/skins/bastionledger/blorderaccount_settings_form.cpt: remove
	  bylines - causing non-Plone acl_users to crash

2006-09-24 05:31  alan

	* unk/BLProcess.py: stop scripted edit request redirect

2006-09-23 15:47  alan

	* unk/BLProcess.py: rework run and add proxy

2006-09-23 15:47  alan

	* unk/BLTransactionTemplate.py, unk/zpt/add_transactiontmpl.zpt:
	  bugs in ctor

2006-09-23 03:56  alan

	* unk/BLInventory.py, unk/BLOrderBook.py, unk/BLPayroll.py,
	  unk/skins/bastionledger/blinventory_parts.pt, unk/utils.py,
	  unk/version.txt, unk/zpt/view_payrolls.zpt: Inventory parts skin

2006-09-19 11:25  alan

	* unk/skins/bastionledger/blpayroll_run.cpy,
	  unk/skins/bastionledger/blpayroll_run.cpy.metadata,
	  unk/skins/bastionledger/blpayroll_view.cpt,
	  unk/skins/bastionledger/blpayroll_view.cpt.metadata,
	  unk/skins/bastionledger/validate_payroll_date.vpy: payroll skin

2006-09-19 11:25  alan

	* unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/ledger_listing.pt,
	  unk/skins/bastionledger/pretty_title_or_id.py,
	  unk/skins/bastionledger/pretty_title_or_id.py.metadata: clean up
	  some View permissions problems

2006-09-10 11:58  alan

	* unk/BLOrderBook.py: fixed Plone BLCashBook constructor

2006-09-10 11:57  alan

	* unk/BLTransaction.py: proxy roles on DCWorkflows to avoid
	  permissions problems

2006-09-10 09:08  alan

	* unk/skins/bastionledger/blorder_invoice.cpy: trying to sort
	  order/txn routing

2006-09-10 09:08  alan

	* unk/CMFAccount.py: allow underlying account retrieval - needed in
	  scripts...

2006-09-10 09:07  alan

	* unk/BLOrderBook.py,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Account.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Account.ent:
	  set title in entries

2006-09-10 09:06  alan

	* unk/BLEntryTemplate.py, unk/BLTransactionTemplate.py: allow
	  arbitrary stuff to be passed to templates

2006-09-09 12:19  alan

	* unk/BLPayroll.py,
	  unk/skins/bastionledger/blpayroll_superannuation_summary.pt:
	  Superannuation Summary

2006-09-09 12:17  alan

	* unk/ledgers/Shareholders/Processes/Dividend_Payable/process.py,
	  unk/zpt/dividend_advice.zpt, unk/zpt/dividend_advice_index.zpt,
	  unk/zpt/shareholder_notices.zpt: effective date processing

2006-09-09 12:16  alan

	* unk/BLAttachmentSupport.py, unk/BLOrderBook.py, unk/BLReport.py,
	  unk/BLShareholderLedger.py, unk/utils.py: _mime_str email utility

2006-09-09 04:12  alan

	* unk/Ledger.py: _catalogApply helper

2006-09-09 04:09  alan

	* unk/BLEntry.py: compute txn status on amount modification

2006-09-09 04:08  alan

	* unk/ledgers/Ledger/Processes/BAS/report.pt: sum just credits -
	  there could be other txns applied...

2006-09-09 04:06  alan

	* unk/zpt/attachments.zpt: only show buttons if some attachments

2006-09-08 11:50  alan

	* unk/BLAccount.py, unk/BLAttachmentSupport.py, unk/BLBase.py,
	  unk/BLOrderBook.py, unk/skins/bastionledger/blorder_view.pt,
	  unk/zpt/attachments.zpt: attachment support

2006-08-24 14:50  alan

	* unk/BLAccount.py, unk/BLAttachmentSupport.py, unk/BLOrderBook.py,
	  unk/BLTransaction.py, unk/skins/bastionledger/blaccount_view.pt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blpayroll_payg_summary.pt,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/zpt/attachments.zpt, unk/zpt/periods.zpt,
	  unk/zpt/rollover.zpt: Attachment Support

2006-08-20 16:20  alan

	* unk/BLReport.py,
	  unk/skins/bastionledger/blpayroll_payg_summary.pt,
	  unk/skins/bastionledger/trombone.gif, unk/zpt/mail.zpt: Mailout
	  functionality into BLReport

2006-08-20 16:19  alan

	* unk/BLTransaction.py, unk/zpt/add_subsidiarytransaction.zpt,
	  unk/zpt/add_transaction.zpt: speeding up txn input

2006-08-19 21:44  alan

	* unk/BLShareholderLedger.py: properties into shareholder

2006-08-19 21:43  alan

	* unk/BLProcess.py: effective date into transaction template

2006-08-19 21:41  alan

	* unk/BLEntry.py: supporting really ancient ledger entrys

2006-08-19 21:38  alan

	* unk/BLOrderBook.py, unk/BLPricePolicy.py,
	  unk/skins/bastionledger/blorder_freight.py.metadata,
	  unk/zpt/pricepolicy.zpt, unk/zpt/view_order.zpt,
	  unk/zpt/view_orders.zpt: fixed order calculations

2006-08-19 21:36  alan

	* unk/skins/bastionledger/blemployee_tax_certificate.pt,
	  unk/zpt/view_main.zpt: tidy up

2006-08-19 21:33  alan

	* unk/BLPayroll.py,
	  unk/skins/bastionledger/blpayroll_payg_summary.png.bar,
	  unk/skins/bastionledger/blpayroll_payg_summary.pt: PAYG summary
	  statement

2006-08-19 21:32  alan

	* unk/BLTransaction.py, unk/BLTransactionTemplate.py: update
	  catalog when editing effective_date

2006-08-18 11:35  alan

	* unk/BLAccount.py, unk/ledgers/Ledger/Processes/BAS/report.pt,
	  unk/tests/testAccount.py: balance processing tests

2006-08-18 11:32  alan

	* unk/ledgers/Ledger/Processes/BAS/event.sched: remove quarterly
	  schedule as irrelevant, automation is useless...

2006-08-18 11:31  alan

	* unk/skins/bastionledger/blorder_view.pt, unk/zpt/view_order.zpt:
	  changed API affected sales tax

2006-08-15 12:31  alan

	* unk/BLPayroll.py: fixed employee summation figures in rollover

2006-08-15 12:30  alan

	* unk/BLLedger.py, unk/Ledger.py,
	  unk/skins/bastionledger/balance_sheet.pt,
	  unk/skins/bastionledger/cashflow_statement.pt,
	  unk/skins/bastionledger/revenue_statement.pt: bastionLedger
	  function to find and user Ledger properties

2006-08-13 14:00  alan

	* unk/ledgers/Ledger/Processes/BAS/process.py,
	  unk/ledgers/Ledger/Processes/BAS/report.pt: save BAS report

2006-08-13 13:59  alan

	* unk/BLLedger.py, unk/BLReport.py, unk/__init__.py,
	  unk/www/report.gif: Making BLReport-ing possible from scripts

2006-08-13 13:16  alan

	* unk/ledgers/Shareholders/Processes/Dividend_Payable/process.py:
	  explicitly specify ctor

2006-08-13 13:15  alan

	* unk/tests/LedgerTestCase.py: historical test cases

2006-08-13 13:15  alan

	* unk/FSBLProcess.py: explicitly specify ctor

2006-08-13 13:14  alan

	* unk/BLHistoricals.py, unk/Ledger.py,
	  unk/tests/testHistoricals.py: historical test cases

2006-08-13 13:13  alan

	* unk/BLSubsidiaryEntry.py: remove credit flag from entry

2006-08-13 13:12  alan

	* unk/BLAccount.py, unk/BLOrderBook.py, unk/BLSubsidiaryAccount.py,
	  unk/CMFAccount.py, unk/zpt/view_account.zpt,
	  unk/zpt/view_chart.zpt: forward-dated account views

2006-08-13 13:11  alan

	* unk/BLEntry.py, unk/BLSubsidiaryTransaction.py,
	  unk/BLTransaction.py, unk/zpt/add_subsidiarytransaction.zpt,
	  unk/zpt/add_transaction.zpt: remove credit flag from entry

2006-08-12 04:19  alan

	* unk/skins/bastionledger/blemployee_tax_certificate.pt: added
	  acceptable defaults and force ceiling on date

2006-08-12 04:17  alan

	* unk/zpt/view_payslips.zpt: added tax certificates as BLReports

2006-08-12 04:17  alan

	* unk/skins/bastionledger/blemployee_payslip.pt: removed txn
	  dependencies on summated totals

2006-08-12 04:16  alan

	* unk/BLAccount.py, unk/BLSubsidiaryAccount.py: low level calls to
	  subvert double entry checks for rollovers

2006-08-12 04:14  alan

	* unk/BLEntry.py, unk/BLSubsidiaryEntry.py,
	  unk/BLSubsidiaryTransaction.py, unk/BLTransaction.py: low level
	  calls to subvert double entry checks for rollovers

2006-08-12 04:13  alan

	* unk/Ledger.py: fixed catalog paths on import

2006-08-12 04:11  alan

	* unk/__init__.py, unk/skins/bastionledger/balance_sheet.pt,
	  unk/skins/bastionledger/cashflow_statement.pt,
	  unk/skins/bastionledger/revenue_statement.pt, unk/utils.py: fixed
	  utils import to ZPT

2006-08-12 04:08  alan

	* unk/BLHistoricals.py, unk/BLPayroll.py, unk/BLReport.py,
	  unk/zpt/view_report.zpt: BLReport type

2006-08-06 17:35  alan

	* unk/charts/General.z, unk/skins/bastionledger/blaccounts_tags.pt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/bldividend_advice_view.pt,
	  unk/skins/bastionledger/blemployee_deductions.pt,
	  unk/skins/bastionledger/blemployee_timesheets.pt,
	  unk/skins/bastionledger/blentrytemplate_view.pt,
	  unk/skins/bastionledger/blinvoice_template.pt,
	  unk/skins/bastionledger/blorder_view.pt,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/skins/bastionledger/blprocess_reports.pt,
	  unk/skins/bastionledger/blprocess_script.pt,
	  unk/skins/bastionledger/blprocess_view.pt,
	  unk/skins/bastionledger/blprocesses_view.pt,
	  unk/skins/bastionledger/blreports_view.pt,
	  unk/skins/bastionledger/blshareholder_advices.pt,
	  unk/skins/bastionledger/blshareholder_allocations.pt,
	  unk/skins/bastionledger/blshareholder_share_defns.pt,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/skins/bastionledger/bltransactiontemplate_view.pt,
	  unk/skins/bastionledger/part_view.pt,
	  unk/skins/bastionledger/portlet_shoppingcart.pt,
	  unk/skins/bastionledger/statement_view.pt,
	  unk/zpt/add_Ledger.zpt, unk/zpt/add_account.zpt,
	  unk/zpt/add_accounts_prop_sheet.zpt, unk/zpt/add_allocation.zpt,
	  unk/zpt/add_cashbook.zpt, unk/zpt/add_cmfaccount.zpt,
	  unk/zpt/add_emplentrytmpl.zpt, unk/zpt/add_employee.zpt,
	  unk/zpt/add_emptimesheet.zpt, unk/zpt/add_entry.zpt,
	  unk/zpt/add_entrytmpl.zpt, unk/zpt/add_group.zpt,
	  unk/zpt/add_inventory.zpt, unk/zpt/add_observer.zpt,
	  unk/zpt/add_observerfolder.zpt, unk/zpt/add_order.zpt,
	  unk/zpt/add_orderaccount.zpt, unk/zpt/add_orderbook.zpt,
	  unk/zpt/add_orderitem.zpt, unk/zpt/add_part.zpt,
	  unk/zpt/add_partfolder.zpt, unk/zpt/add_payroll.zpt,
	  unk/zpt/add_payrollentry.zpt, unk/zpt/add_pricepolicy.zpt,
	  unk/zpt/add_pricepolicyfolder.zpt, unk/zpt/add_process.zpt,
	  unk/zpt/add_sharedefinition.zpt, unk/zpt/add_shareholder.zpt,
	  unk/zpt/add_store.zpt, unk/zpt/add_subsidiaryaccount.zpt,
	  unk/zpt/add_subsidiaryentry.zpt,
	  unk/zpt/add_subsidiaryledger.zpt,
	  unk/zpt/add_subsidiarytransaction.zpt,
	  unk/zpt/add_timesheetslot.zpt, unk/zpt/add_transaction.zpt,
	  unk/zpt/add_transactiontmpl.zpt, unk/zpt/associations.zpt,
	  unk/zpt/cmf_account.zpt, unk/zpt/dispatch_labels.zpt,
	  unk/zpt/dividend_advice.zpt, unk/zpt/dividend_advice_index.zpt,
	  unk/zpt/edit_account.zpt, unk/zpt/edit_employee.zpt,
	  unk/zpt/edit_group.zpt, unk/zpt/edit_ledger.zpt,
	  unk/zpt/edit_orderaccount.zpt, unk/zpt/edit_part.zpt,
	  unk/zpt/edit_timesheetslot.zpt, unk/zpt/execute_process.zpt,
	  unk/zpt/import_export.zpt, unk/zpt/inventory_dispatcher.zpt,
	  unk/zpt/ledgertool_explain.zpt, unk/zpt/orderaccount_index.zpt,
	  unk/zpt/orderbook_props.zpt, unk/zpt/payroll_props.zpt,
	  unk/zpt/pricepolicy.zpt, unk/zpt/pricepolicy_details.zpt,
	  unk/zpt/process_run.zpt, unk/zpt/rename_tags.zpt,
	  unk/zpt/shareholder_notices.zpt,
	  unk/zpt/shareholderaccount_index.zpt,
	  unk/zpt/test_transaction.zpt, unk/zpt/view_acl.zpt,
	  unk/zpt/view_allocation.zpt, unk/zpt/view_chart.zpt,
	  unk/zpt/view_employees.zpt, unk/zpt/view_emptimesheet.zpt,
	  unk/zpt/view_inventory.zpt, unk/zpt/view_main.zpt,
	  unk/zpt/view_order.zpt, unk/zpt/view_orders.zpt,
	  unk/zpt/view_processes.zpt, unk/zpt/view_reports.zpt,
	  unk/zpt/view_shareholdermail.zpt, unk/zpt/view_transaction.zpt,
	  unk/zpt/view_transactions.zpt, unk/zpt/zmi_workflows.zpt: ZPT
	  replace here with context

2006-08-06 17:33  alan

	* unk/BLPayroll.py: historical draft

2006-08-06 17:32  alan

	* unk/BLInventory.py: TextIndexNG implemented as search index

2006-08-06 17:26  alan

	* unk/zpt/associations.zpt: add tag feature

2006-08-06 17:25  alan

	* unk/interfaces/README.txt, unk/interfaces/ledger.py,
	  unk/interfaces/transaction.py: API contemplation

2006-08-06 17:24  alan

	* unk/BLAccount.py, unk/BLBase.py, unk/BLEntry.py,
	  unk/BLGlobals.py, unk/BLLedger.py, unk/BLSubsidiaryAccount.py,
	  unk/BLSubsidiaryEntry.py, unk/BLSubsidiaryLedger.py,
	  unk/BLTransaction.py, unk/Ledger.py, unk/__init__.py,
	  unk/utils.py, unk/www/hist_ledger.gif, unk/www/period.gif,
	  unk/zpt/view_account.zpt, unk/zpt/view_entry.zpt: historical
	  draft

2006-08-06 03:40  alan

	* unk/ledgers/Ledger/Processes/BAS/report.pt,
	  unk/ledgers/Ledger/Processes/BAS/report_macros.pt: include PAYG
	  installment income

2006-07-30 13:36  alan

	* unk/BLAccount.py, unk/Ledger.py, unk/defaults/balance_sheet.zpt,
	  unk/defaults/revenue_statement.zpt,
	  unk/skins/bastionledger/balance_sheet.pt,
	  unk/skins/bastionledger/cashflow_statement.pt,
	  unk/skins/bastionledger/revenue_statement.pt: financial
	  statements and corollary summation functions

2006-07-30 13:33  alan

	* unk/BLShareholderLedger.py: fix portal_types
	  BastionMerchantService dependency

2006-07-30 13:31  alan

	* unk/BLPayroll.py: view tab for Plone

2006-07-30 13:30  alan

	* unk/zpt/view_account.zpt, unk/zpt/view_entry.zpt: view *all*
	  entries

2006-07-30 13:29  alan

	* unk/zpt/add_sharedefinition.zpt: default currency

2006-07-30 13:28  alan

	* unk/zpt/view_allocation.zpt: calculate share totals

2006-07-27 16:00  alan

	* unk/BLEntry.py, unk/BLPayroll.py, unk/BLTransaction.py,
	  unk/__init__.py, unk/ledgers/Ledger/Processes/BAS/report.pt,
	  unk/ledgers/Ledger/Processes/BAS/report_macros.pt,
	  unk/skins/bastionledger/blemployee_payslip.pt,
	  unk/skins/bastionledger/blemployee_payslips.pt,
	  unk/www/payslip.gif, unk/zpt/view_payslip.zpt,
	  unk/zpt/view_payslips.zpt, unk/zpt/view_transactions.zpt: add
	  BLPaySlip

2006-07-27 13:02  alan

	* unk/zpt/add_subsidiarytransaction.zpt: removed non :currency
	  cruft

2006-07-27 12:58  alan

	* unk/BLAccount.py: effective date projections

2006-07-27 12:57  alan

	* unk/BLPayroll.py: tax certificate mailout fixes

2006-07-27 12:56  alan

	* unk/skins/bastionledger/blemployee_tax_certificate.pt: properly
	  format addresses

2006-07-27 12:55  alan

	* unk/BLSubsidiaryTransaction.py, unk/BLTransaction.py,
	  unk/zpt/add_subsidiarytransaction.zpt,
	  unk/zpt/add_transaction.zpt, unk/zpt/view_entry.zpt: removed non
	  :currency cruft

2006-07-27 12:51  alan

	* unk/ledgers/Ledger/Processes/BAS/report.pt,
	  unk/ledgers/Ledger/Processes/BAS/report_macros.pt: BAS final cut

2006-07-27 10:37  alan

	* unk/BLEntry.py, unk/config.py,
	  unk/skins/bastionledger/blentry.gif,
	  unk/skins/bastionledger/blentry_view.pt: skin BLEntry

2006-07-26 14:32  alan

	* unk/ledgers/Ledger/Processes/BAS/report.pt,
	  unk/ledgers/Ledger/Processes/BAS/report_macros.pt: latest BAS

2006-07-23 13:35  alan

	* unk/BLPayroll.py,
	  unk/skins/bastionledger/blemployee_tax_certificate.pt: tax
	  certificate mailouts

2006-07-23 11:37  alan

	* unk/BLSubsidiaryLedger.py, unk/zpt/edit_ledger.zpt,
	  unk/zpt/payroll_props.zpt: make control account editable

2006-07-23 10:01  alan

	* unk/BLInventory.py, unk/BLObserverSupport.py, unk/BLPayroll.py,
	  unk/Extensions/Install.py, unk/charts/General.z,
	  unk/ledgers/Payroll/Config/Leave.slot,
	  unk/ledgers/Payroll/Config/Normal.slot,
	  unk/ledgers/Payroll/Config/Sick.slot,
	  unk/ledgers/Payroll/Config/payslip.pt,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/10-gross.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/15-super.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/20-tax.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/30-deductions.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payable.txn/40-net.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payment.txn/gross.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payment.txn/net.ent,
	  unk/ledgers/Payroll/Processes/Pay_employee/Payment.txn/tax.ent,
	  unk/skins/bastionledger/blaccount_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blaccount_view.pt,
	  unk/skins/bastionledger/blemployee_edit.cpy,
	  unk/skins/bastionledger/blemployee_edit.cpy.metadata,
	  unk/skins/bastionledger/blemployee_edit_form.cpt,
	  unk/skins/bastionledger/blemployee_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blemployee_payslip.pt,
	  unk/skins/bastionledger/blemployee_payslip.pt.metadata,
	  unk/skins/bastionledger/blemployee_payslips.pt,
	  unk/skins/bastionledger/blemployee_settings.cpy,
	  unk/skins/bastionledger/blemployee_settings.cpy.metadata,
	  unk/skins/bastionledger/blemployee_settings_form.cpt,
	  unk/skins/bastionledger/blemployee_settings_form.cpt.metadata,
	  unk/skins/bastionledger/blemployee_tax_certificate.pt,
	  unk/skins/bastionledger/blemployee_tax_certificate.pt.metadata,
	  unk/skins/bastionledger/blemployee_timesheets.pt,
	  unk/skins/bastionledger/blpayroll_view.cpt,
	  unk/skins/bastionledger/ledger_listing.pt,
	  unk/skins/bastionledger/timesheet.gif,
	  unk/tests/testFSBLProcess.py, unk/version.txt,
	  unk/zpt/edit_employee.zpt, unk/zpt/view_emptimesheet.zpt,
	  unk/zpt/view_payrolls.zpt, unk/zpt/view_payslips.zpt,
	  unk/zpt/zmi_workflows.zpt: Payroll upgrade - first draft

2006-07-23 09:57  alan

	* unk/BLEntry.py: implement sort ordering based upon effective date

2006-07-23 09:49  alan

	* unk/Ledger.py: extensible properties

2006-07-23 09:46  alan

	* unk/BLBase.py: portal type selection now on portal_type not
	  meta_type

2006-07-23 09:43  alan

	* unk/BLEntryTemplate.py: compare function for ordering on id

2006-07-23 09:41  alan

	* unk/BLAccount.py: status index and effective date ordering

2006-07-23 09:36  alan

	* unk/BLTransactionTemplate.py: effective date parameter and
	  ordering of entry execution

2006-07-02 04:28  alan

	* unk/www/partfolder.gif: fixed icon

2006-06-29 15:39  alan

	* unk/BLSubsidiaryEntry.py, unk/BLTransaction.py,
	  unk/zpt/view_orderaccount.zpt, unk/zpt/view_transactions.zpt:
	  revert txn index to DateIndex to get search working

2006-06-29 15:38  alan

	* unk/BLInventory.py: description into properties

2006-06-29 15:38  alan

	* unk/BLOrderBook.py: better repair feature for Processes skin
	  failures

2006-06-29 15:36  alan

	* unk/BLAccount.py: sort out default Plone view

2006-04-08 11:12  alan

	* unk/AccountPropertiesTool.py, unk/BLAccount.py, unk/BLBase.py,
	  unk/BLDatedFolder.py, unk/BLEntry.py, unk/BLEntryTemplate.py,
	  unk/BLInventory.py, unk/BLLedger.py, unk/BLObserverSupport.py,
	  unk/BLOrderBook.py, unk/BLPayroll.py, unk/BLPricePolicy.py,
	  unk/BLProcess.py, unk/BLShareholderLedger.py,
	  unk/BLSubsidiaryAccount.py, unk/BLSubsidiaryEntry.py,
	  unk/BLSubsidiaryLedger.py, unk/BLSubsidiaryTransaction.py,
	  unk/BLTransaction.py, unk/BLTransactionTemplate.py,
	  unk/CMFAccount.py, unk/Extensions/Install.py,
	  unk/Extensions/__init__.py, unk/FSBLProcess.py, unk/FSPayroll.py,
	  unk/Ledger.py, unk/LedgerTool.py, unk/Permissions.py,
	  unk/__init__.py, unk/config.py,
	  unk/interfaces/BLAccountListener.py,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/process.py,
	  unk/skins/bastionledger/blaccounts_tags.pt,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/skins/bastionledger/part_edit.cpy,
	  unk/skins/bastionledger/part_edit_form.cpt,
	  unk/tests/LedgerTestCase.py, unk/tests/testFSBLProcess.py,
	  unk/tests/testInventory.py, unk/tests/testLedgerTool.py,
	  unk/tests/testOrderBook.py, unk/tests/testProduct.py,
	  unk/tests/testQuickInstall.py,
	  unk/tests/testShareholderLedger.py, unk/tests/testTransaction.py,
	  unk/zpt/add_Ledger.zpt: new copyright legend with stronger
	  disclaimer of any responsibility

2006-04-05 07:53  alan

	* unk/BLInventory.py, unk/skins/bastionledger/part_edit_form.cpt,
	  unk/version.txt: better inventory skins

2006-04-05 07:36  alan

	* unk/BLAccount.py, unk/BLInventory.py, unk/BLTransaction.py,
	  unk/LedgerTool.py, unk/skins/bastionledger/part_edit.cpy,
	  unk/skins/bastionledger/part_edit.cpy.metadata,
	  unk/skins/bastionledger/part_edit_form.cpt,
	  unk/skins/bastionledger/part_edit_form.cpt.metadata,
	  unk/skins/bastionledger/part_view.pt,
	  unk/skins/bastionledger/validate_expense_accno.vpy,
	  unk/skins/bastionledger/validate_income_accno.vpy,
	  unk/skins/bastionledger/validate_inventory_accno.vpy,
	  unk/zpt/view_transactions.zpt: parts income,exp,inv account fixes

2006-04-04 14:46  alan

	* unk/BLInventory.py, unk/zpt/edit_part.zpt: properties
	  extensibility to BLPart

2006-03-01 07:31  alan

	* unk/BLAccount.py, unk/BLBase.py, unk/BLInventory.py,
	  unk/BLOrderBook.py, unk/BLPayroll.py, unk/BLPricePolicy.py,
	  unk/BLShareholderLedger.py, unk/BLTransactionTemplate.py,
	  unk/FSBLProcess.py: permissiongeddon

2006-02-13 03:39  alan

	* unk/BLInventory.py, unk/skins/bastionledger/part_edit_form.cpt,
	  unk/zpt/edit_part.zpt, unk/zpt/ledgertool_explain.zpt,
	  unk/zpt/view_inventory.zpt: currency code into inventory skins

2006-02-09 08:08  alan

	* unk/skins/bastionledger/blaccount_view.pt,
	  unk/skins/bastionledger/bldividend_advice_view.pt,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/skins/bastionledger/blshareholder_advices.pt,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/skins/bastionledger/ledger_listing.pt, unk/version.txt:
	  toPortalTime -> toLocalizedTime (Plone 2.1.2)

2005-10-28 06:04  alan

	* unk/BLAccount.py, unk/BLTransaction.py,
	  unk/BLTransactionTemplate.py, unk/zpt/dividend_advice.zpt: import
	  transaction

2005-10-28 06:03  alan

	* unk/BLShareholderLedger.py: support Secure Mail Host

2005-10-28 05:17  alan

	* unk/CMFAccount.py: currency method

2005-10-28 02:22  alan

	* unk/BLOrderBook.py: support Secure Mail Host

2005-10-06 15:21  alan

	* unk/BLTransaction.py, unk/charts/General.z,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/Payable.txn/dividend.ent,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/Payable.txn/shareholder.ent:
	  dividend expense account

2005-10-06 11:41  alan

	* unk/BLAccount.py, unk/BLEntry.py, unk/BLProcess.py,
	  unk/BLTransaction.py, unk/FSBLProcess.py,
	  unk/ledgers/Payroll/Processes/Pay_employee/process.py,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/Payable.txn/shareholder.ent,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/process.py,
	  unk/zpt/process_run.zpt: Dividend Payment fixes

2005-10-05 14:20  alan

	* unk/AccountPropertiesTool.py, unk/BLAccount.py,
	  unk/BLEntryTemplate.py, unk/BLInventory.py, unk/BLLedger.py,
	  unk/BLOrderBook.py, unk/BLPayroll.py, unk/BLShareholderLedger.py,
	  unk/BLSubsidiaryLedger.py, unk/BLTransaction.py,
	  unk/BLTransactionTemplate.py, unk/FSBLProcess.py,
	  unk/LedgerTool.py, unk/__init__.py: removing deprecation warnings

2005-09-05 11:32  alan

	* unk/BLAccount.py, unk/BLEntry.py, unk/BLEntryTemplate.py,
	  unk/BLInventory.py, unk/BLLedger.py, unk/BLOrderBook.py,
	  unk/BLPayroll.py, unk/BLProcess.py, unk/BLShareholderLedger.py,
	  unk/BLSubsidiaryAccount.py, unk/BLSubsidiaryEntry.py,
	  unk/BLSubsidiaryLedger.py, unk/BLSubsidiaryTransaction.py,
	  unk/BLTransaction.py, unk/BLTransactionTemplate.py,
	  unk/CMFAccount.py, unk/FSBLProcess.py, unk/Ledger.py: portal_type
	  for navigation

2005-09-04 19:38  alan

	* unk/BLBase.py: getPortalTypeName confusion...

2005-09-04 19:29  alan

	* unk/BLBase.py: getPortalTypeName confusion...

2005-09-04 12:35  alan

	* unk/BLBase.py, unk/BLInventory.py, unk/tests/LedgerTestCase.py,
	  unk/tests/testInventory.py, unk/tests/testOrderBook.py,
	  unk/tests/testProduct.py: regression test fixes

2005-08-26 15:15  alan

	* unk/BLAccount.py, unk/BLLedger.py, unk/BLOrderBook.py,
	  unk/BLSubsidiaryAccount.py, unk/BLTransaction.py,
	  unk/skins/bastionledger/blaccount_view.pt, unk/version.txt: 2.8
	  cut

2005-07-14 16:17  alan

	* unk/BLProcess.py, unk/FSBLProcess.py,
	  unk/skins/bastionledger/blprocess_reports.pt,
	  unk/skins/bastionledger/blprocess_run.cpy,
	  unk/skins/bastionledger/blprocess_run.cpy.metadata: screwed
	  images in SVN conversion

2005-07-08 16:28  alan

	* unk/skins/bastionledger/blinventory_dispatch.cpy,
	  unk/skins/bastionledger/blinventory_dispatch.cpy.metadata,
	  unk/skins/bastionledger/blinventory_dispatch_form.cpt,
	  unk/skins/bastionledger/blinventory_dispatch_form.cpt.metadata,
	  unk/skins/bastionledger/blinvoice_template.pt,
	  unk/skins/bastionledger/blorder_shipping_edit.cpy,
	  unk/skins/bastionledger/blorder_shipping_edit.cpy.metadata,
	  unk/skins/bastionledger/blorder_view.pt: missing
	  shipping/dispatch skins

2005-07-02 21:54  alan

	* unk/BLEntry.py, unk/BLOrderBook.py, unk/BLSubsidiaryEntry.py,
	  unk/BLSubsidiaryTransaction.py, unk/BLTransaction.py,
	  unk/BLTransactionTemplate.py, unk/charts/General.z,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Account.ent,
	  unk/skins/bastionledger/blorder_edit.cpy,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/zpt/view_order.zpt: generateId into BLEntry/BLSubsidiaryEntry

2005-07-01 17:04  alan

	* unk/BLOrderBook.py, unk/BLTransactionTemplate.py,
	  unk/FSBLProcess.py,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Account.ent,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Freight.ent,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Tax.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Account.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Freight.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Tax.ent,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/Payable.txn/dividend.ent,
	  unk/skins/bastionledger/blorder_edit.cpy,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blprocess_view.pt,
	  unk/skins/bastionledger/bltransactiontemplate_view.pt,
	  unk/zpt/edit_orderaccount.zpt: freight into txns

2005-06-20 11:38  alan

	* unk/BLEntryTemplate.py, unk/BLTransaction.py, unk/FSBLProcess.py,
	  unk/skins/bastionledger/blentrytemplate_view.pt,
	  unk/skins/bastionledger/blprocess_script.pt,
	  unk/skins/bastionledger/fsscript.gif: fixes to default views

2005-06-17 20:33  alan

	* unk/BLBase.py, unk/BLEntry.py, unk/BLEntryTemplate.py,
	  unk/BLOrderBook.py, unk/BLProcess.py,
	  unk/BLTransactionTemplate.py, unk/FSBLProcess.py,
	  unk/__init__.py, unk/config.py, unk/dtml, unk/dtml/main.dtml,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/Payable.txn/dividend.ent,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/Payable.txn/dividend.ent.metadata,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/Payable.txn/shareholder.ent,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/Payable.txn/shareholder.ent.metadata,
	  unk/skins/bastionledger/blentry_tpl.gif,
	  unk/skins/bastionledger/blentrytemplate_view.pt,
	  unk/skins/bastionledger/blorder_freight.py,
	  unk/skins/bastionledger/blprocess_script.pt,
	  unk/skins/bastionledger/blprocess_view.pt,
	  unk/skins/bastionledger/bltransaction_tpl.gif,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/skins/bastionledger/fsblentry_tpl.gif,
	  unk/skins/bastionledger/fsblprocess.gif,
	  unk/skins/bastionledger/fsbltransaction_tpl.gif: fs process skins

2005-06-16 18:32  alan

	* unk/BLOrderBook.py, unk/ledgers/Ledger/Processes/BAS/event.sched,
	  unk/ledgers/Ledger/Processes/BAS/process.py,
	  unk/skins/bastionledger/blorderaccount_details.cpy,
	  unk/skins/bastionledger/blorderaccount_details.cpy.metadata,
	  unk/skins/bastionledger/blorderaccount_details_form.cpt,
	  unk/skins/bastionledger/blorderaccount_details_form.cpt.metadata,
	  unk/skins/bastionledger/blorderaccount_settings.cpy,
	  unk/skins/bastionledger/blorderaccount_settings.cpy.metadata,
	  unk/skins/bastionledger/blorderaccount_settings_form.cpt,
	  unk/skins/bastionledger/blorderaccount_settings_form.cpt.metadata,
	  unk/skins/bastionledger/blprocess_view.pt,
	  unk/skins/bastionledger/blprocesses_view.pt: orderbook account
	  details separation

2005-06-13 17:29  alan

	* unk/BLAccount.py, unk/BLBase.py, unk/BLInventory.py,
	  unk/BLLedger.py, unk/BLOrderBook.py, unk/BLProcess.py,
	  unk/BLShareholderLedger.py, unk/BLSubsidiaryAccount.py,
	  unk/BLSubsidiaryLedger.py, unk/BLSubsidiaryTransaction.py,
	  unk/BLTransaction.py, unk/BLTransactionTemplate.py,
	  unk/Extensions/Install.py, unk/FSBLProcess.py, unk/Ledger.py,
	  unk/__init__.py, unk/config.py,
	  unk/skins/bastionledger/blaccount_edit.cpy.metadata,
	  unk/skins/bastionledger/blaccount_edit_form.cpt,
	  unk/skins/bastionledger/blaccount_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blprocess.gif,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/skins/bastionledger/createObject.cpy,
	  unk/skins/bastionledger/createObject.cpy.metadata,
	  unk/skins/bastionledger/ledger_edit_form.cpt,
	  unk/skins/bastionledger/part_edit.cpy,
	  unk/skins/bastionledger/part_edit_form.cpt,
	  unk/skins/bastionledger/validate_accno.vpy,
	  unk/tests/testTransaction.py, unk/version.txt,
	  unk/www/folder.gif: FSZScheduler into FSBLProcess

2005-06-08 00:24  alan

	* unk/Ledger.py, unk/tests/LedgerTestCase.py,
	  unk/zpt/add_Ledger.zpt: remove last vestages of BastionControl

2005-06-01 05:10  alan

	* unk/BLInventory.py, unk/BLOrderBook.py,
	  unk/skins/bastionledger/blorder_view.pt,
	  unk/zpt/associations.zpt, unk/zpt/dispatch_labels.zpt,
	  unk/zpt/inventory_dispatcher.zpt, unk/zpt/view_order.zpt: freight
	  calculations

2005-05-30 13:33  alan

	* unk/BLAccount.py, unk/BLBase.py, unk/BLEntry.py,
	  unk/BLInventory.py, unk/BLOrderBook.py, unk/CMFAccount.py,
	  unk/Ledger.py, unk/__init__.py,
	  unk/ledgers/Ledger/Processes/BAS/report.pt,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Tax.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Tax.ent,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/Payable.txn/dividend.ent,
	  unk/skins/bastionledger/blaccount_edit_form.cpt,
	  unk/skins/bastionledger/blaccounts_tags.pt,
	  unk/skins/bastionledger/blinvoice_template.pt,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_view.pt,
	  unk/skins/bastionledger/part_edit_form.cpt,
	  unk/skins/bastionledger/shoppingcart_view.cpt,
	  unk/tests/testInventory.py, unk/tests/testOrderBook.py,
	  unk/www/bfolder.gif, unk/zpt/add_account.zpt,
	  unk/zpt/add_cmfaccount.zpt, unk/zpt/add_controller.zpt,
	  unk/zpt/add_emplentrytmpl.zpt, unk/zpt/add_employee.zpt,
	  unk/zpt/add_emptimesheetf.zpt, unk/zpt/add_entry.zpt,
	  unk/zpt/add_entrytmpl.zpt, unk/zpt/add_group.zpt,
	  unk/zpt/add_inventory.zpt, unk/zpt/add_observer.zpt,
	  unk/zpt/add_part.zpt, unk/zpt/add_payroll.zpt,
	  unk/zpt/add_payrollentry.zpt, unk/zpt/add_subsidiaryledger.zpt,
	  unk/zpt/associations.zpt, unk/zpt/edit_account.zpt,
	  unk/zpt/edit_part.zpt, unk/zpt/view_account.zpt,
	  unk/zpt/view_order.zpt: catalog search no longer default
	  __call__, tidied zpt, control acct links fixed

2005-05-29 12:36  alan

	* unk/BLInventory.py, unk/BLOrderBook.py,
	  unk/zpt/inventory_dispatcher.zpt: skins for Inventory Dispatch

2005-05-18 22:48  alan

	* unk/BLInventory.py, unk/zpt/inventory_dispatcher.zpt: doh wrong
	  status

2005-05-18 22:47  alan

	* unk/BLOrderBook.py, unk/zpt/view_order.zpt,
	  unk/zpt/view_orders.zpt: allowing zero-value orders

2005-04-29 08:32  alan

	* unk/BLShareholderLedger.py: push dividend advices into skins

2005-04-29 08:31  alan

	* unk/Ledger.py: fixed permissions map

2005-04-29 08:30  alan

	* unk/BLAccount.py, unk/help/associations.stx,
	  unk/zpt/associations.zpt: associations documentation

2005-04-16 07:53  alan

	* unk/skins/bastionledger/add_shoppingcart_items.cpy,
	  unk/zpt/view_transactions.zpt: RPMManager bug fixes

2005-04-14 02:50  alan

	* unk/BLAccount.py, unk/BLInventory.py, unk/BLLedger.py,
	  unk/BLOrderBook.py, unk/BLTransaction.py, unk/CMFAccount.py,
	  unk/skins/bastionledger/shoppingcart_parts.py,
	  unk/tests/testSupermarket.py, unk/www/dispatchable.gif,
	  unk/zpt/cmf_account.zpt: robustify manage_afterAdd

2005-03-18 14:32  alan

	* unk/BLAccount.py, unk/BLInventory.py, unk/BLOrderBook.py,
	  unk/BLTransaction.py, unk/Extensions/Install.py, unk/Ledger.py,
	  unk/LedgerTool.py, unk/__init__.py, unk/config.py,
	  unk/skins/bastionledger/blorder_dispatch.cpy.metadata,
	  unk/skins/bastionledger/blorder_edit.cpy,
	  unk/skins/bastionledger/blorder_shipping_form.cpt,
	  unk/skins/bastionledger/blorder_shipping_form.cpt.metadata,
	  unk/skins/bastionledger/blorder_view.pt,
	  unk/skins/bastionledger/portlet_shoppingcart.pt,
	  unk/skins/bastionledger/shoppingcart_deleteitems.cpy,
	  unk/skins/bastionledger/shoppingcart_deleteitems.cpy.metadata,
	  unk/skins/bastionledger/shoppingcart_edit.cpy,
	  unk/skins/bastionledger/shoppingcart_edit.cpy.metadata,
	  unk/skins/bastionledger/shoppingcart_parts.py,
	  unk/skins/bastionledger/shoppingcart_view.cpt,
	  unk/skins/bastionledger/shoppingcart_view.cpt.metadata,
	  unk/skins/bastionledger/validate_shipping.vpy, unk/version.txt,
	  unk/zpt/add_cashbook.zpt, unk/zpt/inventory_dispatcher.zpt,
	  unk/zpt/ledger_props.zpt, unk/zpt/view_inventory.zpt,
	  unk/zpt/view_order.zpt: Inventory Dispatch/label printing

2005-02-23 00:47  alan

	* unk/BLOrderBook.py: property editing BLOrder

2005-02-23 00:40  alan

	* unk/BLOrderBook.py: property editing BLOrder

2005-02-17 04:01  alan

	* unk/BLInventory.py, unk/BLProcess.py, unk/BLTransaction.py:
	  single arguement default ctor for CMF tool creation

2005-02-16 14:50  alan

	* unk/BLOrderBook.py, unk/zpt/view_orders.zpt: carry order account
	  defaults thru to order

2005-02-16 14:09  alan

	* unk/zpt/order_index.zpt, unk/zpt/view_order.zpt: notes to order
	  items

2005-02-16 14:09  alan

	* unk/BLOrderBook.py,
	  unk/skins/bastionledger/blinvoice_template.pt,
	  unk/zpt/order_index.zpt, unk/zpt/view_order.zpt: notes to order
	  items

2005-02-16 08:50  alan

	* unk/BLOrderBook.py, unk/skins/bastionledger/blorder_edit.cpy,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_view.pt, unk/version.txt,
	  unk/zpt/view_order.zpt: notes to order items

2005-02-06 09:22  alan

	* unk/BLBase.py, unk/BLEntry.py, unk/BLEntryTemplate.py,
	  unk/BLOrderBook.py, unk/BLSubsidiaryTransaction.py,
	  unk/BLTransaction.py, unk/BLTransactionTemplate.py,
	  unk/tests/LedgerTestCase.py, unk/tests/testOrderBook.py: security
	  machinery bug

2005-02-06 07:55  alan

	* unk/BLAccount.py, unk/BLBase.py, unk/BLEntry.py,
	  unk/BLOrderBook.py, unk/BLSubsidiaryTransaction.py,
	  unk/BLTransaction.py: access permissions audit

2005-02-06 04:15  alan

	* unk/zpt/test_transaction.zpt, unk/zpt/view_order.zpt: wrong
	  status on email invoice

2005-02-06 03:46  alan

	* unk/BLOrderBook.py, unk/tests/LedgerTestCase.py,
	  unk/tests/testOrderBook.py: set defauld credit limit in ctor

2005-02-06 03:12  alan

	* unk/BLOrderBook.py, unk/zpt/edit_orderaccount.zpt: creditlimit
	  type checking

2005-02-06 02:51  alan

	* unk/BLAccount.py, unk/BLBase.py, unk/BLOrderBook.py: account
	  workflow by inheritance

2005-02-06 02:27  alan

	* unk/BLAccount.py, unk/BLBase.py, unk/BLEntry.py,
	  unk/BLInventory.py, unk/BLLedger.py, unk/BLOrderBook.py,
	  unk/BLPayroll.py, unk/BLSubsidiaryEntry.py,
	  unk/BLSubsidiaryTransaction.py, unk/BLTransaction.py,
	  unk/BLTransactionTemplate.py,
	  unk/skins/bastionledger/blorder_edit.cpy,
	  unk/skins/bastionledger/blorder_shipping_form.cpt,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/tests/testOrderBook.py, unk/tests/testTransaction.py,
	  unk/version.txt, unk/zpt/inventory_dispatcher.zpt,
	  unk/zpt/view_account.zpt, unk/zpt/view_emptimesheet.zpt,
	  unk/zpt/view_entry.zpt, unk/zpt/view_order.zpt,
	  unk/zpt/view_orderaccount.zpt, unk/zpt/view_orders.zpt,
	  unk/zpt/view_payrolls.zpt, unk/zpt/view_transaction.zpt:
	  subsidiary txn reversal bugs

2005-02-05 06:54  alan

	* unk/tests/testQuickInstall.py, unk/zpt/view_entry.zpt,
	  unk/zpt/view_orderaccount.zpt: following entries thru
	  transactions

2004-12-17 06:09  alan

	* unk/charts/Danish_Default.z, unk/charts/Dutch_Default.z,
	  unk/charts/Dutch_Standard.chart, unk/charts/Dutch_Standard.z,
	  unk/charts/France.z, unk/charts/German_Sample.z,
	  unk/charts/Germany_SKR03.z,
	  unk/charts/Simplified_Chinese_Default.z, unk/charts/Spain.z,
	  unk/charts/Swiss-German.z,
	  unk/charts/Traditional_Chinese_Default.z,
	  unk/charts/UK_General.z, unk/charts/US_General.z,
	  unk/charts/generate.pl: cleanup after BLLocale move

2004-12-17 05:55  alan

	* unk/BLOrderBook.py, unk/Extensions/Install.py,
	  unk/skins/bastionledger/add_shoppingcart_items.cpy,
	  unk/skins/bastionledger/add_shoppingcart_items.cpy.metadata,
	  unk/skins/bastionledger/blorder_dispatch.cpy,
	  unk/skins/bastionledger/portlet_shoppingcart.pt,
	  unk/skins/bastionledger/remove_shoppingcart_items.cpy,
	  unk/skins/bastionledger/remove_shoppingcart_items.cpy.metadata,
	  unk/tests/testQuickInstall.py, unk/version.txt,
	  unk/zpt/view_order.zpt: shopping cart item removal/workflow
	  action fix

2004-12-16 16:45  alan

	* unk/BLAccount.py, unk/BLOrderBook.py, unk/BLTransaction.py,
	  unk/skins/bastionledger/blinvoice_template.pt,
	  unk/zpt/view_account.zpt, unk/zpt/view_order.zpt,
	  unk/zpt/view_orderaccount.zpt, unk/zpt/view_transaction.zpt:
	  status change functionality for ZMI

2004-12-15 07:41  alan

	* unk/skins/bastionledger/part_view.pt,
	  unk/skins/bastionledger/portlet_shoppingcart.pt: add description
	  to display

2004-12-11 16:14  alan

	* unk/BLInventory.py: do string compare on currencies

2004-12-11 14:59  alan

	* unk/BLAccount.py: workflows implementation

2004-12-11 14:47  alan

	* unk/BLAccount.py, unk/BLBase.py, unk/BLEntry.py, unk/BLLedger.py,
	  unk/BLOrderBook.py, unk/BLTransaction.py,
	  unk/BLTransactionTemplate.py, unk/Extensions/Install.py,
	  unk/config.py,
	  unk/skins/bastionledger/add_shoppingcart_items.cpy,
	  unk/skins/bastionledger/blorder_dispatch.cpy,
	  unk/skins/bastionledger/blorder_dispatch.cpy.metadata,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/skins/bastionledger/getShoppingCartId.py,
	  unk/skins/bastionledger/portlet_shoppingcart.pt,
	  unk/skins/bastionledger/setShoppingCartId.py,
	  unk/tests/testInventory.py, unk/tests/testOrderBook.py,
	  unk/tests/testShareholderLedger.py, unk/tests/testTransaction.py,
	  unk/zpt/view_account.zpt, unk/zpt/view_order.zpt,
	  unk/zpt/view_orderaccount.zpt, unk/zpt/view_orders.zpt,
	  unk/zpt/view_transaction.zpt: workflows implementation

2004-12-08 02:51  alan

	* unk/BLBase.py, unk/BLLedger.py, unk/BLOrderBook.py: remove print
	  statements

2004-12-06 14:56  alan

	* unk/Ledger.py: allow MerchantService into ledger

2004-12-06 12:02  alan

	* unk/BLBase.py, unk/BLEntry.py, unk/BLSubsidiaryEntry.py,
	  unk/BLTransaction.py, unk/zpt/add_entry.zpt,
	  unk/zpt/add_subsidiaryentry.zpt: FX conversions into
	  BLTransaction totals

2004-12-06 07:27  alan

	* unk/BLAccount.py, unk/BLLedger.py, unk/BLOrderBook.py,
	  unk/BLShareholderLedger.py, unk/BLSubsidiaryAccount.py,
	  unk/BLSubsidiaryLedger.py, unk/BLSubsidiaryTransaction.py,
	  unk/BLTransaction.py, unk/CMFAccount.py,
	  unk/Extensions/Install.py, unk/Extensions/__init__.py,
	  unk/Ledger.py, unk/__init__.py, unk/config.py,
	  unk/skins/bastionledger/blchart_view.pt: turn off Plone
	  account/txn add :(

2004-12-06 03:35  alan

	* unk/skins/bastionledger/blaccount_edit.cpy,
	  unk/skins/bastionledger/blaccount_edit.cpy.metadata,
	  unk/skins/bastionledger/blaccount_edit_form.cpt,
	  unk/skins/bastionledger/blaccount_edit_form.cpt.metadata: account
	  subtypes into skins

2004-12-06 01:46  alan

	* unk/BLBase.py: default index implementation

2004-12-03 18:09  alan

	* unk/zpt/associations.zpt: tag associations form

2004-12-03 17:47  alan

	* unk/BLAccount.py, unk/BLOrderBook.py, unk/CMFAccount.py:
	  RPMManager user payment workflow patches

2004-12-03 14:26  alan

	* unk/BLAccount.py, unk/BLLedger.py, unk/BLOrderBook.py,
	  unk/BLTransaction.py, unk/CMFAccount.py,
	  unk/Extensions/Install.py, unk/LedgerTool.py,
	  unk/skins/bastionledger/blorder_deleteitems.cpy,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/portlet_shoppingcart.pt,
	  unk/zpt/inventory_dispatcher.zpt, unk/zpt/view_order.zpt,
	  unk/zpt/view_orderaccount.zpt, unk/zpt/view_orders.zpt:
	  BastionMerchantService integration

2004-12-02 01:28  alan

	* unk/AccountPropertiesTool.py, unk/BLAccount.py, unk/BLBase.py,
	  unk/BLEntry.py, unk/BLLedger.py, unk/BLOrderBook.py,
	  unk/BLShareholderLedger.py, unk/BLSubsidiaryAccount.py,
	  unk/BLSubsidiaryTransaction.py, unk/BLTransaction.py,
	  unk/BLTransactionTemplate.py, unk/Extensions/Install.py,
	  unk/__init__.py, unk/charts/Australia.z, unk/charts/Austria.z,
	  unk/charts/Canada_General.z, unk/charts/Czech_Republic.z,
	  unk/charts/General.z, unk/config.py,
	  unk/skins/bastionledger/blaccounts_tags.pt,
	  unk/skins/bastionledger/blorder_deleteitems.cpy,
	  unk/skins/bastionledger/blorder_edit.cpy,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/skins/bastionledger/bltransaction.gif,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/skins/bastionledger/subsidiaryledger.gif,
	  unk/tests/LedgerTestCase.py, unk/tests/testProduct.py,
	  unk/www/accountdata.gif: initial workflow implementation

2004-12-01 20:25  alan

	* unk/zpt/add_accounts_prop_sheet.zpt, unk/zpt/rename_tags.zpt: tag
	  associations forms

2004-12-01 20:24  alan

	* unk/zpt/add_entry.zpt, unk/zpt/add_subsidiaryentry.zpt: new
	  currency widget

2004-11-27 14:55  alan

	* unk/zpt/add_cashbook.zpt: cashbook functionality

2004-11-27 14:44  alan

	* unk/BLTransaction.py, unk/zpt/view_transactions.zpt: transaction
	  cancelling implementation

2004-11-27 12:25  alan

	* unk/tests, unk/tests/LedgerTestCase.py, unk/tests/__init__.py,
	  unk/tests/framework.py, unk/tests/runalltests.py,
	  unk/tests/testFSBLProcess.py, unk/tests/testInventory.py,
	  unk/tests/testLedgerTool.py, unk/tests/testOrderBook.py,
	  unk/tests/testProduct.py, unk/tests/testShareholderLedger.py,
	  unk/tests/testSupermarket.py: copyright legends

2004-11-27 11:20  alan

	* unk/BLAccount.py: make manage_payAccount public - reward
	  generosity\!

2004-11-27 10:30  alan

	* unk/BLAccount.py, unk/BLBase.py, unk/BLLedger.py,
	  unk/BLOrderBook.py, unk/BLPricePolicy.py,
	  unk/BLSubsidiaryAccount.py, unk/BLSubsidiaryLedger.py,
	  unk/BLTransaction.py, unk/Ledger.py, unk/__init__.py,
	  unk/config.py,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Tax.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Account.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Sales.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Tax.ent,
	  unk/skins/bastionledger/add_shoppingcart_items.cpy,
	  unk/skins/bastionledger/add_shoppingcart_items.cpy.metadata,
	  unk/skins/bastionledger/blorder_additems.cpy,
	  unk/skins/bastionledger/blorder_additems.cpy.metadata,
	  unk/skins/bastionledger/blorder_deleteitems.cpy,
	  unk/skins/bastionledger/blorder_deleteitems.cpy.metadata,
	  unk/skins/bastionledger/blorder_edit.cpy,
	  unk/skins/bastionledger/blorder_edit.cpy.metadata,
	  unk/skins/bastionledger/blorder_edit_form.cpt,
	  unk/skins/bastionledger/blorder_edit_form.cpt.metadata,
	  unk/skins/bastionledger/blorder_invoice.cpy,
	  unk/skins/bastionledger/blorder_invoice.cpy.metadata,
	  unk/skins/bastionledger/blorder_shipping_form.cpt,
	  unk/skins/bastionledger/blorder_view.pt,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/skins/bastionledger/cart.gif,
	  unk/skins/bastionledger/getShoppingCartId.py,
	  unk/skins/bastionledger/ledger_listing.pt,
	  unk/skins/bastionledger/portlet_shoppingcart.pt,
	  unk/skins/bastionledger/setShoppingCartId.py,
	  unk/zpt/add_order.zpt, unk/zpt/edit_ledger.zpt,
	  unk/zpt/order_index.zpt, unk/zpt/view_order.zpt,
	  unk/zpt/view_orderaccount.zpt, unk/zpt/view_orders.zpt: payment
	  transaction processing

2004-11-20 05:28  alan

	* unk/skins/bastionledger/blaccount_edit_form.cpt,
	  unk/skins/bastionledger/blaccount_view.pt,
	  unk/skins/bastionledger/blaccounts_tags.pt,
	  unk/skins/bastionledger/bldividend_advice_view.pt,
	  unk/skins/bastionledger/bldividendadvice.gif,
	  unk/skins/bastionledger/blemployee.gif,
	  unk/skins/bastionledger/blemployee_deductions.pt,
	  unk/skins/bastionledger/blemployee_timesheets.pt,
	  unk/skins/bastionledger/blorder.gif,
	  unk/skins/bastionledger/blorder_view.pt,
	  unk/skins/bastionledger/blorderaccount_orders.pt,
	  unk/skins/bastionledger/blshareholder_advices.pt,
	  unk/skins/bastionledger/blshareholder_allocations.pt,
	  unk/skins/bastionledger/blshareholder_share_defns.pt,
	  unk/skins/bastionledger/bltransaction_view.pt,
	  unk/skins/bastionledger/ledger_edit.cpy,
	  unk/skins/bastionledger/ledger_edit.cpy.metadata,
	  unk/skins/bastionledger/ledger_edit_form.cpt,
	  unk/skins/bastionledger/ledger_edit_form.cpt.metadata: Plone
	  Skins

2004-11-20 05:21  alan

	* unk/BLAccount.py, unk/BLBase.py, unk/BLEntry.py,
	  unk/BLInventory.py, unk/BLLedger.py, unk/BLOrderBook.py,
	  unk/BLPayroll.py, unk/BLProcess.py, unk/BLShareholderLedger.py,
	  unk/BLSubsidiaryAccount.py, unk/BLSubsidiaryTransaction.py,
	  unk/BLTransaction.py, unk/BLTransactionTemplate.py,
	  unk/Extensions/Install.py, unk/FSBLProcess.py, unk/FSPayroll.py,
	  unk/Ledger.py, unk/__init__.py, unk/charts/General.z,
	  unk/config.py,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Inventory.ent,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Purchase.ent,
	  unk/ledgers/Payables/Processes/postOrder/transaction.txn/Tax.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Inventory.ent,
	  unk/ledgers/Receivables/Processes/postOrder/transaction.txn/Tax.ent,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/Paid.txn/bank.ent.metadata,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/Paid.txn/shareholder.ent.metadata,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/Payable.txn/dividend.ent,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/Payable.txn/dividend.ent.metadata,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/Payable.txn/shareholder.ent.metadata,
	  unk/ledgers/Shareholders/Processes/Dividend_Payable/process.py,
	  unk/skins/bastionledger/blaccount.gif,
	  unk/skins/bastionledger/blchart_view.pt,
	  unk/skins/bastionledger/blorderaccount.gif,
	  unk/skins/bastionledger/blprocesses_view.pt,
	  unk/skins/bastionledger/blreports_view.pt,
	  unk/skins/bastionledger/blshareholder.gif,
	  unk/skins/bastionledger/bltransactions_view.pt,
	  unk/skins/bastionledger/orderbook.gif,
	  unk/skins/bastionledger/payroll.gif,
	  unk/skins/bastionledger/shareholderledger.gif,
	  unk/zpt/add_sharedefinition.zpt, unk/zpt/add_timesheetslot.zpt:
	  Plone Skins

2004-11-06 13:15  alan

	* unk/Ledger.py, unk/Permissions.py, unk/__init__.py,
	  unk/config.py, unk/skins/bastionledger/bastionledger.gif,
	  unk/skins/bastionledger/ledger.gif: BLLocale factoring

2004-11-06 13:15  alan

	* unk/BLOrderBook.py: more robust order ids

2004-11-01 11:20  alan

	* unk/BLBase.py, unk/BLInventory.py, unk/BLLocale.py,
	  unk/BLOrderBook.py, unk/BLShareholderLedger.py,
	  unk/CMFAccount.py, unk/Ledger.py, unk/LedgerTool.py,
	  unk/__init__.py, unk/charts/Austria.chart,
	  unk/charts/Canada_General.chart, unk/charts/Czech_Republic.chart,
	  unk/charts/Danish_Default.chart, unk/charts/Dutch_Default.chart,
	  unk/charts/France.chart, unk/charts/German_Sample.chart,
	  unk/charts/Germany_SKR03.chart, unk/charts/Makefile,
	  unk/charts/Simplified_Chinese_Default.chart,
	  unk/charts/Spain.chart, unk/charts/Swiss-German.chart,
	  unk/charts/Traditional_Chinese_Default.chart,
	  unk/charts/UK_General.chart, unk/charts/US_General.chart,
	  unk/www/controller.gif, unk/www/locale.gif,
	  unk/zpt/add_locale.zpt, unk/zpt/dividend_advice.zpt,
	  unk/zpt/dividend_advice_index.zpt: moved BLLocale to separate
	  product

2004-10-26 06:04  alan

	* unk/BLBase.py, unk/BLShareholderLedger.py: Dividend advices
	  should not be 100% plone

2004-10-26 05:22  alan

	* unk/BLShareholderLedger.py: Shares seems volatile...

2004-10-26 02:01  alan

	* unk/BLOrderBook.py, unk/CMFAccount.py, unk/Ledger.py,
	  unk/LedgerTool.py, unk/version.txt, unk/zpt/view_inventory.zpt:
	  getting closer to Plone

2004-10-13 14:13  alan

	* unk/BLAccount.py, unk/zpt/add_orderaccount.zpt: access permission
	  on currencies()

2004-10-13 09:51  alan

	* unk/BLBase.py, unk/BLInventory.py: unrestrict access on getPart()

2004-10-13 09:38  alan

	* unk/skins/bastionledger/inventory.gif,
	  unk/skins/bastionledger/part.gif,
	  unk/skins/bastionledger/part_edit.cpy,
	  unk/skins/bastionledger/part_edit.cpy.metadata,
	  unk/skins/bastionledger/part_edit_form.cpt,
	  unk/skins/bastionledger/part_edit_form.cpt.metadata,
	  unk/skins/bastionledger/part_view.pt,
	  unk/skins/bastionledger/portlet_shoppingcart.pt: inventory skins

2004-10-13 09:19  alan

	* unk/Ledger.py: more reliable locale processing

2004-10-13 09:18  alan

	* unk/BLInventory.py: getPart is flakey in catalog

2004-10-05 09:38  alan

	* unk/BLAccount.py, unk/BLBase.py, unk/BLInventory.py,
	  unk/BLSubsidiaryLedger.py, unk/Extensions/Install.py,
	  unk/__init__.py, unk/config.py, unk/tool.gif, unk/www/store.gif,
	  unk/zpt/add_partfolder.zpt, unk/zpt/add_store.zpt,
	  unk/zpt/cmf_account.zpt, unk/zpt/dividend_advice.zpt,
	  unk/zpt/edit_account.zpt, unk/zpt/edit_ledger.zpt,
	  unk/zpt/edit_orderaccount.zpt, unk/zpt/edit_part.zpt,
	  unk/zpt/ledger_props.zpt, unk/zpt/orderbook_props.zpt,
	  unk/zpt/pricepolicy.zpt, unk/zpt/pricepolicy_details.zpt,
	  unk/zpt/shareholder_notices.zpt, unk/zpt/view_account.zpt,
	  unk/zpt/view_chart.zpt, unk/zpt/view_entry.zpt,
	  unk/zpt/view_inventory.zpt, unk/zpt/view_main.zpt,
	  unk/zpt/view_orderaccount.zpt, unk/zpt/view_transactions.zpt:
	  baselining for rpm build

2004-08-06 11:11  alan

	* unk/BLInventory.py, unk/BLOrderBook.py, unk/CMFAccount.py,
	  unk/skins/bastionledger/statement_view.pt,
	  unk/zpt/cmf_account.zpt, unk/zpt/dividend_advice.zpt,
	  unk/zpt/edit_account.zpt, unk/zpt/edit_ledger.zpt,
	  unk/zpt/edit_orderaccount.zpt, unk/zpt/edit_part.zpt,
